// MPEG4PlayerView.h : interface of the CMPEG4PlayerView class
//
/////////////////////////////////////////////////////////////////////////////


class CMPEG4PlayerView : public CView
{

protected: // create from serialization only
	CMPEG4PlayerView();
	DECLARE_DYNCREATE(CMPEG4PlayerView)

// Attributes
public:
	CMPEG4PlayerDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMPEG4PlayerView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL
	

// Implementation
public:
	virtual ~CMPEG4PlayerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	UINT shiftKey_changed, controlKey_changed, altKey_changed;
	BOOL leftButton_pressed;
	UINT GetActionKey(UINT nVirtKey);
	ZString GetString(UINT virtKey);			// CC 010123
	ZString GetCharString(UINT nChar);			// CC 010123

// Generated message map functions
protected:
	//{{AFX_MSG(CMPEG4PlayerView)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnSysChar( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnSysDeadChar( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnChar( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnDeadChar( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnSysKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnSysKeyUp( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnKeyUp( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg LONG OnSceneFinished(WPARAM wParam, LPARAM lParam);
	afx_msg LONG OnNonFatalError(WPARAM wParam, LPARAM lParam);
	afx_msg LONG OnDDrawProblem(WPARAM wParam, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg LONG OnWebNavigate(WPARAM wParam, LPARAM lParam);
	afx_msg LONG OnNavigate(WPARAM wParam, LPARAM lParam);
	afx_msg LONG OnWebHide(WPARAM wParam, LPARAM lParam);
	afx_msg void OnGoForward();
	afx_msg void OnContinue();
	afx_msg void OnPause();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	//add a sink to the view class 
	virtual void BeforeNavigate2(LPDISPATCH pDisp, VARIANT* URL,
		VARIANT* Flags, VARIANT* TargetFrameName, VARIANT* PostData,
		VARIANT* Headers,   BOOL* Cancel);
	


	DECLARE_EVENTSINK_MAP( )


};

#ifndef _DEBUG  // debug version in MPEG4PlayerView.cpp
inline CMPEG4PlayerDoc* CMPEG4PlayerView::GetDocument()
   { return (CMPEG4PlayerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
