//
// This file is used to write trace and log information to.
//
// Matthew Leditschke
// CSELT
// June, 1997.
//

#ifndef TRACE_H
#define TRACE_H


// Define this if trace information is to be displayed
//#define WRITE_TRACE


#ifdef WRITE_TRACE

#include <stdio.h>
extern FILE* traceFile;

#define TRACE_PRINT(s) fprintf(traceFile,s); fflush(traceFile)
#define TRACE_PRINT1(s,p1) fprintf(traceFile,s,p1); fflush(traceFile)
#define TRACE_PRINT2(s,p1,p2) fprintf(traceFile,s,p1,p2); fflush(traceFile)
#define TRACE_PRINT3(s,p1,p2,p3) fprintf(traceFile,s,p1,p2,p3); fflush(traceFile)
#define TRACE_PRINT4(s,p1,p2,p3,p4) fprintf(traceFile,s,p1,p2,p3,p4); fflush(traceFile)
#define TRACE_PRINT5(s,p1,p2,p3,p4,p5) fprintf(traceFile,s,p1,p2,p3,p4,p5); fflush(traceFile)
#define TRACE_PRINT6(s,p1,p2,p3,p4,p5,p6) fprintf(traceFile,s,p1,p2,p3,p4,p5,p6); fflush(traceFile)
#else // WRITE_TRACE

#define TRACE_PRINT(s)
#define TRACE_PRINT1(s,p1)
#define TRACE_PRINT2(s,p1,p2)
#define TRACE_PRINT3(s,p1,p2,p3)
#define TRACE_PRINT4(s,p1,p2,p3,p4)
#define TRACE_PRINT5(s,p1,p2,p3,p4,p5)
#define TRACE_PRINT6(s,p1,p2,p3,p4,p5,p6) fprintf(traceFile,s,p1,p2,p3,p4,p5,p6); fflush(traceFile)
#endif // WRITE_TRACE


#endif // TRACE_H
