



#if !defined(AFX_ANIMATIONFRAMEDATA_H__AC5AFEF4_47EA_47EA_BD37_352230415308__INCLUDED_)
#define AFX_ANIMATIONFRAMEDATA_H__AC5AFEF4_47EA_47EA_BD37_352230415308__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include <stdio.h>

#include "define.h"

class BinaryWriter;
class AnimationFrame;
class AnimationField;
class DOM_Element;

class AnimationFrameData  
{
public:
	
	AnimationFrameData( AnimationFrame * AF);
	
	virtual ~AnimationFrameData();
	
	
	AnimationFrame* getAnimationFrame();
	
	
	void			setMaskID(int maskid);
	
	int				getMaskID();

	
	void			setAtNode(int atnod);
	
	int				getAtNode();

	
	int				addAnimationField(AnimationField* afd);
	
	AnimationField*	getAnimationField(int i);
	
	int				getNbAnimationField();

	
	void			parse(DOM_Element* node);

	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	AnimationFrame*	m_animationFrame;
	
	int				m_maskID;
	
	int				m_atNode;
	
	AnimationField*	m_tabAFD[MAXOBJECT];
	
	int				m_nbAFD;


};

#endif 
