



#if !defined(AFX_ANIMATIONMASK_H__C7686494_0F00_4D77_98FB_41C71BB39E87__INCLUDED_)
#define AFX_ANIMATIONMASK_H__C7686494_0F00_4D77_98FB_41C71BB39E87__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "define.h"

class BinaryWriter;
class ElementaryMask;
class BifsConfig;
class DOM_Element;

class AnimationMask  
{
public:
	
	AnimationMask(BifsConfig * bfg);
	
	virtual ~AnimationMask();
	
	BifsConfig*		getBifsConfig();
	
	int				addElementaryMask(ElementaryMask *EM);
	
	ElementaryMask* getElementaryMask(int i);
	
	int				getNbElementaryMask();

	
	void			parse(DOM_Element* node);

	
	void			write(BinaryWriter * binWriter);

protected:
	
	BifsConfig*		m_bifsConfig;
	
	ElementaryMask* m_tabEM[MAXOBJECT];
	
	int				m_nbEM;

};

#endif 
