









#ifndef ARITHCODERH
#define ARITHCODERH
#include "../Animation/ArithModel.h"
#define Q1 16384
#define Q2 32768
#define Q3 49152
#define TOP 65535 
#define ZEROMAX 22
class ArithCoder 
{
public:
	ArithCoder() : low(0), high (TOP), length(0),m_bitcount(0){}
	int getBitCount() { return m_bitcount; }
	void update(int symbol, ArithModel & model)
	{
		model.update(symbol);
	}
	void init(ArithModel &model)
	{
		model.init();
	}
	virtual void encodeAndUpdate(int val, ArithModel & model, char * str, int &bits)=0;
	virtual void encodeAndUpdate(int val, ArithModel & model)=0;
	virtual int flush()=0;
protected :
	int low;
	int high;
	int length;
	int m_bitcount;
};
#endif

