











#ifndef ARITHENCODERH
#define ARITHENCODERH
#include "ArithCoder.h"

class ArithEncoder : public ArithCoder
{
public:
	ArithEncoder() : m_opposite_bits(0), zerocount(0), m_nbBits(0) {}
	bool reset();
	void encodeAndUpdate(int val, ArithModel &model, char * str, int &bits);
	void encodeAndUpdate(int val, ArithModel &model);
	void encode(int index, ArithModel &model,char * text);
	void encode(int index, ArithModel &model);
	int flush();
	void bit_opp_bits(bool bit,char* str);
	void operator =(const ArithEncoder&);
	void addBit(bool bit);

	
	void getLastValue(int& val, int&nbbits);

private:
	int m_opposite_bits;
	int zerocount;
	void bit_in_psc_layer(bool bit,char* str);
	
	
	int m_nbBits;
	
	int	m_lastvalue;
	
	int m_lastnbbits;
};	
#endif