


#if !defined(_arithmodel_h)	
#define _arithmodel_h

enum {
	Q1 = 16384,
	Q2 = 32768,
	Q3 = 49152,
	TOP = 65535,
	MAX_FREQUENCY = 16383,
	ZEROMAX = 40,
	DEC_ERROR = -1,
	CODEVALNBBITS = 16 
};

class ArithModel { 
private:
  int range_min;
  int range_max;
  int nb_of_symbols;
  int *cumul_freq;     
  int *freq;           
  
public:
  ArithModel();
  ~ArithModel();
  int getFreq(int idx) { return freq[idx]; }
  int getCumulFreq(int idx) { return cumul_freq[idx]; }
  void init();
  void init(int nSymbols);
  void init(int min, int max);
  void update(int symbol);  
};

#endif 
