


#include <stdlib.h>
#include <stdio.h>
#include <string.h>


#include "BifaError.h"





BifaError::BifaError()
{
}

BifaError::~BifaError()
{

}

int BifaError::error(int code, char* szComm)
{

	static char* errorText [] =
	{
		"0",
		"1",
		"2",
		"3",
		"4",
		"5",
		"6",
		"7",
		"8",
		"9",
		"10",
		"11",
		"12",
		"13",
		"14",
		"15",
		"16",
		"17",
		"18",
		"19",
		"20",
		"21",
		"22",
		"23",
		"24"
	};

	int sev = code/(int)1000;
	int mod = (code/(int)100)%10;
	int num = code%100;

	char * buffer = errorText[num];
	switch (sev)
	{
	case 0:
		fprintf(stderr,"Warning ");
		break;
	case 1:
		fprintf(stderr,"Error ");
		break;
	case 2:
		fprintf(stderr,"Fatal Error ");
		break;
	}

	switch (mod)
	{
	case 0:
		fprintf(stderr,"Parser : %s %s\n",buffer,szComm);
		break;
	case 1:
		fprintf(stderr,"Encoder : %s %s\n",buffer,szComm);
		break;
	case 2:
		fprintf(stderr,"Writer : %s %s\n",buffer,szComm);
		break;
	}

	if (sev>1)
		exit (1);



	return 0;
}

