



#if !defined(AFX_BIFSCONFIG_H__7CC49F65_DEFE_465A_8679_9C2AE38EB7A9__INCLUDED_)
#define AFX_BIFSCONFIG_H__7CC49F65_DEFE_465A_8679_9C2AE38EB7A9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include <stdio.h>

#include "define.h"

class AnimationMask;
class BinaryWriter;
class DOM_Element;

class BifsConfig  
{
public:
	
	BifsConfig();
	
	virtual ~BifsConfig();
	
	void	setNodeIDbits( int bits);
	
	int		getNodeIDbits();
	
	void	setRouteIDbits( int bits);
	
	int		getRouteIDbits();

	
	void	setProtoIDbits( int bits);
	
	int		getProtoIDbits();
	
	void	setIsCommandStream(bool commandStream);
	
	bool	getIsCommandStream();

	
	void	setRandomAccess(bool randomAccess);
	
	bool	getRandomAccess();
	
	
	void	setUse3DMeshEncoding(bool use);
	
	bool	getUse3DMeshEncoding();

	
	void	setUsePredictiveField(bool use);
	
	bool	getUsePredictiveField();

	
	void	parse(DOM_Element *node);

	
	int		addAnimationMask(AnimationMask * AM);
	
	AnimationMask* getAnimationMask(int i);
	
	int		getNbAnimationMask();

	
	void	write(BinaryWriter * binWriter);


protected:
	int		m_nodeIDbits;
	int		m_routeIDbits;
	int		m_protoIDbits;

	bool	m_use3DMeshEncoding;
	bool	m_usePredictiveField;
	bool	m_isCommandStream;
	bool	m_randomAcces;

	
	AnimationMask *m_tabAM[MAXOBJECT];
	
	int	m_nbAM;

};

#endif 
