



#if !defined(AFX_BINARYWRITER_H__E980024F_B136_466A_A583_85B580757C3D__INCLUDED_)
#define AFX_BINARYWRITER_H__E980024F_B136_466A_A583_85B580757C3D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 


class BinaryWriter  
{
public:
	
	BinaryWriter( FILE* file,FILE* logfile=NULL ,int logLevel=0);
	
	virtual ~BinaryWriter();
	
	
	void		write(unsigned int val, int nbBits, char* szDesc=NULL, char* szComment=NULL,int logLevel=0);
	
	void		write(bool val, int nbBits, char* szDesc=NULL, char* szComment=NULL,int logLevel=0);
	
	void		write(float val, char* szDesc=NULL, char* szComment=NULL,int logLevel=0);
		
	
	
	void writeEncoded(unsigned int val, int nbBits, char* szDesc=NULL, char* szComment=NULL,int logLevel=0);

	void		writeEfficientFloat(float val, char* szDesc=NULL, char* szComment=NULL,int logLevel=0);
	
	static int	nbBitsEfficientFloat(float val);

	
	void		flush();
	
	void		log(int nValue, int nBits, char* szDesc, char* szComment,int logLevel=0);
	
	void		log(char* szComment,int logLevel=0);

protected:
	
	FILE*	m_file;
	
	FILE*	m_logfile;
	
	char	m_buffer;
	
	int		m_nbBits;

	
	int		m_nbLogBits;
	
	int		m_logLevel;
};

#endif 
