



#if !defined(AFX_ELEMENTARYMASK_H__61F4BA8A_29E3_4087_88E6_F391F96C4811__INCLUDED_)
#define AFX_ELEMENTARYMASK_H__61F4BA8A_29E3_4087_88E6_F391F96C4811__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "define.h"

class BinaryWriter;
class AnimationMask;
class InitialFieldMask;
class DOM_Element;

class ElementaryMask  
{
public:
	
	ElementaryMask( AnimationMask* AM);
	
	virtual ~ElementaryMask();

	void			setAtNode(int atnod);
	int				getAtNode();

	void			setNodeID(int atnod);
	int				getNodeID();

	void			setNumDYNField(int num);
	int				getNumDYNField();

	
	int				addInitialFieldMask(InitialFieldMask * ifm);
	
	InitialFieldMask * getInitialFieldMask(int i);
	
	int				getNbInitialFieldMask();

	
	void			parse(DOM_Element* node);

	
	void			write(BinaryWriter * binWriter);


protected:
	
	AnimationMask*	m_animationMask;
	int				m_atNode;
	int				m_nodeID;
	int				m_numDYNField;

	
	InitialFieldMask* m_tabIFM[MAXOBJECT];
	
	int				m_nbIFM;

};

#endif 
