



#if !defined(AFX_FLOATANIMATIONFIELD_H__6DEDE3AC_9645_47FB_81EB_C302CD608842__INCLUDED_)
#define AFX_FLOATANIMATIONFIELD_H__6DEDE3AC_9645_47FB_81EB_C302CD608842__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "AnimationField.h"
class DOM_Element;

class FloatAnimationField : public AnimationField  
{
public:
	
	FloatAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~FloatAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);

	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;

};

#endif 
