



#if !defined(AFX_GENERICFLOATANIMATIONFIELD_H__76CB78AD_F6E2_4F00_BDEF_D028247026BB__INCLUDED_)
#define AFX_GENERICFLOATANIMATIONFIELD_H__76CB78AD_F6E2_4F00_BDEF_D028247026BB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "AnimationField.h"
class DOM_Element;


class GenericFloatAnimationField : public AnimationField  
{
public:
	
	GenericFloatAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~GenericFloatAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);


	
	void	write(FILE *file);
	
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;


};

#endif 
