



#if !defined(AFX_NORMALANIMATIONFIELD_H__B460085F_4047_4956_96EE_A1DCFE0F82B2__INCLUDED_)
#define AFX_NORMALANIMATIONFIELD_H__B460085F_4047_4956_96EE_A1DCFE0F82B2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#ifndef M_PI
#define M_PI 3.1415926535898
#endif 

#include "AnimationField.h"
class DOM_Element;
class ArithModel;


class NormalAnimationField : public  AnimationField  
{
public:
	
	NormalAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~NormalAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);


	
	void	parse(DOM_Element* node);

	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

	
	int		getDirection(int field);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;

	
	int*	m_orientation;
	
	int*	m_direction;
	
	float*	m_quat;
	
	ArithModel* m_arithModel;
	
	int*	m_inverseDir;
	
	int*    m_nbBitsInv;

};

#endif 
