



#if !defined(AFX_ROTATIONANIMATIONFIELD_H__0D385E06_EF34_45F5_B6FE_AB9BBB923F05__INCLUDED_)
#define AFX_ROTATIONANIMATIONFIELD_H__0D385E06_EF34_45F5_B6FE_AB9BBB923F05__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 


#include "AnimationField.h"
class DOM_Element;


class RotationAnimationField : public AnimationField  
{
public:
	
	RotationAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~RotationAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);


	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;

	
	int*	m_orientation;
	
	float*	m_quat;
};

#endif 
