



#if !defined(AFX_SIZE2D_H__F572E052_8646_4C59_B299_B7EE043378B7__INCLUDED_)
#define AFX_SIZE2D_H__F572E052_8646_4C59_B299_B7EE043378B7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "AnimationField.h"
class DOM_Element;


class Size2DAnimationField : public AnimationField  
{
public:
	
	Size2DAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~Size2DAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);


	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;

};

#endif 
