



#if !defined(AFX_SIZE3DANIMATIONFIELD_H__BCF14146_0C5C_46DC_A29C_D7B27D896BA9__INCLUDED_)
#define AFX_SIZE3DANIMATIONFIELD_H__BCF14146_0C5C_46DC_A29C_D7B27D896BA9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "AnimationField.h"

class DOM_Element;


class Size3DAnimationField : public AnimationField  
{
public:
	
	Size3DAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~Size3DAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);


	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;

};

#endif 
