#include "defs.h"
#include "Token.h"
#include "Proto.h"
#include "..\Script\encoder\ScriptInterface.h"

//AC 200003 Script
/* Gets the instance of a scriptInterface*/
MediaObject * Token::GetInstance (LPCSTR scName)
{
	int i=0;
	int len=m_scriptArray.GetLength();
	while (i < len && !m_scriptArray[i]->Is(scName)) i++;
	if (i==len)
	{
		printf("[Token(Script)::GetInstance] Pas trouv : %s \n",scName);
		return NULL;
	}
	return m_scriptArray[i];
}
void Token::AddPredefinedScript (ScriptInterface * scI)
{
	m_scriptArray+= scI;
}
//AC end