/**************************************************************************
 * Project Im1Player
 * INTERNATIONAL STANDARD ORGANIZATION
 * ISO/IEC JTC1/SC29/WG11
 * 
 * SUBSYSTEM: BIFS update
 * FILE:      TimeSensor.cpp
 * AUTHOR:    Fred Bouilhaguet  (ENST)
 * OVERVIEW:  Complement of the definition and implementation 
 *			  of the TimeSenor node in Nodes.h
 * 
 * 
 **************************************************************************/
/*-------------------------------------------------------------------------*/
#include "defs.h"
#include "Nodes.h"
#include "TimeSensorProxy.h"

#ifdef ENSTLAYOUT
void TimeSensor::OnUpdate () {
	BOOL curEnabled = (BOOL)(Bool) enabled;
	if (/*!curEnabled && */curEnabled != oldEnabled)
		((TimeSensorProxy *)GetRenderingObject(/*NodeField *pContainer*/NULL))->UpdateTimeSensor();
	oldEnabled = curEnabled; 
}
#endif