/********************************************************************************/
/* This software module was developped by										*/

/*	   Marius Preda (MP), marius.preda@int-evry.fr,								*/
/*                        Institut National des Telecommunications, France		*/

/* in the course of development of the MPEG-4 Version 5 standard (AFX).			*/
/* This software module is an implementation of a part of one or				*/
/* more MPEG-4 tools as specified by the										*/
/* MPEG-4 standard. ISO/IEC gives users of the MPEG-4 standard					*/
/* free license to this software module or modifications thereof				*/
/* for use in hardware or software products claiming conformance				*/
/* to the MPEG-4 standard. Those intending to use this software					*/
/* module in hardware or software products are advised that its					*/
/* use may infringe existing patents. The original developer of					*/
/* this software module and his company, the subsequent							*/
/* editors and their companies, and ISO/IEC have no liability					*/
/* for use of this software module or modifications thereof in					*/
/* an implementation. Copyright is not released for non							*/
/* MPEG-4 standard conforming products. ACTS-MoMuSys partners					*/
/* retain full right to use the code for their own purposes,					*/
/* assign or donate the code to a third party and to inhibit					*/
/* third parties from using the code for non MPEG-4 standard					*/
/* conforming products. This copyright notice must be included					*/
/* in all copies or derivative works.    										*/
/* Copyright (c)2002 - 2005														*/
/********************************************************************************/
// BBADecoderShortVersionDlg.h : header file
//

#if !defined(AFX_BBADECODERSHORTVERSIONDLG_H__16BCBE6F_D8A0_41B4_9234_34AE10FDD26F__INCLUDED_)
#define AFX_BBADECODERSHORTVERSIONDLG_H__16BCBE6F_D8A0_41B4_9234_34AE10FDD26F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CBBADecoderShortVersionDlg dialog

class CBBADecoderShortVersionDlg : public CDialog
{
// Construction
public:
	CBBADecoderShortVersionDlg(CWnd* pParent = NULL);	// standard constructor
	CString m_fbaStreamName;

// Dialog Data
	//{{AFX_DATA(CBBADecoderShortVersionDlg)
	enum { IDD = IDD_BBADECODERSHORTVERSION_DIALOG };
	CProgressCtrl	m_progress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBBADecoderShortVersionDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBBADecoderShortVersionDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLoadFbaStream();
	afx_msg void OnDecodeSaveFba();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BBADECODERSHORTVERSIONDLG_H__16BCBE6F_D8A0_41B4_9234_34AE10FDD26F__INCLUDED_)
