#include<stdio.h>
#include<stdlib.h>
#include"liste.h"


CBone::CBone(boneMaskType bm, boneDataType bd)
{
  
  val=value;
  prec=NULL;
  suiv=NULL;
}

NOEUD::~NOEUD()
{

}

void innod(NOEUD *p,NOEUD * &first,NOEUD * &last)
{
  NOEUD *q;
  q=first;
  
  if(first==NULL)
    {
      first=p;
      first->suiv=NULL;
      first->prec=NULL;
      last=p;
      last->prec=NULL;
      last->suiv=NULL;
      return;
    }
  if(p->val < first->val)
    {
      p->suiv=first;
      p->prec=NULL;
      first->prec=p;
      first=p;
      return;
    }
  if(p->val >= last->val)
    {
      last->suiv=p;
      p->suiv=NULL;
      p->prec=last;
      last=p;
      return;
    }
 
  do
    {
      q=q->suiv;
    }while(p->val >= q->val);
  p->suiv=q;
  p->prec=q->prec;
  q->prec->suiv=p;
  q->prec=p;
    
}

void outnod(NOEUD * p,NOEUD * &first,NOEUD * &last)
{
  
  if(first==NULL) return;

  if(p==first)
    {
      first=first->suiv;
      delete p;
      if(first==NULL) last=NULL;
      else first->prec=NULL;
      return;
     
    }
  if(p==last)
    {
      last=last->prec;
      delete p;
      if(last==NULL) first=NULL;
      else last->suiv=NULL;
      return;
    }
  p->prec->suiv=p->suiv;
  p->suiv->prec=p->prec;
  delete p;
}

void freeliste(NOEUD * &first,NOEUD* &last)
{
  NOEUD *p=NULL;

  if(first==NULL) return;
  
  do
    {
      p=first;
      outnod(p,first,last);
    }while(first != NULL);
}
      
 
void affiche_liste(NOEUD *first)
{
 
  NOEUD *p=NULL;
    
  if(first==NULL)
    {
      fprintf(stderr,"liste vide\n");
      return;
    }
  p=first;
  do
    {
     
      fprintf(stderr,"%d, ",p->val);
      p=p->suiv;
    }while(p != NULL);
  fprintf(stderr,"\n");
}
