/*\   Programmed by Alexander Zhirkov <azh@graphics.cs.msu.su>
\*/

//---------------------------------------------------------------------------
#ifdef SAIT_CONFORMANCE_2003

#ifndef Common__H
#define Common__H

#include "CommonDef.h"

#include <stdio.h>
#include <assert.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <math.h>


  #define INTEGRITY(c)                                   \
	void c::Integrity() {                                \
	  Assert(Used(),"Integrity error"); }

dbl  accuracy(dbl,int);
int  nearest(dbl,int,int);
int  dbl2int(dbl z);
int  int2log(dbl i,int n,int n1); // n: bits for fix,n1 bits for log
int  log2int(int l,int n,int n1);
dbl  sqrtsqr(dbl,dbl);
dbl  log2(dbl);
int  sqr(int);
int  slg2(int);
int  lg2roundup(int);
int  lg2(int);
int  round(dbl);
int  quantdiv(dbl x,int q);
int  iquantdiv(int x,int q);
int  setb(int);
int  mx(int,int);
int  mn(int,int);
dbl  fmx(dbl,dbl);
dbl  fmn(dbl,dbl);
dbl  fmx(dbl,dbl,dbl);
dbl  fmn(dbl,dbl,dbl);
dbl  fsqr(dbl);
/////////////////////////////dbl  fabs(dbl);

#ifdef __BORLANDC__
void swap(int&,int&);
void swap(dbl&,dbl&);
int  sorti(int&,int&);
#endif

int  range(int,int,int);
int  rangebyte(int);
dbl  frange(dbl,dbl,dbl);
int  isrange(int,int,int);
void getrangeint(int*,int,int&,int&);

dbl hammingwindow(dbl x); // x=0..1

void LineToPolarInt(dbl x,dbl y,dbl z,int &i,int n);
void PolarIntToLine(int i,int n,dbl &x,dbl& y,dbl &z);

void DecartToPolar(dbl,dbl,dbl&,dbl&);
void PolarToDecart(dbl,dbl,dbl&,dbl&);
void DecartToPolar(dbl x,dbl y,dbl z,dbl &r,dbl &u,dbl &v);
void PolarToDecart(dbl r,dbl u,dbl v,dbl &x,dbl &y,dbl &z);

void MatrixReverse(dbl *a,int n);

int ishiftl(int,int);

dbl exprandom();
dbl linrandom();
int signrandom();

dbl mse2psnr(dbl);

chr* file_nam(chr*);
chr* file_ext(chr*);
int  file_ext(chr*,chr*);
chr* file_mak(chr*,chr*,chr c='.');
chr* file_mak2(chr*,chr*);
chr* file_mak100(chr* namout100,chr* nam,chr* ext);
chr* file_delext(chr *nam);

int  _sortint_inc(const void *,const void *);
int  _sortint_dec(const void *,const void *);
void sortint_inc(int *p,int a);
void sortint_dec(int *p,int a);

void sortint_value2index(int*,int);

void memsetdword(int*,int,int l);
void memcpydword(int* dst,int *src,int l);

void fsignbytes(FILE*,int l,int);
int  fsignbytes(FILE*,int l);

void fputi(FILE*,int);
int  fgeti(FILE*);

uhr  f_byte(FILE*);
urd  f_word(FILE*);
unt  f_dword(FILE*);
flt  f_float(FILE*);
dbl  f_dbl(FILE*);
void f_str255r(FILE*,chr*);
void f_line255r(FILE *f,chr*);

void f_byte(FILE*,uhr);
void f_word(FILE*,urd);
void f_dword(FILE*,unt);
void f_float(FILE*,flt);
void f_dbl(FILE*,dbl);
void f_str255w(FILE*,chr *);

void f_skip(FILE*,int);

int f_size(FILE*);

int f_exist(char*);

int f_isequal(chr*,chr*);

dbl goldrandom(int i);

#endif

#endif

