/*----------------------------------------------------------------
	Projet : Visualisation Villes / Librairie gomtrique de base.
	Fichier: GeomOperations.h
	Date 	 :
	L.B. 01/2002
	
	Commentaires:
	
-----------------------------------------------------------------*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "GeomDefs.h"
#include "Polygon2D.h"
#include "Segment2DClassifie.h"


class GeomOperations
{
public:
	static Polygon2D dilatePolygoneConvex(Polygon2D &polygoneIn, FT epsilon);
	static Polygon2D clipByLine(const Polygon2D & polygone, const Polygon2D & dilate);
	static Segment2D Bissector(const Segment2D s1, const Segment2D s2);
	static void classifieSegmentPlan(Segment2D &s, Droite2D &d, bool &hasIn, Segment2D &InSegment, bool &hasOut, Segment2D &OutSegment, bool &inFirst );
	static void ClassifyEdge(const Segment2D &s, const Polygon2D &dilate, SEGMENT2DCLASSIFIE_VECTOR &liste);
	static void RemoveColinearVertices(const Polygon2D& input, Polygon2D& output);
};

