// Plane.h: interface for the Plane class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLANE_H__11F58FF7_BCB6_4A7F_92B3_9A1EAA1F573F__INCLUDED_)
#define AFX_PLANE_H__11F58FF7_BCB6_4A7F_92B3_9A1EAA1F573F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GeomDefs.h"
#include "Point3D.h"
#include "VectorGeom3D.h"

class Plane  
{
public:
	Plane();
	Plane(Point3D pt, VectorGeom3D n);
	Plane(const Plane &s);

	virtual ~Plane();

	virtual Point3D point() const;
	virtual VectorGeom3D normal() const;

	Plane & operator =(const Plane &in);

protected:
	Plane * m_impl;
};

#endif // !defined(AFX_PLANE_H__11F58FF7_BCB6_4A7F_92B3_9A1EAA1F573F__INCLUDED_)
