/*----------------------------------------------------------------
	Projet : Visualisation Villes / Librairie gomtrique de base.
	Fichier: Point2DX.h
	Date 	 :
	A.C. 01/2001
	
	Commentaires:
	
-----------------------------------------------------------------*/









//


#if !defined(AFX_POINT2DX_H__C9C4DAC7_C3CA_4878_8910_2C8631B0B57F__INCLUDED_)
#define AFX_POINT2DX_H__C9C4DAC7_C3CA_4878_8910_2C8631B0B57F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GeomDefs.h"
#include "Point2D.h"
#include "RefCount.h"

class Point2DX : public Point2D , public RefCount 
{
public:
	Point2DX();
	virtual ~Point2DX();
	Point2DX(FT x, FT y);
	Point2DX(Point2D &);
	Point2D & operator =(const Point2D &in);
	virtual bool equal(const Point2D& in, FT precision);
	virtual bool operator <(const Point2D& in);
	virtual FT y() const;
	virtual FT x() const;

	virtual void setX(FT x);
	virtual void setY(FT y);

	FT operator [](int i) const;

protected:
	FT m_y;
	FT m_x;
};

#endif // !defined(AFX_POINT2DX_H__C9C4DAC7_C3CA_4878_8910_2C8631B0B57F__INCLUDED_)
