// Point3DX.h: interface for the Point3DX class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POINT3DX_H__671E7AE8_C305_4FBD_B779_3D601D69760C__INCLUDED_)
#define AFX_POINT3DX_H__671E7AE8_C305_4FBD_B779_3D601D69760C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "GeomDefs.h"
#include "Point3D.h"
#include "RefCount.h"

class Point3DX : public Point3D , public RefCount 
{
public:
	Point3DX();
	virtual ~Point3DX();
	Point3DX(FT x, FT y, FT z);
	Point3DX(Point3D &);
	Point3D & operator =(const Point3D &in);
	virtual bool equal(const Point3D& in, FT precision);
	virtual FT y() const;
	virtual FT x() const;
	virtual FT z() const;
	virtual void Set(FT x, FT y, FT z);

	FT operator [](int i) const;

protected:
	FT m_y;
	FT m_x;
	FT m_z;
};

#endif // !defined(AFX_POINT3DX_H__671E7AE8_C305_4FBD_B779_3D601D69760C__INCLUDED_)
