// Ray.h: interface for the CRay class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAY_H__C659ED14_2045_4287_9C82_B3FC6FCB8509__INCLUDED_)
#define AFX_RAY_H__C659ED14_2045_4287_9C82_B3FC6FCB8509__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "point.h"



class CRay  
{
public:
//	CRay();
	virtual ~CRay();

    CRay (const CPoint2D &p = CPoint2D (0, 0), const CPoint2D &q = CPoint2D (0, 0));
    CRay (const CPoint2D &p, const FT &a) : origin (p), angle (a) { NormalizeAngle (angle); };
    CRay opaque (void) const { return CRay (origin, angle + M_PI); }

	FT &NormalizeAngle(FT &angle);

    CPoint2D origin;
    FT angle;

};

#endif // !defined(AFX_RAY_H__C659ED14_2045_4287_9C82_B3FC6FCB8509__INCLUDED_)
