// Segment3DX.h: interface for the Segment3DX class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SEGMENT3DX_H__B1546773_155B_4DDD_BAE8_038562DAA114__INCLUDED_)
#define AFX_SEGMENT3DX_H__B1546773_155B_4DDD_BAE8_038562DAA114__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "GeomDefs.h"
#include "Segment3D.h"
#include "VectorGeom3D.h"
#include "RefCount.h"




class Segment3DX : public Segment3D, public RefCount 
{
public:
	Segment3DX();
	virtual ~Segment3DX();

	Segment3DX(const Segment3D &);
	Segment3DX(Point3D s, Point3D t);
	Segment3D & operator =(const Segment3D &s);

//	virtual bool appartenance(const Point3D &p, FT &t) const;

	//virtual bool inclus(Droite2D &d) const;
	Point3D vertex(int i) const;
	virtual Point3D target() const;
	virtual Point3D source() const;
	Point3D operator [](int);
	virtual bool equal(const Segment3D& in, FT precision);

	virtual INTER_TYPE plane_intersect(Plane p, Point3D & intersect); 
	virtual bool plane_inclus(Point3D pt, VectorGeom3D normal);

//	virtual bool has_on(const Point3D &p, FT dist) const;
	virtual bool is_degenerate() const;
	virtual FT squared_length() const;
	//virtual FT DistanceFromPoint(const Point2D &p) const;
	//virtual int intersect(Segment2D &s, Point2D & intersect) const;

protected :
	Point3D m_source;
	Point3D m_target;
};
#endif // !defined(AFX_SEGMENT3DX_H__B1546773_155B_4DDD_BAE8_038562DAA114__INCLUDED_)
