// Triangle.h: interface for the Triangle class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRIANGLE_H__19D95425_564F_45C3_8A68_8A3DD94FBA40__INCLUDED_)
#define AFX_TRIANGLE_H__19D95425_564F_45C3_8A68_8A3DD94FBA40__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Polygon2DX.h"

class Triangle : public Polygon2D 
{
public:
	Triangle();
	virtual ~Triangle();
	Triangle(Point2D &v1, Point2D &v2, Point2D &v3);
	Triangle (const Triangle &);
        void GravityCenter (Point2D & p);
};

#endif // !defined(AFX_TRIANGLE_H__19D95425_564F_45C3_8A68_8A3DD94FBA40__INCLUDED_)

// #eof "$Id: Triangle.h,v 1.1 2006/10/20 14:14:56 granger Exp $"
