// VectorGeom3DX.h: interface for the VectorGeom3DX class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VectorGeom3DX_H__BE669AF3_8D9A_4B68_B70B_86E1C918DF90__INCLUDED_)
#define AFX_VectorGeom3DX_H__BE669AF3_8D9A_4B68_B70B_86E1C918DF90__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GeomDefs.h"
#include "VectorGeom3D.h"
#include "RefCount.h"

class VectorGeom3DX : public VectorGeom3D , public RefCount 
{
public:
	VectorGeom3DX();
	virtual ~VectorGeom3DX();
	VectorGeom3DX(FT x, FT y, FT z);
	VectorGeom3DX(const VectorGeom3D &);
	VectorGeom3DX(Point3D p1, Point3D p2);
	bool normalise();
	VectorGeom3D & operator =(const VectorGeom3D &in);
	virtual FT x() const;
	virtual FT y() const;
	virtual FT z() const;
	FT operator [](int i) const;
protected:
	FT m_y;
	FT m_x;
	FT m_z;
//	Vector2D * m_impl;
};

#endif // !defined(AFX_VectorGeom3DX_H__BE669AF3_8D9A_4B68_B70B_86E1C918DF90__INCLUDED_)
