// VertexList.h: interface for the VertexList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VERTEXLIST_H__145AD061_85A0_4D2E_8534_5CD5A8E0BCFC__INCLUDED_)
#define AFX_VERTEXLIST_H__145AD061_85A0_4D2E_8534_5CD5A8E0BCFC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



#include <list>
using namespace std;

#include "vertex.h"

class CVertexList : public list <CVertex>
{
public:
//	CVertexList();
	virtual ~CVertexList();

	CVertexList (void) { }
    iterator prev (const iterator &i) { iterator tmp (i); if (tmp == begin ()) tmp = end (); tmp --; return tmp; } // => cyklicky
    iterator next (const iterator &i) { iterator tmp (i); tmp ++; if (tmp == end ()) tmp = begin (); return tmp; } // => cyklicky

	void push_back(const CVertex& x);

};

#endif // !defined(AFX_VERTEXLIST_H__145AD061_85A0_4D2E_8534_5CD5A8E0BCFC__INCLUDED_)
