// JWInterpolator.h: interface for the JWInterpolator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_JWINTERPOLATOR_H__5E3C6873_55FB_45E8_B72F_03285AA8C00E__INCLUDED_)
#define AFX_JWINTERPOLATOR_H__5E3C6873_55FB_45E8_B72F_03285AA8C00E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "JWTemplArray.h"
#include <string.h>

class JWToken;
class ofstream;

class JWInterpolator  
{
public:
	JWInterpolator();
	virtual ~JWInterpolator();

public:
	virtual void Parse(JWToken& token) = 0;
	// WriteԼ template ó    ! ߿ Ȯ !
	virtual void Write(ofstream& file) = 0;
	virtual double Purify(double threshold, JWInterpolator*& pInterpolator) { return 0.0; }

	void SetDEF(char* name);


	// sowoo 2002.01.24 (Resampling)
	virtual void Resampling(int nNumKey, int nDigit = -1) {};


public:
	virtual void SetSize(int size) = 0;
	virtual void Add(double key, void* keyValue) = 0;
	virtual void SetKey(int index, double key) { aKeys[index] = key; }
	JWArray<double>& GetKey() { return aKeys; }
	virtual void SetKeyValue(int index, void* keyvalue) {}
	virtual void* GetKeyValues() { return NULL;}

public:
	char* GetDEF() { return (char *)m_strDEF; }

protected:
	JWArray<double> aKeys;

	bool m_bIsDEF;
	char m_strDEF[256];
};

#endif // !defined(AFX_JWINTERPOLATOR_H__5E3C6873_55FB_45E8_B72F_03285AA8C00E__INCLUDED_)
