// Quantizer.h: interface for the Quantizer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QUANTIZER_H__CFC30864_C574_4EF7_A195_2F534077ACC6__INCLUDED_)
#define AFX_QUANTIZER_H__CFC30864_C574_4EF7_A195_2F534077ACC6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class Quantizer  
{
public:
	Quantizer();
	virtual ~Quantizer();

public:
	//int Quantize(float mini, float maxi, int nbits, float v);
	//unsigned long int Quantize(double mini, double maxi, int nbits, double v);
	long int Quantize(double mini, double maxi, int nbits, double v);
	//float InvQuantize(float mini, float maxi, int nbits, int v);
	//double InvQuantize(double mini, double maxi, int nbits, unsigned long int v);
	double Quantizer::InvQuantize(double mini, double maxi, int nbits, int v);

	void QuantizerInitialize(int bits);
	void UniformQuantizer(double *v, unsigned long int *QuantizedIntegerData);
	//double InvUniformQuantizer(unsigned long int QuantizedIntegerData);
	double InvUniformQuantizer(long int QuantizedIntegerData);
	void AdaptiveTransform(double *SourceKeyValues, int Direction);


public:
	double  QuantizerScale, QuantizerOffset;
};

#endif // !defined(AFX_QUANTIZER_H__CFC30864_C574_4EF7_A195_2F534077ACC6__INCLUDED_)
