// Rotation.h: interface for the Rotation class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROTATION_H__4A5FDAB7_3710_49B1_9C0D_61E046B9F909__INCLUDED_)
#define AFX_ROTATION_H__4A5FDAB7_3710_49B1_9C0D_61E046B9F909__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <fstream.h>

class Quaternion;

class SFRotation  
{
public:
	SFRotation();
	SFRotation(double in_x, double in_y, double in_z, double in_theta);
	virtual ~SFRotation();

//member variables
public:
	double x;
	double y;
	double z;
	double theta;

//memer functions
	//Convert Quaternion to AngularDisplacement 
	void QuaternionToRotation(Quaternion* m_pSrcQuat);
	void Slerp(SFRotation* pDestRot, double u, SFRotation* pResRot);

public:
	friend ofstream& operator << (ofstream& os, SFRotation& r)
	{
		os << r.x << ' ' << r.y << ' ' << r.z << ' ' << r.theta;
		return os;
	}
};

#endif // !defined(AFX_ROTATION_H__4A5FDAB7_3710_49B1_9C0D_61E046B9F909__INCLUDED_)
