#if !defined ___ARITHMETIC_DECODER___
#define ___ARITHMETIC_DECODER___

#include "entropy.h"

void decodeUnaryAAC(
	CAC_QF& codec,
	int* nDecodedValue,
	CAC& signContext, CAC& valueContext
);

void decodeSQAAC(
	CAC_QF& codec,
	int* anDecodedValues, int qstep, 
	CAC& signContext, CAC& maxValueContext,
	CAC& foundContext, CAC& notFoundContext,
	int keynum, int start
);

void decodeSignedAAC(
	CAC_QF& codec, 
	int* nDecodedValue, 
	int qstep, 
	CAC& signContext, CAC* valueContext
);

void decodeUnsignedAAC(
	CAC_QF& codec, 
	int* nDecodedValue, 
	int qstep, 
	CAC* valueContext
);


void decodeSignedQuasiAAC(
	CAC_QF& codec, 
	int* nDecodedValue, 
	int qstep, 
	CAC& signContext, CAC* valueContext
);

#endif