// KeySelectionFlag.h: interface for the KeySelectionFlag class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_KEYSELECTIONFLAG_H__162BE2F0_4CC0_4641_B7A5_A7E837731F2D__INCLUDED_)
#define AFX_KEYSELECTIONFLAG_H__162BE2F0_4CC0_4641_B7A5_A7E837731F2D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "KeyHeader.h"
#include "entropy.h"

class KeySelectionFlag  
{
public:
	KeySelectionFlag();
	virtual ~KeySelectionFlag();

public:
	void readBitstream(
		CAC_QF& codec, KeyHeader kHeader, unsigned int bPreserveKey
	);
	void InitializeModel();

	// for encoding
//	void encodingProcess(CSelectedKeyFrame selectedKeyFrame);
	void encodingProcess(JWArray<int>& flag);
	void makeBitstream(CAC_QF& codec, bool bPreserveKey);
	void encodeKeyFlag(CAC_QF& codec, int qstep, long int dQ);

public:
	int nNumOfKeyValue;
	JWArray<unsigned int> keyFlag;

	// model for arithmetic decoder
public:
	CAC keyFlagContext;
};

#endif // !defined(AFX_KEYSELECTIONFLAG_H__162BE2F0_4CC0_4641_B7A5_A7E837731F2D__INCLUDED_)
