// SInterpolator.cpp: implementation of the CSInterpolator class.
//
//////////////////////////////////////////////////////////////////////

#include "SInterpolator.h"
#include <stdlib.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CSInterpolator::CSInterpolator():
	m_paKeys(NULL), m_paKeyValues(NULL), m_nNumberOfKeys(0)
{

}

CSInterpolator::~CSInterpolator()
{
	if(m_paKeys != NULL)
		delete m_paKeys;
	if(m_paKeyValues != NULL)
		delete m_paKeyValues;
}

void CSInterpolator::ParseKeys(ifstream& file)
{
	char buffer[256];

	if(m_paKeys == NULL)
	{
		m_paKeys = new MFFloat;
		m_paKeys->SetSize(m_nNumberOfKeys);
	}

	for(int i=0; i<m_nNumberOfKeys; i++)
	{
		file.getline(buffer, 256);
		(*m_paKeys)[i] = ::atof(buffer);
	}
}
