// PTEncoder.cpp: PointTexture Compression Encoder
// Author: Shinjun Lee, Samsung AIT
// Date: 2004-07-23

#include "PTEncoder.h"

// Usage: PTEncoder <Input file> <Output bitstream file> [<Percent of encoding> | <-ver1> | <-ver2>/<-ext>]"
// <Input file>: input file name
// <Output bitstream file>: output file name which will be generated
// <Percent of encoding>: percent of encoding has from 1 to 100. 100 means lossless and 99 means 99% encoding.
// <-ver1>: AFX version 1 node encoding
// <-ver2> or <-ext>: AFX version 2 node encoding

// usage ex:
// angel_pt_256x256x256.wrl angel_pt_256x256x256.ptc 100
// angel_pt_240x250x256.wrl angel_pt_240x250x256.ptc 100
// whitestar_pt_512x512x512.wrl whitestar_pt_512x512x512.ptc
// test_pt_2x3x4.wrl test_pt_2x3x4.ptc 90

void main(int argc, char* argv[])
	{
	// PT encoder
	PTEncoder(argc, argv);
	}
