#if !defined(_AAC_h)  // Sentry, use file only if it's not already included.
#define _AAC_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Multiplexer
FILE:       AAC.h
AUTHOR:     Patrizio Bergallo Franco Casalino (CSELT)
OVERVIEW:   Declaration of AAC, the class that handles AAC streams
-------------------------------------------------------------------------*/

#ifdef _MP4FF_	// standard MP4 file  format
#include "MP4Stream.h"
#else			// non-standard TRIFF file format
#include "MuxStream.h"
#endif

class ADTSStream : public Stream
{
	//FILE *stream;
	unsigned long m_nAU;
	float m_dt;
	int   m_cNext;
	long  m_lDTS;
	long  m_nCount;
	long  m_nFrameSize;
//	long  a[4];
	long  a[3];

public:
	ADTSStream (FILE *fStream, ESDesc *pDescriptor);
	//virtual long GetTimeStamp ();
	virtual long GetDTS ();
	virtual long GetCTS () {return m_lDTS;}
	virtual bool IsRAP ();
	virtual int GetChar ();
};

#endif	// _AAC_h sentry