

#if !defined(_SaitStream_h)  // Sentry, use file only if it's not already included.
#define _SaitStream_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Multiplexer
FILE:       SaitStream.h
AUTHOR:     Dae-Sung Cho (dscho@sait.samsung.co.kr), Samsung AIT
OVERVIEW:   Declaration of Stream, the base class for objects that handles
input streams.
-------------------------------------------------------------------------*/
#include "SaitFactory.h"

#undef getc

/*-------------------------------------------------------------
The Stream object
-------------------------------------------------------------*/
class StreamDSI
{
	FILE *m_fStream;
public:
	StreamDSI (FILE *fStream) :
		m_fStream (fStream)
	{}
	virtual ~StreamDSI () {}
	virtual BYTE* GetDecSpecificInfo () = 0;
	virtual long GetDecSpecificInfoLen () = 0;
};

/*-----------------------------------------------------------------
Definiton of an execption for the case streamData is invalid
-----------------------------------------------------------------*/
/*
struct ExceptionInvalidData
{
	LPCSTR m_szError;
	ExceptionInvalidData (LPCSTR szError) : m_szError (szError) {}
};
*/
#endif	// _SaitStream_h sentry