// namespace.h
// if USE_NAMESPACES is defined, creates a namespace named MOSES.
//

#ifndef _NAMESPACE_H_
#define _NAMESPACE_H_

#ifdef USE_NAMESPACES
	#define BEGIN_MOSES_NAMESPACE	namespace MOSES {
	#define END_MOSES_NAMESPACE		}
	#define USING_MOSES_NAMESPACE	using namespace MOSES;
#else
	#define BEGIN_MOSES_NAMESPACE 
	#define END_MOSES_NAMESPACE
	#define USING_MOSES_NAMESPACE
#endif

#endif	// _NAMESPACE_H_