/*------------------------------------------------------------------
	 2000 CSELT - Centro Studi e Laboratori Telecomunicazioni.
	All rights reserved.
------------------------------------------------------------------*/

#ifndef _dai_stats_h_
#define _dai_stats_h_

#include "DAI_Stats_tools.h"


class Application_Stats_Sink
{
public:
	//Statistics
	virtual void DAI_QueryStatTags_Cnf(
		const UINT						nServiceId,
		const DAISessionStatTagParam&	outParam
	) = 0;
	virtual void DAI_SessionMonitor_Cnf(
		const UINT					nServiceId,
		const DAISessionStatParam&	outParam
	) = 0;
};

class DMIF_Stats
{
protected:
	Application_Stats_Sink* m_pStatsSink;
public:
	//Statistics extensions
	virtual void DAI_QueryStatTags_Req(
		const UINT						nServiceId
	) = 0;
	virtual void DAI_SessionMonitor_Req(
		const UINT						nServiceId,
		const DAISessionStatTagParam&	inParam
	) = 0;
};

#endif _dai_stats_h_

