#include "thread_utils.h"
#include <pthread.h>

#define THREAD_PRIORITY_TIME_CRITICAL  THREAD_BASE_PRIORITY_LOWRT  

int Set_Priority(int priority)
{
	pthread_t tid;
	int ret, policy;
	struct sched_param param;

	/* sched_priority will be the priority of the thread */

	param.sched_priority = priority;

	/* only supported policy, others will result in ENOTSUP */

	policy = SCHED_OTHER;

	tid = pthread_self();

	/* scheduling parameters of target thread */

	ret = pthread_setschedparam(tid, policy, &param);

	return ret;
}

DWORD ResumeThread( void * hThread)
{
    return 0;
}

