/**
 * New header file for the timeGetTime() function. This function is used
 * to get the time reference. We define a constant which is subtracted 
 * from the system time to ensure that there is no overflow as is the case
 * now.
 */

// Author: SOLARIS PORTING
#ifndef _TIME_DEF
#define _TIME_DEF

#include <sys/time.h>
#include "defs.h"
#define TIME_VAL_OFFSET 1028000000

/**
 * Return the present time in milliseconds, relative to a fixed value
 */
DWORD timeGetTime();

#ifndef GetTickCount
#define GetTickCount() timeGetTime()
#endif


#endif
