/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  MMI
File:       RemoteDlg.cpp
AUTHOR:		Thomas Schmidt (Siemens AG), 3/98
OVERVIEW:   Implementation of RemoteDlg class
-------------------------------------------------------------------------*/

#include "stdafx.h"
#include "mmi.h"
#include "RemoteDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CRemoteDlg 


CRemoteDlg::CRemoteDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRemoteDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRemoteDlg)
	m_RemoteSite = _T("http://");
	//}}AFX_DATA_INIT
}


void CRemoteDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRemoteDlg)
	DDX_Text(pDX, IDC_REMOTE_SITE, m_RemoteSite);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRemoteDlg, CDialog)
	//{{AFX_MSG_MAP(CRemoteDlg)
		// HINWEIS: Der Klassen-Assistent fgt hier Zuordnungsmakros fr Nachrichten ein
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CRemoteDlg 

const LPCTSTR CRemoteDlg::GetInput()
{
	return ((LPCTSTR) m_RemoteSite);
}

void CRemoteDlg::PresetInput(LPCTSTR input)
{
	m_RemoteSite = input;
}
