#ifndef _SF_BRIDGE_H_
#define _SF_BRIDGE_H_

#include <jni.h>
#include "../sources/JVMSupport.h"

#define SommitSfInterface		jobject	
#define SommitSInterface jobject


typedef void (*STARTFUNCPTR) (	int ,
				int ,
				SommitSInterface ,
				int ,
				unsigned char *,
				unsigned char *,
				unsigned char *,
				unsigned char *,
				int ,
				int);
typedef void (*STOPFUNCPTR) (int );

#ifdef _SF_BRIDGE_SOURCE_
void (*startfunc) (int ,
		int ,
		SommitSInterface ,
		int ,
		unsigned char *,
		unsigned char *,
		unsigned char *,
		unsigned char *,
		int ,
		int);

void (*stopfunc)(int);
#else
extern void (*startfunc) (int ,
		int ,
		SommitSInterface ,
		int ,
		unsigned char *,
		unsigned char *,
		unsigned char *,
		unsigned char *,
		int ,
		int);

extern void (*stopfunc)(int);
#endif
// SOLARIS PORTING
#ifdef WIN32
__declspec (dllexport) void setStartPunt(void (*func)(int ,
						int ,
						SommitSInterface ,
						int ,
						unsigned char *,
						unsigned char *,
						unsigned char *,
						unsigned char *,
						int ,
						int));


__declspec (dllexport) void CnewSection(int id, unsigned char *section, int section_length);

__declspec (dllexport) void initSectionFilterImpLibrary(JVMSupport *JVM);

__declspec (dllexport) void setStopPunt(void (*func)(int));



__declspec(dllexport)  STARTFUNCPTR getStartFunc();

__declspec(dllexport)  STOPFUNCPTR getStopFunc();
#else
void setStartPunt(void (*func)(int ,
						int ,
						SommitSInterface ,
						int ,
						unsigned char *,
						unsigned char *,
						unsigned char *,
						unsigned char *,
						int ,
						int));


void CnewSection(int id, unsigned char *section, int section_length);

void initSectionFilterImpLibrary(JVMSupport *JVM);

void setStopPunt(void (*func)(int));



STARTFUNCPTR getStartFunc();

STOPFUNCPTR getStopFunc();

#endif // WIN32

#endif
