/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: /func_test_platf2/bali/tm/sectfilt/FilterData.java $
*       Last save $Date: 2003/12/24 00:53:12 $
*             $Revision: 1.1.1.1 $
*          Last $Author: mikeseven $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: FilterData.java,v $
* Revision 1.1.1.1  2003/12/24 00:53:12  mikeseven
* Initial release of the CVS repository for MPEG-4 Systems code
* after the code was corrupted due to reorganization and human 
* errors.
*
* Revision 1.1  2003/04/03 04:29:17  mikeseven
* Initial release of Player3D and MPEG-J for all MPEG-4 reference softwares players with samples.
* For installation, follow instructions in docs/Player3D_setup.doc.
*
* Many thanks to Prashanth Gujjeti and Viswanathan Swaminathan from Sun Microsystems.
*
* -- Mikael Bourges-Sevenier (Mindego)
*
* Revision 1.1  2002/08/23 16:47:21  pg138550
* Changes for MPEG-J. NOT FINAL
*
* Revision 1.2  2000/07/21 20:36:55  alavilli
* adding missing files in the previous checkin for SISF
*
* Revision 1.1.2.1  1999/07/09 14:16:34  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1998-12-04 11:16:58+01  vdheuvel
* Sommit section filter definition
*
 * 
 * 1     9-11-98 14:00 Vdheuvel
 * Creation
*/

package sommit.sectfilt;

/*********************
*/
class FilterData
{
    FilterData
        ( int identifier
        , SommitSfInterface listener
        , int PID
        , byte[] posMask
        , byte[] posValue
        , byte[] negMask
        , byte[] negValue
        )
    {   
        this.identifier = identifier;
        this.PID        = PID;
        this.listener   = listener;
        this.posMask    = posMask;
        this.posValue   = posValue;
        this.negMask    = negMask;
        this.negValue   = negValue;
    }
    
    int identifier;
    int index;
    int PID;
    byte[] posMask;
    byte[] posValue;
    byte[] negMask;
    byte[] negValue;
	SommitSfInterface listener;
}

