import java.awt.*;
import borland.jbcl.layout.*;
import borland.jbcl.control.*;
import java.util.Date;
import java.awt.event.*;

import sommit.APISiEpg.APISiEpg;

public class DateBox extends Dialog
{
  Panel panel1 = new Panel();
  XYLayout xYLayout1 = new XYLayout();
  Label label1 = new Label();
  TextField jour = new TextField();
  TextField mois = new TextField();
  TextField an = new TextField();
  Label label2 = new Label();
  Label label3 = new Label();
  Label label4 = new Label();
  Label label5 = new Label();
  TextField heure = new TextField();
  TextField min = new TextField();
  Button buttonOk = new Button();
  Button buttonCancel = new Button();
  Label label6 = new Label();
  Label label7 = new Label();
  TestAPISiEpg p;
  ImageControl imageControl1 = new ImageControl();

  public DateBox(TestAPISiEpg p,String Titre,boolean isModal) {
    super(p,Titre,isModal);
    try  {

      this.p = p;

      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    panel1.setSize(new Dimension(400, 291));
    xYLayout1.setHeight(262);
    xYLayout1.setWidth(307);
    label1.setForeground(new Color(0, 0, 116));
    label1.setFont(new Font("TimesRoman", 1, 14));
    label1.setText("Date");
    label2.setForeground(new Color(0, 138, 116));
    label2.setText("    jj");
    label3.setForeground(new Color(0, 138, 116));
    label3.setText("     mm");
    label4.setForeground(new Color(0, 138, 116));
    label4.setText("    aa");
    label5.setForeground(new Color(0, 0, 116));
    label5.setFont(new Font("TimesRoman", 1, 14));
    label5.setText("Heure");
    buttonOk.setFont(new Font("Dialog", 1, 12));
    buttonOk.setLabel("Ok");
    buttonOk.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        ClickOK(e);
      }
    });
    buttonCancel.setFont(new Font("Dialog", 1, 12));
    buttonCancel.setLabel("Cancel");
    buttonCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        ClickCancel(e);
      }
    });
    label6.setForeground(new Color(0, 138, 116));
    label6.setText("hh");
    label7.setForeground(new Color(0, 138, 116));
    label7.setText("min");
    imageControl1.setImageName("C:\\DVB SI\\Java pour Sommit\\APISiEpg\\test\\alarmcl.gif");
    panel1.setLayout(xYLayout1);
    panel1.add(label1, new XYConstraints(7, 23, 141, 20));
    panel1.add(min, new XYConstraints(61, 140, 37, 19));
    panel1.add(heure, new XYConstraints(8, 140, 37, 19));
    panel1.add(an, new XYConstraints(110, 56, 37, 19));
    panel1.add(mois, new XYConstraints(60, 56, 37, 19));
    panel1.add(jour, new XYConstraints(10, 56, 37, 19));
    panel1.add(label7, new XYConstraints(66, 170, -1, 20));
    panel1.add(label6, new XYConstraints(14, 171, -1, 20));
    panel1.add(label4, new XYConstraints(111, 86, -1, 20));
    panel1.add(label3, new XYConstraints(53, 87, 40, 20));
    panel1.add(label2, new XYConstraints(13, 87, 40, 20));
    panel1.add(label5, new XYConstraints(7, 110, 166, 22));
    panel1.add(buttonCancel, new XYConstraints(196, 215, 69, 22));
    panel1.add(buttonOk, new XYConstraints(25, 215, 69, 22));
    panel1.add(imageControl1, new XYConstraints(204, 78, 57, 61));

    Date myDate;

    if (p._WhishedDate == null)
    {
      myDate = p._myTime;
    }
    else
    {
      myDate = p._WhishedDate;
    }


    if (myDate == null) myDate = new Date();


    jour.setText(Integer.toString(myDate.getDate()));
    mois.setText(Integer.toString(myDate.getMonth()+1));
    an.setText(Integer.toString(myDate.getYear()));

    int h = myDate.getHours();
    String resh = new String();
    if (h<10)
    {
        resh += "0" + h;
    }
    else
    {
        resh += h;
    }

    int mi = myDate.getMinutes();
    String resMi = new String();
    if (mi<10)
    {
       resMi += "0" + mi;
    }
    else
    {
       resMi += mi;
    }

    heure.setText(resh);
    min.setText(resMi);

    this.add(panel1);
    this.pack();
    this.move(190,150);

  }

  void ClickOK(ActionEvent e)
  {
      int ijour = Integer.parseInt(jour.getText());
      int imois = Integer.parseInt(mois.getText())-1;
      int ian =   Integer.parseInt(an.getText());

      int iheure = Integer.parseInt(heure.getText());
      int imin   = Integer.parseInt(min.getText());

      p._WhishedDate = new Date(ian,imois,ijour,iheure,imin);
      this.dispose();

  }

  void ClickCancel(ActionEvent e)
  {

    p._WhishedDate = null;
    this.dispose();

  }
}



