
/**********************************************************************************/
/*  Test de l'API SI - EPG                                                        */
/*  Dveloppement Java pour SOMMIT                                                */
/*  Auteur : Jean-Philippe Barazeur                                               */
/*  CCETT - Octobre 1998                                                          */
/**********************************************************************************/


import java.awt.*;
import java.util.Vector;
import java.util.Enumeration;
import borland.jbcl.control.*;
import java.awt.event.*;
import borland.jbcl.layout.*;
import com.sun.java.swing.*;
//import jclass.chart.*;
import borland.dbswing.*;
//import jclass.bwt.*;

import sommit.APISiEpg.APISiEpg;
import sommit.davic13.*;
import sommit.dvb.si.*;

/**********************************************************************************/
/*                        Application  de tests de API SI - EPG                   */
/**********************************************************************************/

/**********************************************************************************/
/*                                                                                */
/*                              CLASSE TestAPISiEPG                               */
/* met en oeuvre l'API SI- EPG, dveloppe dans le cadre du SOMMIT                */
/*                                                                                */
/**********************************************************************************/


public class TestAPISiEpg extends Frame
{
  /* -----------------    attributs ----------------- */
  /*    composants  GRAPHIQUES                        */

  XYLayout xYLayout1 = new XYLayout();
  TabsetPanel tabsetPanel1 = new TabsetPanel();
  Panel Guide = new Panel();
  XYLayout xYLayout2 = new XYLayout();
  List ListService = new List();
  List ListeEvents = new List();
  Label label1 = new Label();
  Label label2 = new Label();
  TextArea DescService = new TextArea();
  TextArea DescEvents = new TextArea();
  Button butt_All_ev = new Button();
  Panel Agenda = new Panel();
  Panel Preferences = new Panel();
  XYLayout xYLayout5 = new XYLayout();
  TextField langue = new TextField();
  Label label3 = new Label();
  List ListSer = new List();
  List ListPrefs = new List();
  Label label4 = new Label();
  Label label6 = new Label();
  Button button1 = new Button();
  Button button2 = new Button();
  Choice SelectEventType = new Choice();
  Label LabelTDTTime = new Label();
  TextControl EventLabel = new TextControl();
  Button UpdateService = new Button();
  Checkbox ViewOnlyPrefServices = new Checkbox();
  Button RemoveAll = new Button();
  XYLayout xYLayout3 = new XYLayout();
  List AgendList = new List();
  Label label5 = new Label();
  List AgendDebut = new List();
  List AgendType = new List();
  Label label7 = new Label();
  Label label8 = new Label();
  Button AutoPref = new Button();
  Choice ChoicePref = new Choice();

  /* attributs de memorisation ....*/

  APISiEpg  _TestAPI;   // instance de l'API
  ThreadCurrentTime _myThread; // pour gestion d'une horloge autonome, a partir d'une TDT
  java.util.Date _myTime = null;  // date courante
  java.util.Date _WhishedDate = null;  // date souhaite, dans les tris  heure fixe

  String _CurrentBouquet = null;   // memo du nom du bouquet, pour prfrences automatiques
  int   _CurrentPrefIndex = -1;    // memo de l'index, utile dans pref automatiques - par type de service
  int _typePref = 0;

  int _ContentResult;     // memo du Numero de content pour tri par theme
  String _ContentTheme;   // memo du Theme

  boolean _IsParentalFilter = false; // pour filtre sur accord parental...
  boolean _IsLessThan;               // pour type de filtre
  int     _MinAge;                   // age minimal...

  Vector Vect = new Vector(5,1); // Vecteurs pour construction des prfrences
  Vector Vect2 = new Vector(2,1);
  Button PRating_button = new Button();
  Label PRating = new Label();
  Button Reinit = new Button();
  ImageControl imageControl1 = new ImageControl();

  /*-------------------------------------------------*/

/*******************************  main ********************************/


public static void main(String args[])
{

  TestAPISiEpg m = new TestAPISiEpg();  // instanciation d'un objet TestAPISiEpg
  m.pack();                             // pour que la frame colle aux components


  m._TestAPI = new APISiEpg();          // cration d'un objet APISiEpg

  //-----------Initialisation de L'API --------------------------------

  boolean res = m._TestAPI.Create();  // creation de l'application

  if (res == false) System.exit(0);

  int NbStreams = m._TestAPI.GetNbStreams();

  res = m._TestAPI.InitDatabase(0);
  m._TestAPI.SetDeltaGMT(1);

  // -----------Liste des Services  ---------------

  int NbServices = m._TestAPI.ListServices();

  m.AffectService();
  m.AffectDate();
  m.show();

}


/**********************************************************************************/
/*                                                                                */
/*                              Constructeur myApp                                */
/*                                                                                */
/**********************************************************************************/
public TestAPISiEpg() {
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

/************************************** jbInit( gnre  90 % par le Wizzard *************************/
// Initialisation de tous les champs de l'application.....
// Creation de listeners sur events...

  private void jbInit() throws Exception {
    this.setBackground(Color.lightGray);
    this.setSize(new Dimension(537, 449));
    this.setTitle("Guide des programmes");
    xYLayout1.setHeight(490);
    xYLayout1.setWidth(735);
    this.addWindowListener(new WindowAdapter(){ public void windowClosing(WindowEvent e) { _myThread.stop() ;_TestAPI.endProgram(); System.exit(0);}});
    tabsetPanel1.setFont(new Font("TimesRoman", 1, 14));
    tabsetPanel1.setForeground(new Color(0, 138, 116));
    tabsetPanel1.setLabels(new String[] {"Guide", "Agenda", "Preferences"});
    ListService.setForeground(Color.black);
    ListService.setFont(new Font("Dialog", 0, 12));
    ListeEvents.setForeground(Color.black);
    ListeEvents.setFont(new Font("Dialog", 0, 12));
    ListeEvents.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        DblClick_ListeEvents(e);
      }
    });
    ListService.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        clickService(e);
      }
    });
    ListeEvents.addItemListener(new java.awt.event.ItemListener() {
      public void itemStateChanged(ItemEvent e) {
        ListeEvents_itemStateChanged(e);
      }
    });

    label1.setForeground(new Color(0, 0, 116));
    label1.setFont(new Font("TimesRoman", 1, 14));
    label1.setText("Liste des services");
    label2.setForeground(new Color(0, 0, 116));
    label2.setFont(new Font("TimesRoman", 1, 14));
    label2.setText("Liste des vnements");
    DescService.setForeground(Color.black);
    DescService.setFont(new Font("Dialog", 0, 12));
    DescService.setText("Description Service");
    DescEvents.setForeground(Color.black);
    DescEvents.setFont(new Font("Dialog", 0, 12));
    DescEvents.setText("Description Evnement");
    butt_All_ev.setForeground(Color.black);
    butt_All_ev.setFont(new Font("Dialog", 1, 12));
    butt_All_ev.setLabel("Liste vnements");
    langue.setForeground(Color.black);
    langue.setFont(new Font("Dialog", 0, 12));
    langue.setText("FRA");
    butt_All_ev.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        butt_All_ev_actionPerformed(e);
      }
    });
    label3.setForeground(Color.black);
    label3.setText("Langue");
    ListSer.setForeground(Color.black);
    ListSer.setFont(new Font("Dialog", 0, 12));
    ListPrefs.setForeground(Color.black);
    ListPrefs.setFont(new Font("Dialog", 0, 12));
    label4.setForeground(Color.black);
    label4.setText("Liste des services");
    label6.setForeground(Color.black);
    label6.setText("Liste des prfrences");
    button1.setForeground(new Color(0, 0, 116));
    button1.setLabel("Add");
    button1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        AddService(e);
      }
    });
    button2.setForeground(new Color(0, 0, 116));
    button2.setLabel("Remove");
    SelectEventType.setForeground(Color.black);
    SelectEventType.setFont(new Font("Dialog", 0, 12));
    LabelTDTTime.setForeground(new Color(8, 70, 216));
    LabelTDTTime.setFont(new Font("Dialog", 1, 12));
    LabelTDTTime.setText("heure");
    EventLabel.setFont(new Font("Dialog", 1, 12));
    EventLabel.setForeground(Color.red);
    EventLabel.setText("Description des vnements");
    UpdateService.setForeground(Color.black);
    UpdateService.setFont(new Font("Dialog", 1, 12));
    UpdateService.setLabel("Liste Services");
    ViewOnlyPrefServices.setForeground(new Color(0, 0, 162));
    ViewOnlyPrefServices.setLabel("Visualiser uniquement les prfrences");
    RemoveAll.setForeground(new Color(0, 0, 116));
    RemoveAll.setLabel("flush");
    AgendList.setForeground(Color.black);
    AgendList.setFont(new Font("Dialog", 0, 12));
    AgendList.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        AgendList_actionPerformed(e);
      }
    });
    label5.setForeground(new Color(0, 0, 116));
    label5.setText("Angenda des alarmes");
    AgendDebut.setForeground(Color.black);
    AgendDebut.setFont(new Font("Dialog", 0, 12));
    AgendType.setForeground(Color.black);
    AgendType.setFont(new Font("Dialog", 0, 12));
    label7.setForeground(new Color(0, 0, 116));
    label7.setText("Dbut");
    label8.setForeground(new Color(0, 0, 116));
    label8.setText("Type de l\'alarme - Statut");
    AutoPref.setForeground(Color.black);
    AutoPref.setLabel("Prfrences automatiques");
    ChoicePref.setForeground(Color.black);
    ChoicePref.setFont(new Font("Dialog", 0, 12));
    PRating_button.setForeground(Color.black);
    PRating_button.setLabel("Age minimal");
    PRating_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        PRating_button_actionPerformed(e);
      }
    });
    PRating.setForeground(Color.red);
    PRating.setText("Pas d\'ge limite");
    Reinit.setForeground(Color.black);
    Reinit.setFont(new Font("Dialog", 1, 12));
    Reinit.setLabel("Actualisation");
    imageControl1.setImageName("C:\\DVB SI\\Java pour Sommit\\APISiEpg\\test\\ccett.gif");
    Reinit.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        Reinit_actionPerformed(e);
      }
    });
    AutoPref.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        AutoPref_actionPerformed(e);
      }
    });
    RemoveAll.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        RemoveAllService(e);
      }
    });

    UpdateService.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        UpdateService_actionPerformed(e);
      }
    });

    ListPrefs.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        Dbl_Click_pref_services(e);
      }
    });
    ListSer.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        Dbl_Click_list_service(e);
      }
    });
    button2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        RemoveService(e);
      }
    });



    SelectEventType.addItem("En cours");
    SelectEventType.addItem("juste aprs");
    SelectEventType.addItem("prochainement...");
    SelectEventType.addItem("prochainement,  thme fix");
    SelectEventType.addItem("Tri par thme");
    SelectEventType.addItem("Heure fixe");
    SelectEventType.addItem("Heure et Thme fixs");
    SelectEventType.addItem("Liste des alarmes");


    ChoicePref.addItem("Services par bouquet");
    ChoicePref.addItem("Services par type");

    Preferences.setLayout(xYLayout5);
    Agenda.setLayout(xYLayout3);
    Guide.setLayout(xYLayout2);
    this.setLayout(xYLayout1);
    this.add(tabsetPanel1, new XYConstraints(4, 13, 726, 468));
    tabsetPanel1.add(Guide, "Guide");
    Guide.add(ListService, new XYConstraints(16, 37, 239, 121));
    Guide.add(ListeEvents, new XYConstraints(16, 192, 237, 194));
    Guide.add(label1, new XYConstraints(11, 10, 219, 18));
    Guide.add(label2, new XYConstraints(16, 168, 260, 22));
    Guide.add(DescService, new XYConstraints(286, 39, 416, 115));
    Guide.add(DescEvents, new XYConstraints(285, 190, 414, 193));
    Guide.add(UpdateService, new XYConstraints(445, 401, 104, 24));
    Guide.add(butt_All_ev, new XYConstraints(55, 403, 165, 24));
    Guide.add(SelectEventType, new XYConstraints(267, 401, 160, 27));
    Guide.add(LabelTDTTime, new XYConstraints(287, 9, 193, 21));
    Guide.add(EventLabel, new XYConstraints(285, 169, 425, 19));
    Guide.add(Reinit, new XYConstraints(585, 401, 94, -1));
    Guide.add(imageControl1, new XYConstraints(592, 3, 109, 31));
    tabsetPanel1.add(Agenda, "Agenda");
    Agenda.add(AgendList, new XYConstraints(10, 52, 239, 339));
    Agenda.add(label5, new XYConstraints(11, 15, 215, 17));
    Agenda.add(AgendType, new XYConstraints(513, 52, 191, 342));
    Agenda.add(AgendDebut, new XYConstraints(283, 52, 191, 342));
    Agenda.add(label7, new XYConstraints(283, 11, 193, 28));
    Agenda.add(label8, new XYConstraints(509, 7, 198, 34));
    tabsetPanel1.add(Preferences, "Preferences");
    Preferences.add(langue, new XYConstraints(29, 57, 274, 25));
    Preferences.add(label3, new XYConstraints(27, 27, 137, -1));
    Preferences.add(ListSer, new XYConstraints(25, 125, 150, 304));
    Preferences.add(ListPrefs, new XYConstraints(295, 122, 162, 305));
    Preferences.add(label4, new XYConstraints(26, 98, 170, 21));
    Preferences.add(label6, new XYConstraints(293, 96, 192, 27));
    Preferences.add(RemoveAll, new XYConstraints(202, 338, 76, 25));
    Preferences.add(button2, new XYConstraints(203, 289, 76, 25));
    Preferences.add(button1, new XYConstraints(205, 242, 76, 25));
    Preferences.add(ViewOnlyPrefServices, new XYConstraints(331, 53, 273, 32));
    Preferences.add(AutoPref, new XYConstraints(509, 271, -1, -1));
    Preferences.add(ChoicePref, new XYConstraints(509, 308, 160, 23));
    Preferences.add(PRating_button, new XYConstraints(502, 170, 168, -1));
    Preferences.add(PRating, new XYConstraints(462, 127, 255, 27));


    ListService.addItemListener(new ItemListener() { public void itemStateChanged(ItemEvent e)
                {   setEvent(e); } });

    ListService.repaint();
    ListeEvents.repaint();
    this.move(100,120);
}
//=======================================================================================

/***************************************************************************************/
/* Methode AffectService :                                                             */
/* remplit les listes de services ( dans Guide et preferences )                        */
/***************************************************************************************/

void AffectService()
{
   int NbServices = _TestAPI.GetNbServices(); // recup du nombre de services

   String result;
   for (int i=0;i<NbServices;i++)
   {

      result = _TestAPI.GetServiceName();   // recup du nom courant (ici index courant = 0
                                            // car on est  l'init )
      if (result != null)
      {
        ListService.addItem(result);          // ajout du nom dans Liste des Services Guide
        ListSer.addItem(result);              // ajout du nom dans Liste des Services Preferences
        _TestAPI.NextService();               // on passe au service suivant
      }
   }

}

/***************************************************************************************/
/* Methode AffectDate :                                                                */
/* remplit l'heure et la date de la TDT                                                */
/***************************************************************************************/

void AffectDate()
{
    java.util.Date myDate = _TestAPI.GetDate();  // recup de la Date de la TDT

    _myTime = myDate;


    _myThread = new ThreadCurrentTime(this,_myTime);
    _myThread.start();

}


/***************************************************************************************/
/* Methode setEvent :                                                                  */
/* appele des que l'on se deplace dans la liste des Services du Guide                 */
/* dans la fenetres des services, on voit les caractrisques du service slectionn    */
/***************************************************************************************/

void setEvent(ItemEvent e)
{

        Integer Item = (Integer)e.getItem();
        String text = _TestAPI.GetServiceName((Item.intValue()))+ '\n';
        // recup du nom du service se trouvant  l'index selectionn

        text += _TestAPI.GetServiceProviderName() + '\n'+
               Integer.toHexString(_TestAPI.GetServiceId())+'\n';
        // recup du provider et du serviceId courant ( maintenant Item)

        text += _TestAPI.GetServiceTypeString() +'\n';
        // recup du type courant

        String text2 = " ";
        DescEvents.setText(text2);

        // recup des flags d'EIT P/F et S

        if (_TestAPI.GetEITPresentFollowingFlag() == true)
        {
            text += "Evnement(s) EIT P/F associ(s)";
        }
        else
        {
            text += "Pas d'vnement associ ";
        }

        text+='\n';

        if (_TestAPI.GetEITScheduleFlag() == true)
        {
            text += "Evnement(s) Schedule associ(s)";
        }
        else
        {
            text += "Pas d'vnement Schedule associ ";
        }

        DescService.setText(text);

}


/***************************************************************************************/
/* Methode UpdateService_actionPerformed :                                             */
/* appel sur click sur bouton "Update Services"                                       */
/* en fonctions des prfrences, la liste des services est remise  jour....           */
/***************************************************************************************/

void UpdateService_actionPerformed(ActionEvent e)
{
    java.util.Vector VectPref = new java.util.Vector(10,1);


    String[] AllPref = ListPrefs.getItems();
    // recup de tous les items de la liste des prfrences...

    // creation du vecteur de prfrences
    ListService.removeAll();
    _TestAPI.SetPrefServices(null);
    _TestAPI.SetViewOnlyPrefServices(false);
    _TestAPI.ListServices();
    for (int i=0; i<_TestAPI.GetNbServices(); i++)
    {
        ListService.addItem(_TestAPI.GetServiceName(i));
    }

    for (int i=0; i<AllPref.length;i++)
    {

        boolean HasCorrectService = false;

        int counter = 0;
        int max = ListService.getItemCount();

        while ((HasCorrectService == false) && (counter < max))
        {
            String ServiceName = ListService.getItem(counter);
            // on cherche les relations entre prfrences et services
            // ds que ca correspond, on recupere le ServiceId et on le stocke dans un Vecteur

            switch (_typePref)
            {
              case 0:
                    if (AllPref[i].equals(ServiceName))
                    {
                      HasCorrectService = true;
                      Integer ServiceId = new Integer(_TestAPI.GetServiceId(counter));
                      VectPref.addElement(ServiceId);
                    }
                    break;
              case 1:
                    if ((AllPref[i].equals(ServiceName)) && (_TestAPI.GetServiceProviderName(counter).equals(_CurrentBouquet)))
                    {
                      HasCorrectService = true;
                      Integer ServiceId = new Integer(_TestAPI.GetServiceId(counter));
                      VectPref.addElement(ServiceId);
                    }
                    break;
              case 2:
                    if (AllPref[i].equals(ServiceName) && (_TestAPI.GetServiceType(counter) == _CurrentPrefIndex))
                    {
                      HasCorrectService = true;
                      Integer ServiceId = new Integer(_TestAPI.GetServiceId(counter));
                      VectPref.addElement(ServiceId);
                    }
                    break;
            }

            counter++;
        }
    }

   // nettoyage... Les vnements et services ne sont plus  jour
    ListeEvents.removeAll();
    ListService.removeAll();
    DescEvents.setText(" ");

    if (VectPref.isEmpty())
    {
       VectPref = null;
       ViewOnlyPrefServices.setState(false);

    }

     // on rcupere  l'tat du checkbox pour savoir s'il faut uniquement lister les prefs.
     _TestAPI.SetViewOnlyPrefServices(ViewOnlyPrefServices.getState());
     _TestAPI.SetPrefServices(VectPref);
     // on affecte le nouveau vecteur de prfrences....

     // puis on Liste les services ( la liste des services tient compte des nouvelles prfrences

   int NbServices = _TestAPI.ListServices();

   String result;
   for (int i=0;i<NbServices;i++)
   {
      // on remplit la liste des Service du menu Guide...

      result = _TestAPI.GetServiceName();
      ListService.addItem(result);
      _TestAPI.NextService();
   }


}
/***************************************************************************************/
/* Methode butt_All_ev_actionPerformed :                                               */
/* appel sur click sur bouton "Liste Evenements"                                      */
/* on tient compte du choix de tris d'vnements de la combobox                        */
/***************************************************************************************/

void butt_All_ev_actionPerformed(ActionEvent e)
{

    ListeEvents.removeAll();
    // on commence par effacer tous les venements

    int typeList = SelectEventType.getSelectedIndex();
    // recup du type de tri ( de 0  7 )

   int nbEvents = 0;

   if (typeList == 0)   // Evenements en cours (EIT-P)
   {
      nbEvents =  _TestAPI.ListPresentEvents();
      EventLabel.setText("Evnements en cours...");
   }

   if (typeList == 1)   // Evenements  Suivre (EIT-F)
   {
      nbEvents = _TestAPI.ListFollowingEvents();
      EventLabel.setText("Evnements  suivre...");
   }

   if  (typeList == 2)  // Evenements  venir (EIT-S)
   {
      DateBox DBox = new DateBox(this,"Entrez la date de dpart dsire...",true);
      DBox.pack();
      DBox.show();

      java.util.Date Start,Stop;

      if (_WhishedDate != null)
      {
          Start = new java.util.Date(_WhishedDate.toGMTString());
          DBox = new DateBox(this,"Entree la date de fin dsire...",true);
          DBox.pack();
          DBox.show();
          nbEvents = 0;
          if (_WhishedDate != null)
          {
            Stop = new java.util.Date(_WhishedDate.toGMTString());

            nbEvents = _TestAPI.ListAllScheduleEventsBetween(Start,Stop);
            String txt = "Prochainement... entre " +Start.toLocaleString()+ " et "+
                         Stop.toLocaleString();
            EventLabel.setText(txt);
          }

      }

   }

   if (typeList == 3)    // Evenement  venir (EIT-S)  theme fix
   {
      nbEvents = 0;
      dialogbox dbox =  new dialogbox(this,"Slection du theme",true);
      dbox.pack();
      dbox.show();
      if (_ContentResult > 0)
      {
        DateBox DBox = new DateBox(this,"Entrez la date de dpart dsire...",true);
        DBox.pack();
        DBox.show();

         java.util.Date Start,Stop;

        if (_WhishedDate != null)
        {
          Start = new java.util.Date(_WhishedDate.toGMTString());
          DBox = new DateBox(this,"Entree la date de fin dsire...",true);
          DBox.pack();
          DBox.show();
          nbEvents = 0;
          if (_WhishedDate != null)
          {
            Stop = new java.util.Date(_WhishedDate.toGMTString());

            nbEvents = _TestAPI.ListAllScheduleEventsBetweenAndContent(Start,Stop,_ContentResult);
            String txt = "Prochainement...  " +_ContentTheme;
            EventLabel.setText(txt);
          }
        }
      }
      else
      {
        nbEvents = 0;
      }
   }

   if (typeList == 4)  // Evenements tris par theme
   {
      dialogbox dbox =  new dialogbox(this,"Slection du theme",true);
      dbox.pack();
      dbox.show();
      // dialogbox remplit _ContentResult et _ContentTheme...
      // Ces valeurs sont conformes  la norme DVB

      if (_ContentResult > 0)
      {
        nbEvents = _TestAPI.ListEventsByContent(_ContentResult);
        EventLabel.setText(_ContentTheme);
      }
      else
      {
        nbEvents = 0;
      }
   }

   if (typeList == 5)  // Evenements en cours,  une date prcise
   {
      DateBox DBox = new DateBox(this,"Entrez la date dsire...",true);
      DBox.pack();
      DBox.show();

      //DateBox remplit _WhishedDate

      if (_WhishedDate != null)
      {
          String txt = "Evnements le "+_WhishedDate.toLocaleString();
          EventLabel.setText(txt);

          nbEvents = _TestAPI.ListEventsAt(_WhishedDate);
      }
      else
      {
        nbEvents = 0;
      }
   }

   if (typeList == 6) // Eventements en cours,  une date prcise et pour un theme donn
   {
      DateBox DBox = new DateBox(this,"Entrez la date dsire...",true);
      DBox.pack();
      DBox.show();

      dialogbox dbox =  new dialogbox(this,"Slection du theme",true);
      dbox.pack();
      dbox.show();

      if ((_WhishedDate != null) && (_ContentResult >0))
      {
          String txt = _ContentTheme +" - le " +_WhishedDate.toLocaleString();
          EventLabel.setText(txt);
          nbEvents = _TestAPI.ListEventsAtAndContent(_WhishedDate,_ContentResult);
      }
      else
      {
        nbEvents = 0;
      }

   }


   if (typeList == 7)   // Liste des Alarmes
   {
      String txt = "Liste des Alarmes";
      EventLabel.setText(txt);
      nbEvents = _TestAPI.ListAlarms();
   }

   //--------- Filtrage sur accord parental !!!!!! ----------

   if (_IsParentalFilter == true)
   {
      nbEvents =  _TestAPI.FilterEventsByParentalRating(_MinAge,_IsLessThan);
   }

  //-----------------------------------------------------------------------

  // on remplit la liste des vnements en fonction des rsultats trouvs...

   for (int i=0; i<nbEvents; i++)
   {
      String result = _TestAPI.GetEventName();
      _TestAPI.NextEvent();
      ListeEvents.addItem(result);
   }


   String Text = "Nombre d'lments: " + nbEvents;
   // le nombre d'lments trouvs est affich dans la boite de description des vnements
   DescEvents.setText(Text);

}


/***************************************************************************************/
/* Methode AddService :                                                                */
/* appel sur click bouton Add (preferences)                                           */
/* rajoute le service slectionn(liste des  services) dans la liste des prfrences   */
/***************************************************************************************/

void AddService(ActionEvent e)
{

  _typePref = 0;
  String result = ListSer.getSelectedItem();
   if (result != null)
   {
      String liste[] = ListPrefs.getItems();

      int i =  0;
      boolean isAlreadyExist = false;

      while ((isAlreadyExist == false) && i<liste.length)
      {
          isAlreadyExist = liste[i].equals(result);
          i++;
      }

      if (isAlreadyExist == false)
      {
          ListPrefs.addItem(result);
      }
   }
}

/***************************************************************************************/
/* Methode  RemoveService :                                                            */
/* appel sur click bouton Remove (preferences)                                        */
/* supprime le service selectionn(dans la liste des prfrences)                      */
/* de la liste des prfrences                                                         */
/***************************************************************************************/


void RemoveService(ActionEvent e)
{
    _typePref = 0;
    String result = ListPrefs.getSelectedItem();
    if (result != null)
    {
        ListPrefs.remove(result);
    }

}


/***************************************************************************************/
/* Methode Dbl_Click_list_service :                                                    */
/* appel sur dble click sur item de Liste services (preferences)                      */
/* mme effet que AddService                                                           */
/***************************************************************************************/

void Dbl_Click_list_service(ActionEvent e)
{
      _typePref = 0;
      String result = ListSer.getSelectedItem();
      if (result != null)
      {
        String liste[] = ListPrefs.getItems();

        int i =  0;
        boolean isAlreadyExist = false;

        while ((isAlreadyExist == false) && i<liste.length)
        {
          isAlreadyExist = liste[i].equals(result);
          i++;
        }

       if (isAlreadyExist == false)
       {
           ListPrefs.addItem(result);
       }
      }

}

/***************************************************************************************/
/* Methode Dbl_Click_pref_services :                                                   */
/* appel sur dble click sur item de Liste prefs services (preferences)                */
/* mme effet que RemoveService                                                        */
/***************************************************************************************/


void Dbl_Click_pref_services(ActionEvent e)
{
    _typePref = 0;
    String  result = ListPrefs.getSelectedItem();
    ListPrefs.remove(result);
}


/***************************************************************************************/
/* Methode ListeEvents_itemStateChanged :                                              */
/* appel sur selection item de liste des Evenements (guide)                           */
/* La description de l'vnement apparait dans la fenetre de description des Evnements*/
/***************************************************************************************/

void ListeEvents_itemStateChanged(ItemEvent e)
{


      int item = ListeEvents.getSelectedIndex();

      String Text = "Dbut :"+_TestAPI.GetStartTime(item)+"  Fin :" + _TestAPI.GetStopTime()+'\n';
     // recup de l'heure de dbut pour le item ime Evnement...
       Text += _TestAPI.GetServiceName()+'\n'+_TestAPI.GetServiceProviderName()+'\n' + '\n';
     // recup des paramtres "classiques" pour l'vnement (donc le service) courant (item)
      Text += _TestAPI.GetEventName()+'\n' +_TestAPI.GetContent() + '\n'
               + _TestAPI.GetShortDescription() + '\n';
      // recup du theme et du resum
      Text +="Status : "+ _TestAPI.GetRunningStatus()+ '\n';
      // recup du status
      String ExtendedInfo = _TestAPI.GetExtendedInfo();
      if (ExtendedInfo != null)
      {
        Text += ExtendedInfo;
      }

      // recup du parental rating
      int minAge = _TestAPI.GetParentalRating();
      if (minAge >0)
      {
            Text += "Film interdit aux moins de "+minAge+" ans";
      }
      else
      {
            Text += "Accord Parental non dfini";
      }

      String CompInfo = _TestAPI.GetComponentInfo();

      if (CompInfo != null)
      {
         Text +='\n'+CompInfo;
      }

      DescEvents.setText(Text);

}

/***************************************************************************************/
/* Methode clickService :                                                              */
/* appel sur click item de liste des Services (guide)                                 */
/* La liste des venements relatifs  ce service apparait...                           */
/***************************************************************************************/

void clickService(ActionEvent e)
{
    ListeEvents.removeAll();
    // on supprime tous les evenements de la liste des evenements

    int nbEvents = _TestAPI.ListServiceEvents();
    String myText = "Evenement(s) pour "+_TestAPI.GetServiceName();
    EventLabel.setText(myText);

    for (int i=0; i<nbEvents; i++)
    {
        String result = _TestAPI.GetEventName();
        ListeEvents.addItem(result);
        _TestAPI.NextEvent();
    }
    // puis on remplit cette liste avec les nouvelles valeurs...

}

/***************************************************************************************/
/* Methode RemoveAllServices :                                                         */
/* appel sur click sur bouton "flush" (preferences)                                   */
/* supprime tous les items de la liste des prfrences                                 */
/***************************************************************************************/

void RemoveAllService(ActionEvent e)
{
      ListPrefs.removeAll();
      ViewOnlyPrefServices.setState(false);
      UpdateService_actionPerformed(e);

}

/***************************************************************************************/
/* Methode Dblclick_ListeEvents :                                                      */
/* appel sur dbl click item de liste Events (guide) -> ajout d'une alarme             */
/***************************************************************************************/

void DblClick_ListeEvents(ActionEvent e)
{
      _TestAPI.CreateAlarm(ListeEvents.getSelectedIndex(),0);
      String text = _TestAPI.GetEventName(ListeEvents.getSelectedIndex());
      AgendList.addItem(text);  // on ecrit le nom de l'evenement dans la premiere liste

      text = _TestAPI.GetStartTime();
      AgendDebut.addItem(text); // dans la deuxieme, l'heure de dbut

      text =  "Type "+ 0 + " - Non dclenche";

      AgendType.addItem(text);  // dans la troisime le type de l'alarme
}

/***************************************************************************************/
/* Methode AgendList_actionPerformed :                                                 */
/* appel sur dbl click item de liste des alarmes (agenda) -> suppression de l'alarme  */
/***************************************************************************************/

void AgendList_actionPerformed(ActionEvent e)
{
    _TestAPI.RemoveAlarm(AgendList.getSelectedIndex());

    AgendDebut.remove(AgendList.getSelectedIndex());
    AgendType.remove(AgendList.getSelectedIndex());
    AgendList.remove(AgendList.getSelectedIndex());

}


/***************************************************************************************/
/* Methode AutoPref_actionPerformed :                                                  */
/* appel sur click sur bouton "Prferences automatiques"                              */
/* tient compte de la Combo Box , pour indiquer le type de prfrences automatiques    */
/* rempit la liste des prfrences en fonction des valeurs saisies dans les boites de  */
/* dialogue                                                                            */
/***************************************************************************************/

void AutoPref_actionPerformed(ActionEvent e)
{
   int typeOfpref = ChoicePref.getSelectedIndex();
   // deux possibilits 0: preferences selon un bouquet dfini
   //                   1: preferences selon un type de service dfini

   String titre;

   if (typeOfpref == 0)
   {
      titre = "Prfrences par bouquet";
   }
   else
   {
      titre = "Prfrences par type de services";
   }

   prefbox prBox = new prefbox(this,titre,true,typeOfpref);
   prBox.show();

   if (_CurrentBouquet != null) // on a appuy sur OK
   {
      RemoveAllService(e);

      ListPrefs.removeAll();

      if (typeOfpref == 0)
      {

        _typePref = 1;
        for (int i = 0; i< _TestAPI.GetNbServices(); i++)
        {
          if (_TestAPI.GetServiceProviderName(i).equals(_CurrentBouquet))
          {
              ListPrefs.addItem(_TestAPI.GetServiceName());
          }
        }
      }
      else
      {
        _typePref = 2;
        for (int i = 0; i< _TestAPI.GetNbServices(); i++)
        {
          if (_TestAPI.GetServiceType(i) == _CurrentPrefIndex)
          {
              ListPrefs.addItem(_TestAPI.GetServiceName());
          }
        }
      }
   }

}


/***************************************************************************************/
/* Methode PRating_button_actionPerformed :                                            */
/* appel sur click sur bouton "Age minimal"                                           */
/***************************************************************************************/

void PRating_button_actionPerformed(ActionEvent e)
{
    ParentalBox pBox = new ParentalBox(this,"Paramtres de filtrage sur ge minimal",true);
    pBox.show();
    pBox.pack();


    if (_IsParentalFilter == false)
    {
        PRating.setText("Pas d\'ge minimal");
    }
    else
    {
       String Text = "Evenements ";
       if (_IsLessThan == true)
       {
          Text += " autoriss aux moins de ";
       }
       else
       {
          Text += " interdits aux moins de ";
       }
       Text += _MinAge + " ans";

       PRating.setText(Text);
    }

}

public void NotifyAlarm(int index)
{
    AgendType.getToolkit().beep();
    String modif = "Alarme dclenche";
    AgendType.replaceItem(modif,index);
}


void Reinit_actionPerformed(ActionEvent e)
{
       _TestAPI.InitDatabase(0);
       UpdateService_actionPerformed(e);
}

/*********** fin de la classe *********/
/********************************F I N   D U    T E S T ******************************/



}


