package test;

/*import epg.Time;*/
/*import bali.sender.*;*/
//import bali.si.*;
/*import bali.stb_sim.*;*/
import bali.support.*;
import org.davic.mpeg.TransportStream;
import org.davic.net.dvb.si.*;
import java.util.Vector;
import java.awt.*;
import prl.mpeg.*;
import prl.tuning.*;
import bali.support.Debug;
/*DATE_NORMAL*/ import  java.util.Date;
//DATE_TM*/     import  bali.tm.Date;

class TMMonitorTest 
    implements SIEventListener
{
    private SIService _services[];
    private static boolean instantiated = false;
    
    /*******************
    */
    public static void main (String[] args) 
    {
      System.out.println("main");
        Debug.setPrintThread( true );
        Debug.setDbgLvl( Debug.SI, Debug.IMPL );
 //        Debug.setDbgLvl( Debug.CACHE, Debug.MEDIUM );
 //        Debug.setDbgLvl( Debug.TABLE, Debug.MEDIUM );
 //        Debug.setDbgLvl( Debug.COMP, Debug.LOW );
//        Debug.setDbgLvl( Debug.RETRIEVE, Debug.HIGH );
 //        Debug.setDbgLvl( Debug.RETRIEVE, Debug.IMPL );
//        Debug.setDbgLvl( Debug.HWSF, Debug.HIGH );
 //        Debug.setDbgLvl( Debug.HWSF, Debug.IMPL );
 //        Debug.setDbgLvl( Debug.HWSF_LE, Debug.IMPL );
 //        Debug.setDbgLvl( Debug.SUPPORT, Debug.MEDIUM );
        Debug.setDbgLvl( Debug.MONITOR, Debug.HIGH );
        doPrint = true;
        println("Start TMTest");
        if(!instantiated) {
            instantiated = true;
            new TMTest();
        }
        println("TMTest started");

        SIDatabase sid = SIDatabase.getSIDatabase()[0];
/*
        try
        {
            SIIterator it;
            println("=======NETWORK INFO=========================" );
            SINetwork nw = sid.retrieveActualSINetwork( null );
            printNetwork( nw );

            println("=======SERVICE INFO=========================" );
            it = sid.retrieveActualSIServices( null );
            while( it.hasMoreElements() )
            {   println("----------------------------" );
                SIService s = (SIService)it.nextElement();
                printService(s);
//                testPresentFollowingEvent( s.getOriginalNetworkId(), s.getTransportStreamId(), s.getServiceId() );
            }

            println("================================" );
            SITime time;            
            time = sid.retrieveSITimeFromTDT( );
            println("TDT filtered" );
            println("  time: "+time.getUTCTime() );
        }
        catch( RetrieveFailedException e )
        {
            println("Exception " + e );
        }   
*/        
        println("========== Start Monitor =============");
        try
        {
            SIIterator it;
            SIEventListener list = new TMMonitorTest();
            println("=======SERVICE's=========================" );
            it = sid.retrieveSIServices( -1, -1, -1, null );
            while( it.hasMoreElements() )
            {   
//                println("----------------------------" );
                SIService s = (SIService)it.nextElement();
//                printService(s);
                println("Add service monitor "+s.getServiceId() );
                s.addListener( list );
                try
                {   SIEvent siEvent = s.retrieveFollowingSIEvent( null );
                    println("Add event monitor "+s.getServiceId()+" "+siEvent.getEventId() );
                    siEvent.addListener( list );
                }
                catch( RetrieveFailedException e )
                {}
                try
                {   SIEvent siEvent = s.retrievePresentSIEvent( null );
                    println("Add event monitor "+s.getServiceId()+" "+siEvent.getEventId() );
                    siEvent.addListener( list );
                }             
                catch( RetrieveFailedException e )
                {}
            }
        }
        catch( RetrieveFailedException e )
        {
            println("Exception " + e );
        }   
      }

    static void printRunningStatus( int status )
    {
        switch( status )
        {
        case SIRunningStatus.UNDEFINED :
            println(">> RunningStatus : UNDEFINED");
            break;
        case SIRunningStatus.NOT_RUNNING :
            println(">> RunningStatus : NOT_RUNNING");
            break;
        case SIRunningStatus.STARTS_IN_A_FEW_SECONDS  :
            println(">> RunningStatus : STARTS_IN_A_FEW_SECONDS");
            break;
        case SIRunningStatus.PAUSING  :
            println(">> RunningStatus : PAUSING");
            break;
        case SIRunningStatus.RUNNING  :
            println(">> RunningStatus : RUNNING");
            break;
        }
    }

    public void post(SIEventObject e) 
    {
        println("=====================================================");
        println("SIEvent received :"+e);
        Object source = e.getSource();
        println("SIEvent.getSource() :"+e.getSource());
        switch ( e.getType() )
        {
        case SIEventObjectType.SOURCE_OBJECT_KILLED :
            println("  eventType: SOURCE_OBJECT_KILLED");
            break;
        case SIEventObjectType.RUNNING_STATUS_CHANGED :
            println("  eventType: RUNNING_STATUS_CHANGED");
            break;
        case SIEventObjectType.WARNING_ON_INFORMATION_VALIDITY :
            println("  eventType: WARNING_ON_INFORMATION_VALIDITY");
            break;
        default:
            break;
        }
        if ( source instanceof SIService )
        {   SIService s = (SIService)source;
            printService( s );
            try
            {   s.retrieveUpdate();
                printService( s );
            }
            catch( RetrieveFailedException ex )
            {   println("service "+s.getOriginalNetworkId()+" "+s.getTransportStreamId()+" "+s.getServiceId()+" Exception " + ex );
            }
        } else if ( source instanceof SIEvent )
        {   SIEvent ev = (SIEvent)source;
            printEvent( ev );
            testPresentFollowingEvent( ev.getOriginalNetworkId(), ev.getTransportStreamId(), ev.getServiceId() );        
        }
        println("=====================================================");
    }

   static void testPresentFollowingEvent( int or_nw_id, int ts_id, int sno )
   {
        println("Start testPresentFollowingEvent");
        SIIterator it;
        SIService s = null;
        SIDatabase sid = SIDatabase.getSIDatabase()[0];
        try
        {
            println("================================" );
            println("Filter service "+sno);
            it = sid.retrieveSIServices( or_nw_id, ts_id, sno, null );
            s = (SIService)it.nextElement();
            println("================================" );
            println("Service "+sno+": present event:");
            printEvent( s.retrievePresentSIEvent( null ) );
            println("================================" );
            println("Service "+sno+": following event:");
            printEvent( s.retrieveFollowingSIEvent( null ) );
        }
        catch( RetrieveFailedException e )
        {
            println("Present/following event "+or_nw_id+" "+ts_id+" "+sno+" Exception " + e );
        }   
   }

   static void testTime()
   {
        println("Start Time test");
        SIDatabase sid = SIDatabase.getSIDatabase()[0];
        try
        {
            SIIterator it;
            println("================================" );
            SITime time;            
            time = sid.retrieveSITimeFromTDT( );
            println("TDT filtered" );
            println("  time: "+time.getUTCTime() );
            println("================================" );
            sid.retrieveSITimeFromTOT(null);
            println("TOT filtered" );
            println("  time: "+time.getUTCTime() );
        }
        catch( RetrieveFailedException e )
        {
            println("Exception " + e );
        }   
   }

   

   static void printService( SIService s )
   {
        println(">> Service:  "+s.getURL() );
        println(">> Name:     "+s.getServiceName() );
        println(">> Name:     "+s.getServiceProviderName() );
        try {printRunningStatus( s.retrieveRunningStatus() );      }
        catch( RetrieveFailedException e ) {}
   }

   static void printNetwork( SINetwork nw )
   {
        println(">> Network:  "+nw.getNetworkId() );
        println(">> Name:     "+nw.getNetworkName() );
        
   }

   static void printEvent( SIEvent ev )
   {
        println(">> Event :   "+ev.getURL() );
        println(">> Name:     "+ev.getEventName() );
//        println(">> Descript: "+ev.getShortDescription() );
//        println(">> Start:    "+ev.getStartTime() );
//        println(">> Duration: "+ev.getDuration() );
//        println(">> End:      "+new Date( ev.getStartTime().getTime() +ev.getDuration() ) );
        printRunningStatus( ev.getRunningStatus() );
   }

   static void printES( PMTElementaryStream es )
   {
        println(">> ES :          "+es.getURL() );
        println(">> StreamType:   "+es.getStreamType() );
        println(">> PID:          "+es.getElementaryPID() );
   }

    
   static boolean doPrint = false;
   static void println( String str )
   {
        if ( doPrint )
            System.out.println( str );
   }

}