package test;
import bali.testframe.local_sommit.Server;
import bali.testframe.sender.MultiRepeater;
import bali.support.Debug;
import org.davic.net.tuning.*;
import org.davic.mpeg.TransportStream;
import org.davic.mpeg.dvb.DvbTransportStream;
/*DATE_NORMAL*/ import  java.util.Date;
//DATE_TM*/     import  bali.tm.Date;
import test.stream6.StartStream;

/***************************
*/
public class TestTuningAPI
{
    public static void main( String args[] )
	{

        StartStream.start();
        doPrint = true;
//        Debug.setDbgLvl( Debug.SI, Debug.IMPL );
//        Debug.setDbgLvl( Debug.COMP, Debug.LOW );
//        Debug.setDbgLvl( Debug.RETRIEVE, Debug.IMPL );
//        Debug.setDbgLvl( Debug.TUNING, Debug.MEDIUM );
//        Debug.setDbgLvl( Debug.CACHE, Debug.MEDIUM );
//        Debug.setDbgLvl( Debug.RETRIEVE, Debug.LOW );
//        Debug.setDbgLvl( Debug.HWSF, Debug.LOW );
//        Debug.setDbgLvl( Debug.SUPPORT, Debug.IMPL );
		/////////////////////////
        doTest();
        doTest();
    }
    
    public static void doTest()
	{
        println("Start tuning API test");
        {
            NetworkInterfaceManager nim = NetworkInterfaceManager.getInstance();
            println("NetorkInterfaceManager created : "+nim );
            NetworkInterface[] arNi = nim.getNetworkInterfaces();
            for ( int i=0; i<arNi.length; i++)
            {
                printNetworkInterface( arNi[i] );
            }
        }
   }
   
   static void printNetworkInterface( NetworkInterface ni )
   {
        println( "NetworkInterface "+ ni );
        println( "  DeliverySystemType "+ ni.getDeliverySystemType() );
        println( "  isLocal            "+ ni.isLocal() );
        println( "  isReserved         "+ ni.isReserved() );
        println( "  Current transport stream");
        printTransportStream( ni.getCurrentTransportStream() );
        println( "  Accessible TransportStreams" );
        TransportStream[] arTs = ni.listAccessibleTransportStreams();
        for ( int i=0; i< arTs.length; i++ )
        {
            printTransportStream( arTs[i] );
        }
   }
   
   static void printTransportStream( TransportStream ts )
   {
        if ( ts instanceof DvbTransportStream )
        {   DvbTransportStream dvbts = (DvbTransportStream)ts;
            println("   Dvb Transport Stream : or_nw_id "+dvbts.getOriginalNetworkId()+" nw_id "+dvbts.getNetworkId()+" ts_id "+dvbts.getTransportStreamId() );
        }
        else
        {
            println("   Transport Stream : ts_id "+ts.getTransportStreamId() );
        }
   }
   
   static boolean doPrint = false;
   static void println( String str )
   {
        if ( doPrint )
            System.out.println( str );
   }
}


