/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  Module              : bali.si 
*  File name   $Logfile: /func_test_platf2/test/TimerTest.java $
*       Last save $Date: 2003/12/24 00:53:12 $
*             $Revision: 1.1.1.1 $
*          Last $Author: mikeseven $
*  Creation Date       : 28/10/98
*  First Author        : S.A.F.A. van den Heuvel
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
*
* $Log: TimerTest.java,v $
* Revision 1.1.1.1  2003/12/24 00:53:12  mikeseven
* Initial release of the CVS repository for MPEG-4 Systems code
* after the code was corrupted due to reorganization and human 
* errors.
*
* Revision 1.1  2003/04/03 04:29:36  mikeseven
* Initial release of Player3D and MPEG-J for all MPEG-4 reference softwares players with samples.
* For installation, follow instructions in docs/Player3D_setup.doc.
*
* Many thanks to Prashanth Gujjeti and Viswanathan Swaminathan from Sun Microsystems.
*
* -- Mikael Bourges-Sevenier (Mindego)
*
* Revision 1.1  2002/08/23 16:47:29  pg138550
* Changes for MPEG-J. NOT FINAL
*
* Revision 1.1  2000/07/21 20:37:49  alavilli
* adding missing files in the previous checkin for SISF
*
* Revision 1.1.2.1  1999/07/09 14:17:41  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.2  1999-04-15 09:53:18+02  vdheuvel
* Files changed to hook the system up to the TM demultipler and the
* TM hardware. Changes include, swapping the java.util.Date class
* for the bali.tm.Date class (to prevent using 64 bit floats). Changing
* the HW sect filt used by bali.hw.SectFilt.
*
* Revision 1.1  1998-10-30 14:52:40+01  vdheuvel
* Test programs
*
 * 
 * 1     9-11-98 14:03 Vdheuvel
 * Creation
*/

package test;
import  bali.support.*;
/*DATE_NORMAL*/ import  java.util.Date;
//DATE_TM*/     import  bali.tm.Date;

public class TimerTest
	implements TimerListener
{
	static public void main( String args[] )
	{
		TimerTest t = new TimerTest();
		System.out.println("TimerTest started :"+ new Date() );
		ActiveEventSender.getInstance(1).setTimer( t, 100, new Integer(100) );
		ActiveEventSender.getInstance(1).setTimer( t, 200, new Integer(200) );
		ActiveEventSender.getInstance(1).setTimer( t, 10000, new Integer(10000) );
		ActiveEventSender.getInstance(1).setTimer( t, 20000, new Integer(20000) );
		ActiveEventSender.getInstance(1).setTimer( t, 30000, new Integer(30000) );
		ActiveEventSender.getInstance(1).setTimer( t, 1000, new Integer(1000) );
		ActiveEventSender.getInstance(1).setTimer( t, 2000, new Integer(2000) );
		ActiveEventSender.getInstance(1).setTimer( t, 40000, new Integer(40000) );
		ActiveEventSender.getInstance(1).setTimer( t, 15000, new Integer(15000) );
		ActiveEventSender.getInstance(1).setTimer( t, 25000, new Integer(25000) );
	}
	
	public void postTimerEvent( TimerEvent event )
	{
		System.out.println("Timer arrived :"+event.getTimerRef()+" at : "+new Date() );
	}
}

