package test.stream7;
//import bali.testframe.local_sommit.Server;
import bali.testframe.local_tm.Server;
import bali.testframe.sender.MultiRepeater;
import org.davic.net.dvb.si.*;
import bali.table.SDT;
import bali.table.NIT;
import bali.table.EITpf;
import bali.table.EITsch;
import bali.table.PMT;
import bali.table.PAT;
import bali.table.TDT;
import bali.table.TOT;
/*DATE_NORMAL*/ import  java.util.Date;
//DATE_TM*/     import  bali.tm.Date;

/***************************
*/
public class StartStream
{
    public static void start( )
	{

	    // create new Server process
		Server server = 
			new Server();

		// Set-up section repeaters
		MultiRepeater rep;
		Thread  t;
		
 		// TDT
		rep = new MultiRepeater
		    ( server
		    , 0.1 /*frequency*/
		    , TDT.PID/*PID*/
		    , "test/stream7/tdt_all.tdt" /* filename, the file contains one or more sections */
		    );
        startThread( rep );

 		// TOT
		rep = new MultiRepeater( server, 0.1, TOT.PID, "test/stream7/tot_all.tot" );
        startThread( rep );

 		// TDT
		rep = new MultiRepeater( server, 0.5, NIT.PID, "test/stream7/nit_all.nit" );
        startThread( rep );

 		// SDT
		rep = new MultiRepeater( server, 0.5, SDT.PID, "test/stream7/sdt_all.sdt" );
        startThread( rep );
		
 		// EITpf
		rep = new MultiRepeater( server, 0.5, EITpf.PID, "test/stream7/eitpf_all.eit" );
        startThread( rep );

 		// EITsch
		rep = new MultiRepeater( server, 0.5, EITsch.PID, "test/stream7/eits_all.eit" );
        startThread( rep );

 		// PAT
		rep = new MultiRepeater( server, 10, PAT.PID, "test/stream7/pat.000" );
        startThread( rep );
        
        // PMT
        rep = new MultiRepeater( server, 10, 100, "test/stream7/pmt_1_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 200, "test/stream7/pmt_2_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 300, "test/stream7/pmt_3_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 400, "test/stream7/pmt_4_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 500, "test/stream7/pmt_5_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 600, "test/stream7/pmt_6_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 700, "test/stream7/pmt_7_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 800, "test/stream7/pmt_8_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 900, "test/stream7/pmt_9_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1000, "test/stream7/pmt_10_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1100, "test/stream7/pmt_11_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1200, "test/stream7/pmt_12_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1300, "test/stream7/pmt_13_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1400, "test/stream7/pmt_14_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1500, "test/stream7/pmt_15_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1600, "test/stream7/pmt_16_0.inp.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 1700, "test/stream7/pmt_17_0.inp.000" );
        startThread( rep );
        

    }    
    
    private static void startThread( Runnable rep )
    {
        Thread t;
		t = new Thread(rep);
		t.setDaemon(true);
		t.start();
    }
    
}





