#if !defined(_AACfhg_h)  // Sentry, use file only if it's not already included.
#define _AACfhg_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Multiplexer
FILE:       AACfhg.h
AUTHOR:     Patrizio Bergallo (CSELT)
OVERVIEW:   Declaration of AAC, the class that handles AAC streams
-------------------------------------------------------------------------*/


#include "HeaderInfo/AACFHGheader.h"
#include "MuxStream.h"

class AACFHGStream : public Stream
{
	unsigned long m_nAU;
    float m_dt;
	int m_anBuffer[409600];	
	int m_nFrameLen;		
	int m_nFrameTime;
	int m_nCount;
	int contauH ;
	int contauF ;
	int first;
	long m_lTime;
	long m_lDTS;
	bool m_bRAP;
	AACFHGheader *m_pFHGheader;

public:
	AACFHGStream (FILE *fStream, ESDesc *pDescriptor);
	//virtual long GetTimeStamp();
	virtual long GetDTS ();
	virtual long GetCTS () {return m_lDTS;}
	virtual bool IsRAP ();
	virtual int GetChar ();	
};

#endif	// _AAC_h sentry