/*-------------------------------------------------------------------------
Project Mux
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Mux
FILE:       SLDummyPlugin.h
AUTHOR:     Alexandre Cotarmanac'h Echevarria
			France Telecom R&D
E-MAIL:		alexandre.cotarmanach@francetelecom.com
OVERVIEW:   Declaration of an SL Manager plugin.
-------------------------------------------------------------------------*/
#if !defined(__DUMMY_SLPLUGIN_SLEXTENSION__H__)
#define __DUMMY_SLPLUGIN_SLEXTENSION__H__

#ifdef PLUGIN_EXPORTS
#define PLUGIN_API __declspec(dllexport)
#else
#define PLUGIN_API __declspec(dllimport)
#endif

#define DLL_CALLCONV __stdcall

class Plugin;

extern "C" {
	PLUGIN_API void DLL_CALLCONV Init(SLPlugin * pPlugin);
}


#endif // !defined(__DUMMY_SLPLUGIN_SLEXTENSION__H__)