/*\   Programmed by Alexander Zhirkov azh@graphics.cs.msu.su
\*/

#ifndef _CommonDef_H_
#define _CommonDef_H_

#ifndef __BORLANDC__

	#define Assert(p,f) //assert(p)
	#define Exit(p,f) {if(!(p)) exit(0);}

	#define Mesag(f2,f1)

	#define STR(s)  (CString(s))

#ifndef M_PI
	#define M_PI 3.141592654
#endif

	#define random(__num) (__num ? (int)(rand()%(__num)) : 0)

#else

	#ifdef _DEBUG_
	#define Assert(p,f)\
		Exit(p,f)
	#else
	#define Assert(p,f);
  	#endif

	#include <vcl.h>
	#define Exit(p,f)\
	if(!(p)){\
	  Application->MessageBox(\
  			((AnsiString)"ASSERT: "+f).c_str(),\
			"Execution failure",MB_OK);exit(-1); };

	#define Mesag(f2,f1)\
	  Application->MessageBox(((AnsiString)f1).c_str(),\
 		   					  ((AnsiString)f2).c_str(),MB_OK);

	#define STR(s)  (((AnsiString)s).c_str())

#endif


  #define AssertIndex(i,a)\
	Assert(int(i)>=0 && int(i)<int(a),"<?> out of index "+i+" in <0,"+(int)(int(a)-1)+">")
  #define AssertIndexText(i,a,t)\
	Assert(int(i)>=0 && int(i)<int(a),t)

  #define AssertIndexRange(i,d,a)\
	Assert(int(i)>=0 && int(i)+int(d)<=int(a),\
    	"<?> out of index-range <"+int(i)+","+int(d)+"> in <0,"+(int)(int(a)-1)+">")

  #define FOR(i,n) for(i=0;i<(n);i++)
  #define ifordec(i,n) for(int i=(n)-1;i>=0;i--)
  #define iforinc(i,n) for(int i=0;i<(n);i++)
  #define forinc(i,n) for(i=0;i<(n);i++)
  #define fordec(i,n) for(i=(n)-1;i>=0;i--)
  #define forinc2(i,j,li,lj) forinc(i,li) forinc(j,lj)
  #define fordec2(i,j,li,lj) fordec(i,li) fordec(j,lj)
  #define iforinc2(i,j,li,lj) iforinc(i,li) iforinc(j,lj)
  #define ifordec2(i,j,li,lj) ifordec(i,li) ifordec(j,lj)
  #define forinc3(i,j,k,li,lj,lk) forinc(i,li) forinc(j,lj) forinc(k,lk)
  #define fordec3(i,j,k,li,lj,lk) fordec(i,li) fordec(j,lj) fordec(k,lk)
  #define iforinc3(i,j,k,li,lj,lk) iforinc(i,li) iforinc(j,lj) iforinc(k,lk)
  #define ifordec3(i,j,k,li,lj,lk) ifordec(i,li) ifordec(j,lj) ifordec(k,lk)
  #define forinc4(i,j,k,n,li,lj,lk,ln) forinc(i,li) forinc(j,lj) forinc(k,lk) forinc(n,ln)
  #define fordec4(i,j,k,n,li,lj,lk,ln) fordec(i,li) fordec(j,lj) fordec(k,lk) forinc(n,ln)
  #define iforinc4(i,j,k,n,li,lj,lk,ln) iforinc(i,li) iforinc(j,lj) iforinc(k,lk) iforinc(n,ln)
  #define ifordec4(i,j,k,n,li,lj,lk,ln) ifordec(i,li) ifordec(j,lj) ifordec(k,lk) iforinc(n,ln)

  typedef unsigned int   	unt;
  typedef signed   short 	wrd;
  typedef unsigned short 	urd;
  typedef 		   char 	chr;
  typedef signed   char  	shr;
  typedef unsigned char  	uhr;
  typedef float 			flt;
  typedef double 			dbl;
  typedef long double 		ldb;
/*
  #define data_public public
  #define data_readonly public
  #define data_private private
  #define data_protected protected
  #define methods public
*/
  #define PROP(i1,i2,j,j1,j2)\
	((j1)==(j2)?(i1):(i1)+((i2)-(i1))*((j)-(j1))/((j2)-(j1)))

  #define PROPD(i1,i2,j,j1,j2)\
	((j1)==(j2)?.5*((i1)+(i2)):(i1)+((dbl)((dbl)(j)-(j1))/((dbl)(j2)-(j1)))*((i2)-(i1)))

  #endif

