// Source.h: interface for the CSource class.
//
//////////////////////////////////////////////////////////////////////


#ifndef _Source_H
#define _Source_H

#include "const.h"


extern "C" void UpdateEQ(float GainLow, float GainMid, float GainHigh, float FreqLow, float FreqHigh, float coef[5]);

class CSource
{
public:
	CSource();
	virtual ~CSource();
	void SetSourceEqualizer(float FreqLow,float FreqHigh,float GainLow,float GainMid,float GainHigh);
	void DoFiltering(float *inBuff, float *outBuff,int SizeBuff);

private :


	float m_b0;
	float m_b1;
	float m_b2;
	float m_a1;
	float m_a2;

	float m_mema[2];
	float m_memb[2];
	int	  m_pos;

	float m_gainEQ;

	float m_FreqLow  ;
	float m_FreqHigh ;

};

#endif
