#ifndef __BDPPROXY_H__
#define __BDPPROXY_H__

// Includes
#include "defs.h"
#include "Nodes.h"
#include "fbadecoder/sim.h"
#include "Stream.h"
#include "opengl/base/MediaObjectProxy.h"
#include "opengl/base/VisualRenderer.h"
#include "opengl/fba/BodyProxy.h"
#include "opengl/fba/BAPProxy.h"

class OpenGLPresenter;
class OpenGLVisualRenderer;
class NodeProxy;

class BDPProxy : public MediaObjectProxy {
	BOOL firstTime;
// Constructor
public:
	BDPProxy::BDPProxy(BDP * pBDP);

// Overrides
public:
	virtual void RenderDescription(OpenGLVisualRenderer * pRenderer, DWORD dwTime);
	BOOL Update(Body * pBody, DWORD dwTime);

// Inlines
public:
	inline BDP* GetBDP() {return (BDP*) GetMediaObject(); }

};

#endif
