varying vec4 diffuse,ambient;
varying vec3 normal,lightDir;
uniform vec4 Material_diffuse;

void main()
{
	vec3 n,viewV,ldir;
	float NdotL;
	uniform vec4 Material_diffuse = (0.8,0.8,0.8,1.0);

	/* The ambient term will always be present */

	//vec4 color = ambient;
	vec4 color = (0.0,0.0,0.0,1.0);

	/* a fragment shader can't write a varying variable, hence we nee
	a new variable to store the normalized interpolated normal */

	n = normalize(normal);

	/* compute the dot product between normal and ldir */

	NdotL = max(dot(n,lightDir),0.0);

	if (NdotL > 0.0)
		{
		color = diffuse * NdotL;
		}

	gl_FragColor = color;
}