// OsmoseView.h : interface of the COsmoseView class
//
/////////////////////////////////////////////////////////////////////////////


class COsmoseView : public CView
{
protected: // create from serialization only
	COsmoseView();
	DECLARE_DYNCREATE(COsmoseView)

// Attributes
public:
	COsmoseDoc* GetDocument();


// Operations
public:
	void NonFatalError(int nERROR, va_list args);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COsmoseView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL
	

// Implementation
public:
	virtual ~COsmoseView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	UINT shiftKey_changed, controlKey_changed, altKey_changed;
	BOOL leftButton_pressed;
	UINT GetActionKey(UINT nVirtKey);
	ZString GetString(UINT virtKey);			// CC 010123
	ZString GetCharString(UINT nChar);			// CC 010123
	void SendMouseMove(UINT nFlags, CPoint point, BOOL bDown);

// Generated message map functions
protected:
	//{{AFX_MSG(COsmoseView)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnChar( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnSysKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnSysKeyUp( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnKeyUp( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg LONG OnSceneFinished(WPARAM wParam, LPARAM lParam);
	afx_msg LONG OnNonFatalError(WPARAM wParam, LPARAM lParam);
	afx_msg LONG OnFatalError(WPARAM wParam, LPARAM lParam);
	afx_msg LONG OnDDrawProblem(WPARAM wParam, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in OsmoseView.cpp
inline COsmoseDoc* COsmoseView::GetDocument()
   { return (COsmoseDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
