// Stefano Battista
// 1999/02/17

#ifndef __EXECUTIVE3D_H__
#define __EXECUTIVE3D_H__

#include "Executiv.h"


class CMmiDoc;
class OpenGLPresenter;

class Executive3d : public Executive
{
private:
  CMmiDoc * mpoDoc;

public:
  Executive3d(
    CMmiDoc * poDoc, 
    Application * poApp,
    HWND hWnd , 
    FILE * poFileTrace = NULL,
    int iFlags = TRACE_NONE);
  Executive3d::~Executive3d();

  //ML - changed RESPONSE_PARAMETER to RESPONSE
  void OnFinish(
    ALManager * poAlManager, 
    RESPONSE eReason = RESPONSE_END_OF_DATA);
  void SetPresenter(OpenGLPresenter * poPresenter);
  void ReSize(int iWidth, int iHeight);

  //ML - added this function
  BOOL IsActive() const
  { return m_bActive; }
};

#endif // ! __EXECUTIVE3D_H__
