//$Log: ArithCoder.h,v $
//Revision 1.1.1.1  2003/12/24 00:55:04  mikeseven
//Initial release of the CVS repository for MPEG-4 Systems code
//after the code was corrupted due to reorganization and human 
//errors.
//
//Revision 1.1.1.2  2003/01/30 16:28:29  payan
//no message
//
//Revision 1.1.1.1  2002/07/18 01:08:24  mikeseven
//Initial check in of July 17, 2002 version
//
//Revision 1.1  2000/03/03 18:41:21  Alex Cotarmanac'h
//Version 1 -- Alexandre Cotarmanac_h
//
//Revision 1.2  1999/12/07 08:23:52  A C
//*** empty log message ***
//
//Revision 1.1  1999/12/06 01:08:22  A C
//*** empty log message ***
//
#ifndef ARITHCODERH
#define ARITHCODERH
#include "../Animation/ArithModel.h"
#define Q1 16384
#define Q2 32768
#define Q3 49152
#define TOP 65535 
#define ZEROMAX 22
class ArithCoder 
{
public:
	ArithCoder() : low(0), high (TOP), length(0),m_bitcount(0){}
	int getBitCount() { return m_bitcount; }
	void update(int symbol, ArithModel & model)
	{
		model.update(symbol);
	}
	void init(ArithModel &model)
	{
		model.init();
	}
	virtual void encodeAndUpdate(int val, ArithModel & model, char * str, int &bits)=0;
	virtual void encodeAndUpdate(int val, ArithModel & model)=0;
	virtual int flush()=0;
protected :
	int low;
	int high;
	int length;
	int m_bitcount;
};
#endif

