//$Log: NatInt.h,v $
//Revision 1.1.1.1  2003/12/24 00:55:04  mikeseven
//Initial release of the CVS repository for MPEG-4 Systems code
//after the code was corrupted due to reorganization and human 
//errors.
//
//Revision 1.2  2003/04/03 04:29:43  mikeseven
//Initial release of Player3D and MPEG-J for all MPEG-4 reference softwares players with samples.
//For installation, follow instructions in docs/Player3D_setup.doc.
//
//Many thanks to Prashanth Gujjeti and Viswanathan Swaminathan from Sun Microsystems.
//
//-- Mikael Bourges-Sevenier (Mindego)
//
//Revision 1.1.1.2  2003/01/30 16:28:29  payan
//no message
//
//Revision 1.1.1.1  2002/07/18 01:08:25  mikeseven
//Initial check in of July 17, 2002 version
//
//Revision 1.1  2000/03/03 18:41:22  Alex Cotarmanac'h
//Version 1 -- Alexandre Cotarmanac_h
//
//<alexandre.cotarmanac-h@polytechnique.org>
#ifndef NATINTH
#define NATINTH
#include "Quantize.h"

class QuantInt;


class NatInt
{
public:
	NatInt& operator+= (NatInt);
	NatInt& operator-= (NatInt);
	NatInt();
	NatInt(Quantizer * pQuant,int v=0, bool isPureNat=true);
	NatInt(int nbbits, float mini,float maxi, int value=0,bool isPureNat=true);
	virtual ~NatInt();
	static NatInt parseValue(Quantizer * pQuant);
	QuantInt Quantize();
public:
	static bool m_predictiveNatScheme;
private:
	int m_nbbits;
	float m_maxi;
	float m_mini;
	bool m_isPureNat; // is PureNat i.e. NatInt belongs to [Min;Max]
					  // otherwise NatInt belongs to [Min-Max;Max-Min]
	int m_value;

#ifdef DEBUGPREDICTIVE
public:
	void Print(FILE *);
#endif
};
NatInt operator+ (NatInt a, NatInt b);
NatInt operator- (NatInt a, NatInt b);
#endif
// SOLARIS PORTING - Added a new line
