/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAudioSource.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAudioSource
CVS     : $Id: NRAudioSource.h,v 1.3 2007/05/08 06:23:01 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRAUDIOSOURCE_H__
#define __NRAUDIOSOURCE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRAudioSource : public RBaseList
{
public:
	NRAudioSource(MediaObject *refnode);
	virtual ~NRAudioSource();

	AudioSource *refnode;

};

#endif // __NRAUDIOSOURCE_H__
