/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBDP.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBDP
CVS     : $Id: NRBDP.h,v 1.3 2007/05/08 06:23:02 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBDP_H__
#define __NRBDP_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBDP : public RBaseList
{
public:
	NRBDP(MediaObject *refnode);
	virtual ~NRBDP();

	BDP *refnode;

};

#endif // __NRBDP_H__
