/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBackground2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBackground2D
CVS     : $Id: NRBackground2D.h,v 1.3 2007/05/08 06:23:02 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBACKGROUND2D_H__
#define __NRBACKGROUND2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBackground2D : public RBaseList  
{
public:
	NRBackground2D(MediaObject *refnode);
	virtual ~NRBackground2D();

	Background2D *refnode;

};

#endif // __NRBACKGROUND2D_H__
