/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBitWrapper.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBitWrapper
CVS     : $Id: NRBitWrapper.h,v 1.3 2007/05/08 06:23:02 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBITWRAPPER_H__
#define __NRBITWRAPPER_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBitWrapper : public RBaseList  
{
public:
	NRBitWrapper(MediaObject *refnode);
	virtual ~NRBitWrapper();

	BitWrapper *refnode;

};

#endif // __NRBITWRAPPER_H__
