/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBody.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBody
CVS     : $Id: NRBody.h,v 1.3 2007/05/08 06:23:02 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBODY_H__
#define __NRBODY_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBody : public RBaseList  
{
public:
	NRBody(MediaObject *refnode);
	virtual ~NRBody();

	Body *refnode;

};

#endif // __NRBODY_H__
