/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBodySegmentConnectionHint.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBodySegmentConnectionHint
CVS     : $Id: NRBodySegmentConnectionHint.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBODYSEGMENTCONNECTIONHINT_H__
#define __NRBODYSEGMENTCONNECTIONHINT_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBodySegmentConnectionHint : public RBaseList  
{
public:
	NRBodySegmentConnectionHint(MediaObject *refnode);
	virtual ~NRBodySegmentConnectionHint();

	BodySegmentConnectionHint *refnode;

};

#endif // __NRBODYSEGMENTCONNECTIONHINT_H__
