/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBox.cpp
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Implementation of class NRBox 
CVS     : $Id: NRBox.cpp,v 1.2 2007/04/18 17:37:29 drumm Exp $
----------------------------------------------------------------------*/



#include "NRBox.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

NRBox::NRBox(MediaObject *refnode)
{
   size = Vec3f(2, 2, 2);
}

NRBox::~NRBox()
{

}

void NRBox::UpdateValue(Vec3f Upd_size)
{
  this->size.x = Upd_size.x;
  this->size.y = Upd_size.y;
  this->size.z = Upd_size.z;

}
