/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBox.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBox
CVS     : $Id: NRBox.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBOX_H__
#define __NRBOX_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBox : public RBaseList  
{
public:
	NRBox(MediaObject *refnode);
	virtual ~NRBox();

	void UpdateValue(Vec3f Upd_size);

	Box *refnode;

    Vec3f size;

};

#endif // __NRBOX_H__