/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCompositeTexture2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRCompositeTexture2D 
CVS     : $Id: NRCompositeTexture2D.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRCOMPOSITETEXTURE2D_H__
#define __NRCOMPOSITETEXTURE2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCompositeTexture2D : public RBaseList  
{
public:
	NRCompositeTexture2D(MediaObject *refnode);
	virtual ~NRCompositeTexture2D();

	CompositeTexture2D *refnode;

};

#endif // __NRCOMPOSITETEXTURE2D_H__
