/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCompositeTexture3D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRCompositeTexture3D
CVS     : $Id: NRCompositeTexture3D.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRCOMPOSITETEXTURE3D_H__
#define __NRCOMPOSITETEXTURE3D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCompositeTexture3D : public RBaseList  
{
public:
	NRCompositeTexture3D(MediaObject *refnode);
	virtual ~NRCompositeTexture3D();

	CompositeTexture3D *refnode;

};

#endif // __NRCOMPOSITETEXTURE3D_H__
