/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCone.cpp
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Implementation of class NRCone 
CVS     : $Id: NRCone.cpp,v 1.2 2007/04/18 17:37:30 drumm Exp $
----------------------------------------------------------------------*/



#include "NRCone.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

NRCone::NRCone(MediaObject *refnode)
{
   this->bottomRadius = 1;
   this->height = 2;
   this->side = true;
   this->bottom = true;
}

NRCone::~NRCone()
{

}


void NRCone::UpdateValue(float Upd_bottomRadius,float Upd_height,bool Upd_side,bool Upd_bottom)
{
  
   this->bottomRadius =	Upd_bottomRadius;
   this->bottom       = Upd_bottom;
   this->height       = Upd_height;
   this->side         = Upd_side;


}