/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCoordinate.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRCoordinate
CVS     : $Id: NRCoordinate.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRCOORDINATE_H__
#define __NRCOORDINATE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCoordinate : public RBaseList 
{
public:
	NRCoordinate(MediaObject *refnode);
	virtual ~NRCoordinate();

	Coordinate *refnode;

};

#endif // __NRCOORDINATE_H__
