/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCoordinateInterpolator4D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRCoordinateInterpolator4D
CVS     : $Id: NRCoordinateInterpolator4D.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRCOORDINATEINTERPOLATOR4D_H__
#define __NRCOORDINATEINTERPOLATOR4D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCoordinateInterpolator4D : public RBaseList  
{
public:
	NRCoordinateInterpolator4D(MediaObject *refnode);
	virtual ~NRCoordinateInterpolator4D();

	CoordinateInterpolator4D *refnode;

};

#endif // __NRCOORDINATEINTERPOLATOR4D_H__
