/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCurve2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRCurve2D
CVS     : $Id: NRCurve2D.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRCURVE2D_H__
#define __NRCURVE2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCurve2D : public RBaseList  
{
public:
	NRCurve2D(MediaObject *refnode);
	virtual ~NRCurve2D();

	Curve2D *refnode;

};

#endif // __NRCURVE2D_H__
