/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCylinderSensor.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRCylinderSensor
CVS     : $Id: NRCylinderSensor.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRCYLINDERSENSOR_H__
#define __NRCYLINDERSENSOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCylinderSensor : public RBaseList  
{
public:
	NRCylinderSensor(MediaObject *refnode);
	virtual ~NRCylinderSensor();

	CylinderSensor *refnode;

};

#endif // __NRCYLINDERSENSOR_H__
