/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRDepthImage.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRDepthImage
CVS     : $Id: NRDepthImage.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRDEPTHIMAGE_H__
#define __NRDEPTHIMAGE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRDepthImage : public RBaseList 
{
public:
	NRDepthImage(MediaObject *refnode);
	virtual ~NRDepthImage();

	DepthImage *refnode;

};

#endif // __NRDEPTHIMAGE_H__
