/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRDiscSensor.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRDiscSensor
CVS     : $Id: NRDiscSensor.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRDISCSENSOR_H__
#define __NRDISCSENSOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRDiscSensor : public RBaseList 
{
public:
	NRDiscSensor(MediaObject *refnode);
	virtual ~NRDiscSensor();

	DiscSensor *refnode;

};

#endif // __NRDISCSENSOR_H__