/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRImplicit.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRImplicit
CVS     : $Id: NRImplicit.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRIMPLICIT_H__
#define __NRIMPLICIT_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRImplicit : public RBaseList
{
public:
	NRImplicit(MediaObject *refnode);
	virtual ~NRImplicit();

	Implicit *refnode;

};

#endif // __NRXXIMPLICIT_H__
