/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRInputSensor.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRInputSensor
CVS     : $Id: NRInputSensor.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRINPUTSENSOR_H__
#define __NRINPUTSENSOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRInputSensor : public RBaseList  
{
public:
	NRInputSensor(MediaObject *refnode);
	virtual ~NRInputSensor();

	InputSensor *refnode;

};

#endif // __NRINPUTSENSOR_H__
