/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRLOD.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRLOD
CVS     : $Id: NRLOD.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRLOD_H__
#define __NRLOD_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRLOD : public RBaseList 
{
public:
	NRLOD(MediaObject *refnode);
	virtual ~NRLOD();

	LOD *refnode;

	

};

#endif // __NRLOD_H__
