/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRLayer2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRLayer2D
CVS     : $Id: NRLayer2D.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRLAYER2D_H__
#define __NRLAYER2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRLayer2D : public RBaseList  
{
public:
	NRLayer2D(MediaObject *refnode);
	virtual ~NRLayer2D();

	Layer2D *refnode;

};

#endif // __NRLAYER2D_H__
