/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRLayer3D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRLayer3D
CVS     : $Id: NRLayer3D.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRLAYER3D_H__
#define __NRLAYER3D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRLayer3D : public RBaseList  
{
public:
	NRLayer3D(MediaObject *refnode);
	virtual ~NRLayer3D();

	Layer3D *refnode;

};

#endif // __NRLAYER3D_H__
