/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRLinearGradient.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRLinearGradient
CVS     : $Id: NRLinearGradient.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRLINEARGRADIENT_H__
#define __NRLINEARGRADIENT_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRLinearGradient : public RBaseList  
{
public:
	NRLinearGradient(MediaObject *refnode);
	virtual ~NRLinearGradient();

	LinearGradient *refnode;

};

#endif // __NRLINEARGRADIENT_H__
