/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRMatteTexture.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRMatteTexture
CVS     : $Id: NRMatteTexture.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRMATTETEXTURE_H__
#define __NRMATTETEXTURE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRMatteTexture : public RBaseList  
{
public:
	NRMatteTexture(MediaObject *refnode);
	virtual ~NRMatteTexture();

	MatteTexture *refnode;

};

#endif // __NRMATTETEXTURE_H__
