/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRMultiTexture.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRMultiTexture
CVS     : $Id: NRMultiTexture.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRMULTITEXTURE_H__
#define __NRMULTITEXTURE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRMultiTexture : public RBaseList  
{
public:
	NRMultiTexture(MediaObject *refnode);
	virtual ~NRMultiTexture();

	MultiTexture *refnode;

};

#endif // _NRMULTITEXTURE_H__
