/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRNormal.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRNormal
CVS     : $Id: NRNormal.h,v 1.2 2007/04/18 17:36:48 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRNORMAL_H__
#define __NRNORMAL_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRNormal : public RBaseList  
{
public:
	NRNormal(MediaObject *refnode);
	virtual ~NRNormal();

	Normal *refnode;

};

#endif // __NRNORMAL_H__
