/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPointTexture.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPointTexture
CVS     : $Id: NRPointTexture.h,v 1.2 2007/04/18 17:36:50 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOINTTEXTURE_H__
#define __NRPOINTTEXTURE_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPointTexture : public RBaseList 
{
public:
	NRPointTexture(MediaObject *refnode);
	virtual ~NRPointTexture();

	PointTexture *refnode;

};

#endif // __NRPOINTTEXTURE_H__
