/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPointTextureV2.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPointTextureV2
CVS     : $Id: NRPointTextureV2.h,v 1.2 2007/04/18 17:36:50 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOINTTEXTUREV2_H__
#define __NRPOINTTEXTUREV2_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPointTextureV2 : public RBaseList  
{
public:
	NRPointTextureV2(MediaObject *refnode);
	virtual ~NRPointTextureV2();

	PointTextureV2 *refnode;

};

#endif // __NRPOINTTEXTUREV2_H__
