/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPositionAnimator.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPositionAnimator
CVS     : $Id: NRPositionAnimator.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOSITIONANIMATOR_H__
#define __NRPOSITIONANIMATOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRPositionAnimator : public RBaseList
{
public:
	NRPositionAnimator(MediaObject *refnode);
	virtual ~NRPositionAnimator();

	PositionAnimator *refnode;

};

#endif // __NRPOSITIONANIMATOR_H__
