/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRQuadric.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRQuadric
CVS     : $Id: NRQuadric.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRQUADRIC_H__
#define __NRQUADRIC_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRQuadric : public RBaseList
{
public:
	NRQuadric(MediaObject *refnode);
	virtual ~NRQuadric();

	Quadric *refnode;

};

#endif // __NRXXQUADRIC_H__
