/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRRadialGradient.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRRadialGradient
CVS     : $Id: NRRadialGradient.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRRADIALGRADIENT_H__
#define __NRRADIALGRADIENT_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRRadialGradient : public RBaseList  
{
public:
	NRRadialGradient(MediaObject *refnode);
	virtual ~NRRadialGradient();

	RadialGradient *refnode;

};

#endif // __NRRADIALGRADIENT_H__
