/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSBVCAnimation.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSBVCAnimation
CVS     : $Id: NRSBVCAnimation.h,v 1.2 2007/04/18 17:36:52 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSBVCANIMATION_H__
#define __NRSBVCANIMATION_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRSBVCAnimation : public RBaseList
{
public:
	NRSBVCAnimation(MediaObject *refnode);
	virtual ~NRSBVCAnimation();

	SBVCAnimation *refnode;

};

#endif // __NRSBVCANIMATION_H__
