/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRShadow.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRShadow
CVS     : $Id: NRShadow.h,v 1.2 2007/04/18 17:36:52 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSHADOW_H__
#define __NRSHADOW_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRShadow : public RBaseList
{
public:
	NRShadow(MediaObject *refnode);
	virtual ~NRShadow();
    
    float penumbra;
	Shadow *refnode;

};

#endif // __NRSHADOW_H__
