/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSound2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSound2D
CVS     : $Id: NRSound2D.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSOUND2D_H__
#define __NRSOUND2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRSound2D : public RBaseList
{
public:
	NRSound2D(MediaObject *refnode);
	virtual ~NRSound2D();

	Sound2D *refnode;

};

#endif // __NRSOUND2D_H__
