/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSphere.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSphere
CVS     : $Id: NRSphere.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSPHERE_H__
#define __NRSPHERE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRSphere : public RBaseList
{
public:
	NRSphere(MediaObject *refnode);
	virtual ~NRSphere();
	void UpdateValue(float Upd_radius);

	Sphere *refnode;

	float radius;

};

#endif // __NRSPHERE_H__
