/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSurroundingSound.h
AUTHOR	: Helge Drumm, Marco Albrecht, Matthias Frank
OVERVIEW: Declaration of the Implementation class for NRSurroundingSound
CVS     : $Id: NRSurroundingSound.h,v 1.2 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSURROUNDINGSOUND_H__
#define __NRSURROUNDINGSOUND_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRSurroundingSound : public RBaseList
{
public:
	NRSurroundingSound(MediaObject *refnode);
	virtual ~NRSurroundingSound();

		
	SurroundingSound *refnode;


};

#endif // __NRSURROUNDINGSOUND_H__