/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRTemporalGroup.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRTemporalGroup
CVS     : $Id: NRTemporalGroup.h,v 1.2 2007/04/18 17:36:54 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRTEMPORALGROUP_H__
#define __NRTEMPORALGROUP_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRTemporalGroup : public RBaseList
{
public:
	NRTemporalGroup(MediaObject *refnode);
	virtual ~NRTemporalGroup();

	TemporalGroup *refnode;

};

#endif // __NRTEMPORALGROUP_H__
