/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRTouchSensor.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRTouchSensor
CVS     : $Id: NRTouchSensor.h,v 1.2 2007/04/18 17:36:09 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRTOUCHSENSOR_H__
#define __NRTOUCHSENSOR_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRTouchSensor : public RBaseList
{
public:
	NRTouchSensor(MediaObject *refnode);
	virtual ~NRTouchSensor();

	TouchSensor *refnode;

};

#endif // __NRTOUCHSENSOR_H__
