/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRTransform2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRTransform2D
CVS     : $Id: NRTransform2D.h,v 1.3 2007/05/08 06:23:06 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRTRANSFORM2D_H__
#define __NRTRANSFORM2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRTransform2D : public RBaseList 
{
public:
	NRTransform2D(MediaObject *refnode);
	virtual ~NRTransform2D();

	Transform2D *refnode;

};

#endif // __NRTRANSFORM2D_H__
