/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRTransform3DAudio.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRTransform3DAudio
CVS     : $Id: NRTransform3DAudio.h,v 1.1 2007/04/18 17:36:09 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRTRANSFORM3DAUDIO_H__
#define __NRTRANSFORM3DAUDIO_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRTransform3DAudio : public RBaseList
{
public:
	NRTransform3DAudio(MediaObject *refnode);
	virtual ~NRTransform3DAudio();

	Transform3DAudio *refnode;

};

#endif // __NRTRANSFORM3DAUDIO_H__
