/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXEllipse.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXEllipse
CVS     : $Id: NRXEllipse.h,v 1.2 2007/04/18 17:36:10 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXELLIPSE_H__
#define __NRXELLIPSE_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXEllipse : public RBaseList  
{
public:
	NRXEllipse(MediaObject *refnode);
	virtual ~NRXEllipse();

	XEllipse *refnode;

};

#endif // __NRXELLIPSE_H__
