/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXLineProperties.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXLineProperties
CVS     : $Id: NRXLineProperties.h,v 1.2 2007/04/18 17:34:51 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXLINEPROPERTIES_H__
#define __NRXLINEPROPERTIES_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXLineProperties : public RBaseList
{
public:
	NRXLineProperties(MediaObject *refnode);
	virtual ~NRXLineProperties();

	XLineProperties *refnode;

};

#endif // __NRXLINEPROPERTIES_H__
