/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXLFM_FrameList.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXLFM_FrameList
CVS     : $Id: NRXXLFM_FrameList.h,v 1.2 2007/04/18 17:34:51 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXLFM_FRAMELIST_H__
#define __NRXXLFM_FRAMELIST_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXXLFM_FrameList : public RBaseList 
{
public:
	NRXXLFM_FrameList(MediaObject *refnode);
	virtual ~NRXXLFM_FrameList();

	XXLFM_FrameList *refnode;

};

#endif // __NRXXLFM_FRAMELIST_H__
