/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXLFM_SurfaceMapList.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXLFM_SurfaceMapList
CVS     : $Id: NRXXLFM_SurfaceMapList.h,v 1.2 2007/04/18 17:34:52 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXLFM_SURFACEMAPLIST_H__
#define __NRXXLFM_SURFACEMAPLIST_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXXLFM_SurfaceMapList : public RBaseList  
{
public:
	NRXXLFM_SurfaceMapList(MediaObject *refnode);
	virtual ~NRXXLFM_SurfaceMapList();

	XXLFM_SurfaceMapList *refnode;
    
};

#endif // __NRXXLFM_SURFACEMAPLIST_H__
