/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXLFM_ViewMapList.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXLFM_ViewMapList
CVS     : $Id: NRXXLFM_ViewMapList.h,v 1.2 2007/04/18 17:34:52 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXLFM_VIEWMAPLIST_H__
#define __NRXXLFM_VIEWMAPLIST_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXXLFM_ViewMapList : public RBaseList
{
public:
	NRXXLFM_ViewMapList(MediaObject *refnode);
	virtual ~NRXXLFM_ViewMapList();

	XXLFM_ViewMapList *refnode;

};

#endif // __NRXXLFM_VIEWMAPLIST_H__
