/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXParticleInitBox.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXParticleInitBox
CVS     : $Id: NRXXParticleInitBox.h,v 1.2 2007/04/18 17:34:52 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXPARTICLEINITBOX_H__
#define __NRXXPARTICLEINITBOX_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXXParticleInitBox : public RBaseList
{
public:
	NRXXParticleInitBox(MediaObject *refnode);
	virtual ~NRXXParticleInitBox();

	XXParticleInitBox *refnode;

};

#endif // __NRXXPARTICLEINITBOX_H__
