/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXPointAttractor.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXPointAttractor
CVS     : $Id: NRXXPointAttractor.h,v 1.3 2007/05/08 06:23:06 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXPOINTATTRACTOR_H__
#define __NRXXPOINTATTRACTOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRXXPointAttractor : public RBaseList  
{
public:
	NRXXPointAttractor(MediaObject *refnode);
	virtual ~NRXXPointAttractor();

	XXPointAttractor *refnode;

};

#endif // __NRXXPOINTATTRACTOR_H__
