//////////////////////////////////////////////////////////////////////
//Class:        SGManager
//Description:  Handle Scenegraph and built relation NRShape,Shadowproperties
//              and Lightsources
//Author:       Marco Albrecht (2004) 
//////////////////////////////////////////////////////////////////////
# if (_MSC_VER > 1000)
// #pragma warning ( disable : 4251 )	// ignore template classes being exported in .dll's
/* 
 * "this used in base member initializer list"
 * arrow operator warning
 * copy constr & assignment cannot be generated
 * "forcing value to bool 'true' or 'false'
 * typedef used instaead of full type
 * 4018 : signed/unsigned mismatch, 4146 - result still unsigned 
 * 4100: unreferenced formal parameter
 * 4663: C++ language change: to explicitly specialize class template 'identifier' use the following syntax
 */
#  pragma warning ( disable : 4355 4284  4231 4511 4512 4097 4786 4800 4018 4146 4244 4514 4127 4100 4663)
#  pragma warning ( disable : 4245 4514 4660) // conversion from enum to unsigned int signed/unsigned mismatch
#  if (_MSC_VER > 1200)
// multiple copy constructors/assignment operators specified,
// with member templates are bogus...
#   pragma warning ( disable : 4521 4522)
#  endif  
# endif



#if !defined(AFX_SGMANAGER_H__475E5CAF_B325_4ECC_87D3_F9E16B2119EE__INCLUDED_)
#define AFX_SGMANAGER_H__475E5CAF_B325_4ECC_87D3_F9E16B2119EE__INCLUDED_

#include <tchar.h>
#include "RBaseList.h"




#define ID_AcousticMaterial           _T("AcousticMaterial")
#define ID_AcousticScene              _T("AcousticScene")
#define ID_Anchor                     _T("Anchor")
#define ID_AnimationStream            _T("AnimationStream")
#define ID_Appearance                 _T("Appearance")
#define ID_ApplicationWindow          _T("ApplicationWindow");
#define ID_AudioBuffer                _T("AudioBuffer")
#define ID_AudioClip                  _T("AudioClip")
#define ID_AudioDelay                 _T("AudioDelay")
#define ID_AudioFX                    _T("AudioFX")
#define ID_AudioMix			          _T("AudioMix")
#define ID_AudioSource                _T("AudioSource")
#define ID_AudioSwitch		          _T("AudioSwitch")
#define ID_Background		          _T("Background")
#define ID_Background2D		          _T("Background2D")
#define ID_BAP                        _T("BAP")
#define ID_BDP                        _T("BDP")
#define ID_Billboard                  _T("Billboard")
#define ID_Bitmap                     _T("Bitmap")
#define ID_BitWrapper                 _T("BitWrapper")
#define ID_Body                       _T("Body")
#define ID_BodyDefTable				  _T("BodyDefTable")
#define ID_BodySegmentConnectionHint  _T("BodySegmentConnectionHint")
#define ID_Box                        _T("Box")
#define ID_Circle                     _T("Circle")
#define ID_Clipper2D                  _T("Clipper2D")
#define ID_Collision                  _T("Collision")
#define ID_Color                      _T("Color")
#define ID_ColorInterpolator          _T("ColorInterpolator")
#define ID_ColorTransform             _T("ColorTransform")
#define ID_CompositeTexture2D         _T("CompositeTexture2D")
#define ID_CompositeTexture3D         _T("CompositeTexture3D")
#define ID_Conditional                _T("Conditional")
#define ID_Cone                       _T("Cone")
#define ID_Coordinate                 _T("Coordinate")
#define ID_Coordinate2D               _T("Coordinate2D")
#define ID_CoordinateInterpolator     _T("CoordinateInterpolator")
#define ID_CoordinateInterpolator2D   _T("CoordinateInterpolator2D")
#define ID_CoordinateInterpolator4D   _T("CoordinateInterpolator4D")
#define ID_Curve2D                    _T("Curve2D")
#define ID_Cylinder                   _T("Cylinder")
#define ID_CylinderSensor             _T("CylinderSensor")
#define ID_DepthImage                 _T("DepthImage")
#define ID_DepthImageV2               _T("DepthImageV2")
#define ID_DirectionalLight           _T("DirectionalLight")
#define ID_DirectiveSound             _T("DirectiveSound")
#define ID_DiscSensor                 _T("DiscSensor")
#define ID_ElevationGrid              _T("ElevationGrid")
#define ID_Ellipse                    _T("Ellipse")
#define ID_Expression                 _T("Expression")
#define ID_Extrusion                  _T("Extrusion")
#define ID_Face                       _T("Face")
#define ID_FaceDefMesh                _T("FaceDefMesh")
#define ID_FaceDefTables              _T("FaceDefTables")
#define ID_FaceDefTransform           _T("FaceDefTransform")
#define ID_FAP                        _T("FAP")
#define ID_FDP                        _T("FDP")
#define ID_FFD                        _T("FFD")
#define ID_FIT                        _T("FIT")
#define ID_Fog                        _T("Fog")
#define ID_FontStyle                  _T("FontStyle")
#define ID_Form						  _T("Form")
#define ID_Group                      _T("Group")
#define ID_Hierarchical3DMesh         _T("Hierarchical3DMesh")
#define ID_ImageTexture               _T("ImageTexture")
#define ID_IndexedFaceSet             _T("IndexedFaceSet")
#define ID_IndexedFaceSet2D           _T("IndexedFaceSet2D")
#define ID_IndexedLineSet             _T("IndexedLineSet")
#define ID_IndexedLineSet2D           _T("IndexedLineSet2D")
#define ID_Inline                     _T("Inline")
#define ID_InputSensor                _T("InputSensor")
#define ID_Layer2D                    _T("Layer2D")
#define ID_Layer3D                    _T("Layer3D")
#define ID_Layout                     _T("Layout")
#define ID_LinearGradient             _T("LinearGradient")
#define ID_LineProperties             _T("LineProperties")
#define ID_ListeningPoint             _T("ListeningPoint")
#define ID_LOD                        _T("LOD")
#define ID_Material                   _T("Material")
#define ID_Material2D                 _T("Material2D")
#define ID_MaterialKey                _T("MaterialKey")
#define ID_MatteTexture               _T("MaterialTexture")
#define ID_MediaBuffer                _T("MediaBuffer")
#define ID_MediaControl               _T("MediaControl")
#define ID_MediaSensor                _T("MediaSensor")
#define ID_MeshGrid                   _T("MediaGrid")
#define ID_MovieTexture               _T("MovieTexture")
#define ID_NavigationInfo             _T("NavigationInfo")
#define ID_NonLinearDeformer          _T("NonLinearDeformer")
#define ID_Normal                     _T("Normal")
#define ID_NormalInterpolator         _T("NormalInterpolator")
#define ID_NurbsCurve                 _T("NurbsCurve")
#define ID_NurbsCurve2D               _T("NurbsCurve2D")
#define ID_NurbsSurface               _T("NurbsSurface")
#define ID_OctreeImage                _T("OctreeImage")
#define ID_OrderedGroup               _T("OrderedGroup")
#define ID_OrientationInterpolator    _T("OrientationInterpolator")
#define ID_PathLayout                 _T("PathLayout")
#define ID_PerceptualParameters       _T("PerceptualParameters")
#define ID_PixelTexture               _T("PixelTexture")
#define ID_PlaneSensor                _T("PlaneSensor")
#define ID_PlaneSensor2D              _T("PlaneSensor2D")
#define ID_PointLight                 _T("PointLight")
#define ID_PointSet                   _T("PointSet")
#define ID_PointSet2D                 _T("PointSet2D")
#define ID_PointTexture               _T("PointTexture")
#define ID_PointTextureV2             _T("PointTextureV2")
#define ID_PositionAnimator           _T("PositionAnimator")
#define ID_PositionAnimator2D         _T("PositionAnimator2D")
#define ID_PositionInterpolator       _T("PositionInterpolator")
#define ID_PositionInterpolator2D     _T("PositionInterpolator2D")
#define ID_PositionInterpolator4D     _T("PositionInterpolator4D")
#define ID_ProceduralTexture          _T("ProceduralTexture")
#define ID_ProximitySensor            _T("ProximitySensor")
#define ID_ProximitySensor2D          _T("ProximitySensor2D")
#define ID_QuantizationParameter      _T("QuantizationParameter")
#define ID_RadialGradient             _T("RadialGradient")
#define ID_Rectangle                  _T("Rectangle")
#define ID_SBBone                     _T("SBBone")
#define ID_SBMuscle                   _T("SBMuscle")
#define ID_SBSegment                  _T("SBSegment")
#define ID_SBSite                     _T("SBSite")
#define ID_SBSkinnedModel             _T("SBSkinnedModel")
#define ID_SBVCAnimation			  _T("SBVCAnimation")
#define ID_ScalarAnimator             _T("ScalarAnimator")
#define ID_ScalarInterpolator         _T("ScalarInterpolator")
#define ID_Script                     _T("Script")
#define ID_ServerCommand              _T("ServerCommand")
#define ID_Shadow                     _T("Shadow")
#define ID_Shape                      _T("Shape")
#define ID_SimpleTexture              _T("SimpleTexture")
#define ID_SimpleTextureV2            _T("SimpleTextureV2")
#define ID_Sound                      _T("Sound")
#define ID_Sound2D                    _T("Sound2D")
#define ID_Sphere                     _T("Sphere")
#define ID_SphereSensor               _T("SphereSensor")
#define ID_SpotLight                  _T("SpotLight")
#define ID_SubdivisionSurface         _T("SubdivisionSurface")
#define ID_SubdivSurfaceSector        _T("SubdivSurfaceSector")
#define ID_SurroundingSound		      _T("SurroundingSound")
#define ID_Switch                     _T("Switch")
#define ID_SynthesizedTexture         _T("SynthesizedTexture")
#define ID_TemporalGroup              _T("TemporalGroup")
#define ID_TemporalTransform          _T("TemporalTransform")
#define ID_TermCap                    _T("TermCap")
#define ID_Text                       _T("Text")
#define ID_TextureCoordinate          _T("TextureCoordinate")
#define ID_TextureTransform           _T("TextureTransform")
#define ID_TimeSensor                 _T("TimeSensor")
#define ID_TouchSensor                _T("TouchSensor")
#define ID_Transform                  _T("Transform")
#define ID_Transform2D                _T("Transform2D")
#define ID_Transform3DAudio           _T("Transform3DAudio")
#define ID_TransformMatrix2D          _T("TransformMatrix2D")
#define ID_Valuator                   _T("Valuator")
#define ID_Viewpoint                  _T("Viewpoint")
#define ID_Viewport                   _T("Viewport")
#define ID_Viseme                     _T("Viseme")
#define ID_VisibilitySensor           _T("VisibilitySensor")
#define ID_WaveletSubdivisionSurface  _T("WaveletSubdivisionSurface")
#define ID_WideSound				  _T("WideSound")
#define ID_WorldInfo                  _T("WorldInfo")
#define ID_XCurve2D                   _T("XCurve2D")
#define ID_XEllipse                   _T("XEllipse")
#define ID_XFontStyle                 _T("XFontStyle")
#define ID_XLineProperties            _T("XLineProperties")
#define ID_XXImplicit                 _T("XXImplicit")
#define ID_XXLFM_Appearance           _T("XXLFM_Appearance")
#define ID_XXLFM_BlendList            _T("XXLFM_BlendList")
#define ID_XXLFM_FrameList			  _T("XXLFM_FrameList")
#define ID_XXLFM_LightMap             _T("XXLFM_LightMap")
#define ID_XXLFM_SurfaceMapList       _T("XXLFM_SurfaceMapList")
#define ID_XXLFM_ViewMapList          _T("XXLFM_ViewMapList")
#define ID_XXParticleInitBox	      _T("XXParticleInitBox")
#define ID_XXParticles                _T("XXParticles")
#define ID_XXPlanarObstacle           _T("XXPlanarObstacle")
#define ID_XXPointAttractor           _T("XXPointAttractor")
#define ID_XXQuadric                  _T("XXQuadric")
#define ID_XXSolidRep                 _T("XXSoldiRep")
				
#pragma warning(disable:4786)
#include "Nodes.h"
#include "NRNodes.h"


#include <map>
//#include <iostream> 

//#if !defined (STLPORT) || defined(__STL_USE_NAMESPACES)
//using namespace std;
//#endif 

//std::multimap<char, int, less<char> > mmap 

class SGManager
{
public:
	SGManager();            //Constructor
	virtual ~SGManager();   // Deconstructor
    FILE *SG_FileHandle;    // File Handle Log File
	RBaseList* SceneGraph;
	
	struct SG_Info{
    unsigned int num_nrshape_nodes;
	unsigned int num_nrshape_noshadow_nodes;
	unsigned int num_nrshape_shadow_nodes;
	unsigned int num_direclights;
	unsigned int num_spotlights;
	unsigned int num_pointlights;
	bool hasShadowToRender; 
	bool hasFogToRender;// State for Rendering with Shadows
	}sg_info; 
	
    unsigned int shapecount;

    unsigned int renderPass;
	
	NRFog* env_fog;
	
	
	struct LightMultipass
	{
      int NodeCode;
	  int LightNR;
      RBaseList* Light;
	  unsigned int cast_objects;
	  unsigned int receive_objects;
	  unsigned int noshadow_objects;
	  std::multimap<int, NRShape*> cast_pass;
	  std::multimap<int, NRShape*> receive_pass;
	  std::multimap<int, NRShape*> noshadow_pass;
	};

	LightMultipass Light0;
	LightMultipass Light1;
	LightMultipass Light2;
	LightMultipass Light3;
	LightMultipass Light4;
	LightMultipass Light5;
  LightMultipass Light6;
	LightMultipass Light7;

	LightMultipass *activeLight; 
	
	//Multimap LightGroupMMap: Relation (first element)NRGrouping Node and (second element)NRLight Node
	//require cast to appropriate grouping Node 
	std::multimap<RBaseList*, RBaseList*> LightGroupMMap; 
	//Multimap LightShapeMMap: Relation (first element)NRShape Node and (second element)NR"Light" Node
	//require cast to appropriate NRShape Node and NRDirectionalLight / NRPointLight / NRSpotLight
	std::multimap<RBaseList*, RBaseList*> LightShapeMMap;
	//Multimap ShapeMMap: Relation (first element)MediaObject and (second element)NRShape Node
	std::multimap<MediaObject* ,NRShape*> ShapeMMap;
	//Multimap RenderSLMap: Relation (first element) NR"Light" and (seconden element) NRShape Node
    //require cast to appropriate (second element) NRDirectionalLight / NRPointLight / NRSpotLight
	std::multimap<RBaseList*,NRShape*> RenderSLMap;
    
	std::multimap<RBaseList*,NRShape*> RenderNSLMap;

	void DirectNSLMap(std::multimap<RBaseList*, RBaseList*> GLMap);

    //Create NRNodes
	RBaseList* CreateReference(char* name,MediaObject *NRefnode,RBaseList *lastNode,int NCode);
    // Log all Mulimaps
	void ShowLightMultiMap(void);
	// Generate LightShapeMMap 
	void GenerateLightShapeMultiMap(std::multimap<RBaseList*, RBaseList*> LMultiMap);
    // Generate RenderSLMap based on LightShapeMMap
	void GenerateRenderSLMap(void);
	
	
	void SGManager::GenerateRenderNSLMap(std::multimap<RBaseList*, RBaseList*> LMultiMap);
	// Set OpenGL Light ID to NR"Light" properties 
	void SetOGl_LightProp(MediaObject* mo, int lightID);
	
    void InitLights(void);

	void ResetLights(void);
		
	void AddShapeToActiveLight(NRShape* Shape);
	
	void SetActiveLight(int l);
	
	void GenerateMultipassMaps(void);
	
	bool checkShapeToRender(int i,MediaObject* Shape);

	bool checkShadowRender(void);
	
	
	unsigned int globalID; // position in scenegraph
	

};

#endif // !defined(AFX_SGMANAGER_H__475E5CAF_B325_4ECC_87D3_F9E16B2119EE__INCLUDED_)
