/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
#ifndef		_AGP_COLOR_
#define		_AGP_COLOR_

#include        "Uigp/igp.h"
#include        "GpType/GpType.h"
#include		"ImageType/PaletteType.h"



	/* AgpYCrCbRgb.c */
void	agp_YCrCb_Rgb( gp_array *agp );


	/* AgpRgbYCrCb.c */
void	agp_Rgb_YCrCb( gp_array *agp );


	/* AgpGrbRgb.c */
void	agp_Grb_Rgb( gp_array *agp );

	/* AgpRgbRange.c */
void	agp_rgb_range( gp_array *agp, int Fval );




	/* AgpColorF.c */
void    agp_color_F( gp_array *agp, box2d *box, vec2d *p, int step_no );



	/* AgpRgbY.c */
void	agp_Rgb_Y( gp_array *agp );


	/* AgpChangeProfile.c */
void	agp_change_profile( gp_array *agp, qcolor_type *deltaC, float scale );

int		agp_get_extrem_gistogram( gp_array *agp );


	/* AgpAdaptivePalette.c */
void	agp_adaptive_palette( gp_array *agp[], int nAgp,
							palette_type *palette, int nColor );

#endif
