
/*****************************
 ***	CodingBgBorder.c   ***
 *****************************/
#include        <stdio.h>   

#include        "GpType/GpType.h"

#include	"CodingBg.h"





static void	coding_bg_border_jnt( jnt_type *jnt );


void
coding_bg_border( gp_array *agp )
{
gp_type	*gp;
jnt_type	*jnt;

int	i,	j;

	for( i = 0 ; i < agp->Ni ; i++ ){
		gp = &agp->gp[i][0];

		for( jnt = gp->jnt ; jnt != NULL ; jnt = jnt->nj ){
			if( jnt->type == JNT_EDGE  || jnt->type == JNT_N3_P )
				coding_bg_border_jnt( jnt );
		}
	}


	for( i = 0 ; i < agp->Ni ; i++ ){
		gp = &agp->gp[i][agp->Nj-1];

		for( jnt = gp->jnt ; jnt != NULL ; jnt = jnt->nj ){
			if( jnt->type == JNT_EDGE  || jnt->type == JNT_N3_P )
				coding_bg_border_jnt( jnt );
		}
	}


	for( j = 1 ; j < agp->Nj-1 ; j++ ){
		gp = &agp->gp[0][j];

		for( jnt = gp->jnt ; jnt != NULL ; jnt = jnt->nj ){
			if( jnt->type == JNT_EDGE  || jnt->type == JNT_N3_P )
				coding_bg_border_jnt( jnt );
		}
	}


	for( j = 1 ; j < agp->Nj-1 ; j++ ){
		gp = &agp->gp[agp->Ni-1][j];

		for( jnt = gp->jnt ; jnt != NULL ; jnt = jnt->nj ){

			if( jnt->type == JNT_EDGE  || jnt->type == JNT_N3_P )
				coding_bg_border_jnt( jnt );

		}
	}
}




static void
coding_bg_border_jnt( jnt_type *jnt )
{
brn_type	*b;
edge_type	*e,	*ne;
int	i;


	for( i = 0 ; i < jnt->brn_no ; i++ ){
		b = jnt->brn[i];

		if( b->direction == F_BEGIN ){
			e = b->link->pr[0].edge;
			ne = b->link->pr[1].edge;
		}
		else	{
			e = b->link->pr[1].edge;
			ne = b->link->pr[0].edge;
		}


		e->width = ne->width;


		e->side[F_RIGHT].bval[SP_Y ] = ne->side[F_RIGHT].bval[SP_Y ];
		e->side[F_LEFT].bval[SP_Y] = ne->side[F_LEFT].bval[SP_Y];

		e->side[F_RIGHT].val[SP_Y] = ne->side[F_RIGHT].val[SP_Y];
		e->side[F_LEFT].val[SP_Y] = ne->side[F_LEFT].val[SP_Y];


		e->side[F_RIGHT].bval[SP_Q] = ne->side[F_RIGHT].bval[SP_Q];
		e->side[F_LEFT].bval[SP_Q] = ne->side[F_LEFT].bval[SP_Q];

		e->side[F_RIGHT].val[SP_Q] = ne->side[F_RIGHT].val[SP_Q];
		e->side[F_LEFT].val[SP_Q] = ne->side[F_LEFT].val[SP_Q];


		e->side[F_RIGHT].bval[SP_A] = ne->side[F_RIGHT].bval[SP_A];
		e->side[F_LEFT].bval[SP_A] = ne->side[F_LEFT].bval[SP_A];

		e->side[F_RIGHT].val[SP_A] = ne->side[F_RIGHT].val[SP_A];
		e->side[F_LEFT].val[SP_A] = ne->side[F_LEFT].val[SP_A];
	}
}
