/**************************
 ***	CodingDepth.c   ***
 **************************/
#include        "Uprm/prm.h"
#include 	"Ucode/code.h"

#include	"GpType/Configuration.h"

#include	"CodingDepth.h"




#ifndef PLAYER

static code_in Bdepth_in =      { 1.0, 127.0, 1.0, 0.0, 0.0 };
static code_in Depth_in =      { 1.0, 127.0, 1.0, 0.0, 0.0 };


static GP_prm  Param[]    =    {
	{"Bdepth-d", (char*)&Bdepth_in.d, PRM_FLOAT, "%.3f", "0.5"},
	{"Depth-d", (char*)&Depth_in.d, PRM_FLOAT, "%.5f", "0.5"},
};



void
coding_depth_get_prm( GP_prm  **prm, int *prm_no, void (**check)())
{
	*prm    = Param;
	*prm_no  = PRM_NUMBER(Param);
	*check = NULL;
}

 

	

codingDepth_type*
coding_depth_set_lprm( char *file )
{
codingDepth_type* dc;

	gp_prm_init( file, coding_depth_get_prm );

	dc = ( (codingDepth_type *)malloc( sizeof( codingDepth_type ) ) );

	code_set( &dc->Bdepth, 1.0, 127.0, Bdepth_in.d, 0, 1.0 );
	code_set( &dc->Depth, 1.0, 127.0, Depth_in.d, 0, 1.0 );

	return dc;
}
#endif




extern	float   Bdepth_d[];
extern	float   Depth_d[];


codingDepth_type*
coding_depth_set( int iCoding )
{
codingDepth_type* dc;
	dc = ( (codingDepth_type *)malloc( sizeof( codingDepth_type ) ) );

	code_set( &dc->Bdepth, 1.0, 127.0, Bdepth_d[iCoding], 0, 1.0 );
	code_set( &dc->Depth, 1.0, 127.0, Depth_d[iCoding], 0, 1.0 );

	return dc;
}