
#include 	"Uigp/igp.h"
#include        "Uprm/prm.h"
#include 	"Ucode/code.h"

#include	"GpType/Configuration.h"

#include        "CodingN3.h"
#include <stdlib.h>






#ifndef PLAYER

static code_in Nwidth_in =      { -127.0, 127.0, 1.0, 0.0, 0.0 };



static GP_prm  Edge_params[]    =    {
	{"N-width-d", (char*)&Nwidth_in.d, PRM_FLOAT, "%.2f", "0.25"},
	{"N-width-a", (char*)&Nwidth_in.a, PRM_FLOAT, "%.2f", "0.0"},
};



void
coding_n3_get_prm( GP_prm  **prm, int *prm_no, void (**check)())
{
        *prm    = Edge_params;
        *prm_no  = PRM_NUMBER(Edge_params);
        *check = NULL;
}



codingN3_type *
coding_n3_set_lprm( char *file )
{
codingN3_type * nc =  ( (codingN3_type *)malloc( sizeof( codingN3_type ) ) ) ;

	gp_prm_init( file, coding_n3_get_prm );

	code_set( &nc->Nwidth, -127, 127, Nwidth_in.d, Nwidth_in.a, 1.0 );

	return nc;
}

#endif



extern float N_width_d[];
extern float N_width_a[];



codingN3_type *
coding_n3_set( int iCoding )
{
codingN3_type * nc =  ( (codingN3_type *)malloc( sizeof( codingN3_type ) ) ) ;

	code_set( &nc->Nwidth, -127, 127, N_width_d[iCoding], N_width_a[iCoding], 1.0 );

	return nc;
}

