#ifndef		_CODING_PROFILE_
#define		_CODING_PROFILE_


#include        "Uprm/prm.h"
#include        "Ucode/code.h"

#include        "GpType/GpType.h"



typedef struct codingProfile_type
{
	code	Pval;

	code	Pnull;

	code	Ewidth;

	float Pdmax;

}	codingProfile_type;



void	coding_profile_get_prm( GP_prm **prm, int *prm_no, void (**check)());

codingProfile_type *	coding_profile_set_lprm( char *file );

codingProfile_type *	coding_profile_set( int iCoding );



void	coding_profile_group_edge( gp_array *agp,
			vec2d *gctr, link_type *link,
			profile_type pr[], int *pr_no,
			int gi[], int *gno, int *Bflag );



	/* CodigProfileLoad.c */

void	coding_profile_load_from_jnt( gp_array *agp );

#endif
