
#define		MAX_CTABLE	11

const int	Ctable[MAX_CTABLE] = { 0, 1, -1, -1, -1, 2, -1, -1, -1, 3, 4 };


 /* Center */
const float	H_ctr_d6[] = { 0.25, 0.375, 0.375, 0.375, 0.75 };
const float 	N_ctr_d6[] = { 0.25, 0.375, 0.375, 0.375, 0.75 };

const float 	H_ctr_d[] = { 0.25, 0.5, 0.5, 0.5, 1.0 };
const float 	N_ctr_d[] = { 0.25, 0.5, 0.5, 0.5, 1.0 };



 /* Link */
const float 	L_a_d6[]     = { 0.125, 0.125, 0.125, 0.125, 0.25 };
const float 	L_len_d6[]   = { 0.25, 0.375, 0.375, 0.375, 0.75 };
const float 	L_width_d6[] = { 0.25, 0.375, 0.375, 0.375, 0.75 };

const float 	L_a_d[]     = { 0.25, 0.25, 0.25, 0.125, 0.25 };
const float 	L_len_d[]   = { 0.25, 0.5, 0.5, 0.5, 1.0 };
const float 	L_width_d[] = { 0.25, 0.5, 0.5, 0.5, 1.0 };



 /* N3 */
const float 	N_width_d[] = { 0.125f, 0.125f, 0.125f, 0.2f, 0.4f };
const float 	N_width_a[] = { 1.00f,  1.00f,  1.00f,  1.00f, 1.2f };



 /* Ridge */
const float 	R_lm_d[]    = { 4.0, 4.0, 4.0, 4.0, 8.0 };

const float 	R_val_Y_d[] = { 2.0, 2.0, 4.0, 8.0, 8.0 };
const float 	R_val_Q_d[] = { 2.0, 2.0, 8.0, 16.0, 16.0 };
const float 	R_val_A_d[] = { 2.0, 2.0, 8.0, 16.0, 16.0 };

const float 	R_val_t[]   = { 3.0, 3.0, 5.0, 10.0, 16.0 };



 /* Bg */
const float 	Bg2_I_Y_d[] = { 2.0, 2.0, 2.0, 8.0, 2.0 };
const float 	Bg2_I_Q_d[] = {	2.0, 2.0, 2.0, 8.0, 2.0 };
const float 	Bg2_I_A_d[] = {	2.0, 2.0, 2.0, 8.0, 2.0 };

const float 	Bg2_Y_d[]   = {	2.0, 2.0, 3.0, 8.0, 4.0 };
const float 	Bg2_Q_d[]   = {	2.0, 2.0, 3.0, 16.0, 8.0 };
const float 	Bg2_A_d[]   = {	2.0, 2.0, 3.0, 16.0, 8.0 };

const float 	Bg_Y_t[]    = {	4.0, 4.0, 4.0, 32.0, 8.0 };
const float 	Bg_Q_t[]    = {	8.0, 8.0, 8.0, 32.0, 16.0 };
const float 	Bg_A_t[]    = {	8.0, 8.0, 8.0, 32.0, 16.0 };

const float 	Bg_Y_d[]    = {	2.0, 2.0, 4.0, 16.0, 8.0 };
const float 	Bg_Q_d[]    = {	2.0, 2.0, 8.0, 16.0, 16.0 };
const float 	Bg_A_d[]    = {	2.0, 2.0, 8.0, 16.0, 16.0 };




 /* Profile */
const float 	P_t[]     = { 4.0, 4.0, 4.0, 10.0, 16.0 };
const float 	P_Val_d[] = { 2.0, 2.0, 4.0, 12.0, 16.0 };
const float 	P_Null_d[] ={ 2.0, 2.0, 4.0, 12.0, 16.0 };


 /* Edge width */
const float  E_width_d[] = { 0.25, 0.25, 0.25, 5.00, 0.4 }; 
const float  E_width_a[] = { 1.50, 1.50, 1.50, 1.50, 1.50 };



 /* Hunch */
const float 	H_val_Y_d[]   = { 2.0, 2.0, 4.0, 8.0, 8.0 }; 
const float 	H_val_Q_d[]   = { 2.0, 2.0, 8.0, 16.0, 16.0 };
const float 	H_val_A_d[]   = { 2.0, 2.0, 8.0, 16.0, 16.0 };

const float 	H_len_min[]   = { 0.5, 0.5, 0.5, 0.5, 0.5 };
const float 	H_len_d[]     = { 0.5, 0.5, 0.5, 1.0, 0.5 };

const float 	H_theta_d[]   = { 45.0, 45.0, 45.0, 45.0, 45.0 };
const float 	H_Round[]     = { 0.2, 0.2, 0.2, 0.2, 0.2 };
const float 	H_round_min[] = { 0.5, 0.5, 0.5, 0.5, 0.5 };

const float 	H_width_min[] = { 0.75, 0.75, 0.75, 0.75, 0.75 };
const float 	H_width_d[]   = { 0.5, 0.5, 0.5, 0.5, 0.5 };

const float 	H_val_t[]     = { 3.0, 3.0, 5.0, 10.0, 16.0 };



 /* Depth */
const float 	Bdepth_d[] = { 0.125, 0.125, 0.15, 0.125, 0.125 };
const float 	Depth_d[]  = { 0.03125, 0.03125, 0.03125, 0.03125, 0.03125 };
