/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
#ifndef		_BG2_H_
#define		_BG2_H_

#include        "Uigp/igp.h"

#include 	"GpType/GpType.h"

#include 	"EpType/EpType.h"
#include 	"Ep2Type.h"



	/* Ep2.c  */
void	ep2_create( ep_array *aep, ep2_array *aep2 );



	/* Ep2BoundValue.c */
void	ep2_bound_value( ep2_array *aep2, epValue_type *epValue );



	/* Ep2PrevValue.c */
int	ep2_prev_value3( ep2_array *aep2,
			int i0, int j0, int bno, float val[3] );

float	ep2_prev_value( ep2_array *aep2, int i, int j, int bno, int sp);



	/* Ep2Value.c */
float	ep2_value( vec2d *v, ep2_array *aep2, int i, int j, int bno,int sp);

void	ep2_value3( ep2_array *aep2, int i0, int j0, int bno,
                                                vec2d *v, float val[] );



	/* Ep2Br.c */
void	aep2_br_set( ep2_array *aep2 );

void	aep2_br( ep2_array *aep2 );

#endif
