/***********************************************************************
This software module was originally developed by Yoram Elichai
(Vimatix Inc.) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Vimatix Inc. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2003
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Yoram Elichai at yorame@vimatix.com .
----------------------------------------------------------------------*/
/**************************
 ***	SbType.h	***
 **************************/
  
#ifndef		_SBR_TYPE_
#define		_SBR_TYPE_

#include	"Uigp/igp.h"
#include	"GpType/MbrType.h"


typedef struct sbr_array {
	int	row,	column;
	int	bsize;
	int	Ni,	Nj;

	int	no,	sno;

	int	Fclear;

	mbr_type	*sbr;

}	sbr_array;


	/* SbrTool.h */
sbr_array *	asbr_alloc();

void	asbr_clear( sbr_array *asbr, int row, int col, int bsize );

void	asbr_reset( sbr_array *asbr, int row, int col, int bsize );

void	asbr_free( sbr_array *asbr );

#endif
