/***********************
 ***	VimHeader.h   ***
 ***********************/
#ifndef	 _VIM_HEADER_
#define	 _VIM_HEADER_

#ifdef __cplusplus
extern "C" {
#endif

#include	"VimageType/VimageType.h"


 
 
/* for writing scene block in vim file */


typedef struct vimHeader_type {
	short	version;

	int		scenes;

	int		bytes;

	char	*title;

	char	*artist;

	char	*copyright;

	char	*description;

	int		date;

	int		frame_rate1;
 
} vimHeader_type;



	/* VimHeader.c */

vimHeader_type  *	vimHeader_alloc( );

void	vimHeader_free( vimHeader_type *vh ) ;

vimHeader_type *	vim_read_header( bst_type *bst );


#ifdef __cplusplus
}
#endif

#endif
