/***********************************************************************
This software module was originally developed by Zvi Lifshitz
(Triton R&D Ltd.) in the course of development of the MPEG-4 Systems
(ISO/IEC 14496-1) standard. This software module is an implementation of
a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Triton R&D Ltd. retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  1998.
************************************************************************

For more information or to receive an up to date version of this module,
you may call Zvi Lifshitz at zvil@csi.com.
----------------------------------------------------------------------*/

#if !defined(_custom_h)	// Sentry, use file only if it's not already included.
#define _custom_h

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Compositor
FILE:       custom.h
AUTHOR:     Zvi Lifshitz (Triton R&D Ltd.)
OVERVIEW:   Define macros which can be used by implementors for
			customization
-------------------------------------------------------------------------*/

#define CUSTOMIZE_EXECUTIVE_DECLARATION
#define CUSTOMIZE_EXECUTIVE_CONSTRUCTOR
#define CUSTOMIZE_EXECUTIVE_DESTRUCTOR
#define CUSTOMIZE_EXECUTIVE_START

#define CUSTOMIZE_MEDIAOBJECT_DECLARATION
#define CUSTOMIZE_MEDIAOBJECT_CONSTRUCTOR
#define CUSTOMIZE_MEDIAOBJECT_DESTRUCTOR
#define CUSTOMIZE_MEDIAOBJECT_INITIALIZATION

#define CUSTOMIZE_STREAMCONSUMER_DECLARATION
#define CUSTOMIZE_STREAMCONSUMER_CONSTRUCTOR
#define CUSTOMIZE_STREAMCONSUMER_DESTRUCTOR

#define CUSTOMIZE_GROUPNODE_DECLARATION
#define CUSTOMIZE_GROUPNODE_INITIALIZATION
#define CUSTOMIZE_ROOT_DECLARATION

#define eventIn		 public:
#define exposedField public:
#define eventOut	 public:
// PORTING to Java 2
#define FIELD		 public:

#endif                                      // _custom_h sentry.
