@ECHO OFF
IF "%1" == "clean" goto clean

IF "%MPEGJ_HOME%" == "" goto nompegjhome
ECHO MPEGJ_HOME is set to %MPEGJ_HOME%
ECHO ********* Compiling necessary MPEGJ Java files ************

ECHO Compiling decoder APIs
javac org\iso\mpeg\mpegj\decoder\*.java

ECHO Compiling Resource Manager APIs
javac org\iso\mpeg\mpegj\resource\*.java

ECHO Compiling network manager APIs
javac org\iso\mpeg\mpegj\net\*.java

ECHO Compiling Scene APIs
javac org\iso\mpeg\mpegj\scene\*.java

ECHO Compiling MPEGJ files
javac org\iso\mpeg\mpegj\*.java

ECHO Compiling decoder implementation files
javac org\iso\mpeg\mpegjRefImpl\decoder\*.java

ECHO Compiling Resource Manager implementation files
javac org\iso\mpeg\mpegjRefImpl\resource\*.java

ECHO Compiling Network manager implementation files
javac org\iso\mpeg\mpegjRefImpl\net\*.java

ECHO Compiling Scene implementation files
javac org\iso\mpeg\mpegjRefImpl\scene\*.java

ECHO Compiling MPEGJ implementation files
javac org\iso\mpeg\mpegjRefImpl\*.java

ECHO ******************* compilation done **********************
goto done

:nompegjhome
ECHO JAVA_HOME environment variable is not set
ECHO CLASS_PATH also needs to be set to %JAVA_HOME%\mpegj\java
goto done

:clean
ECHO Cleanup *.class files

del org\iso\mpeg\mpegj\decoder\*.class
del org\iso\mpeg\mpegj\resource\*.class
del org\iso\mpeg\mpegj\net\*.class
del org\iso\mpeg\mpegj\scene\*.class
del org\iso\mpeg\mpegj\*.class
del org\iso\mpeg\mpegjRefImpl\decoder\*.class
del org\iso\mpeg\mpegjRefImpl\resource\*.class
del org\iso\mpeg\mpegjRefImpl\net\*.class
del org\iso\mpeg\mpegjRefImpl\scene\*.class
del org\iso\mpeg\mpegjRefImpl\*.class

goto done

:done
pause