/**********************************************************************
 * Copyright  2001 ISO/IEC All Rights Reserved
 *
 * This software module was developed by
 *
 * Sun Microsystems, Inc.
 *
 * in the course of development of the MPEG-4 standard. This software
 * module is an implementation of a part of one or more MPEG-4 Systems
 * (ISO/IEC 14496-1) tools as specified by the MPEG-4 Systems standard.
 *
 * The copyright of this software belongs to ISO/IEC. ISO/IEC gives
 * users of the MPEG-4 Systems (ISO/IEC 14496-1) standard free license
 * to this software module or modifications thereof for hardware
 * or software products claiming conformance to the MPEG-4 Systems.
 *
 * Those intending to use this software module in hardware or software
 * products are advised that use may infringe existing  patents. The
 * original developers of this software module and their companies, the
 * subsequent editors and their companies, and ISO/IEC have no liability
 * and ISO/IEC have no liability for use of this software module or
 * modification thereof in an implementation.
 **********************************************************************/

/*
 * File: MPEGJException.java
 */
 
package org.iso.mpeg.mpegj;

/** 
 *	The class MPEGJException is a subclass of java.lang.Exception and is the
 *	parent of all MPEG-J Exceptions. 
 */

public class MPEGJException extends Exception {
  /** 
   * Constructs an MPEGJException with no specified detail message. 
   */
  public MPEGJException(){ }
  /** 
   *  Constructs an MPEGJException with a detailed message. 
   */
  public MPEGJException(String s){}
    
}
  
