

/*
*******************************************************************
 This software module was originally developed by Roberto Becchini
 (SIA - I - SOMMIT Consortium), Barbara Silano (SIA - I - SOMMIT 
Consortium) and edited by Luca Deri (Finsiel - I - SOMMIT Consortium),
 Gianluca De Petris (CSELT - I - SOMMIT Consortium) in the course of 
development of the MPEG-4 Systems (ISO/IEC 14496-1). This software 
module is an implementation of part of one or more MPEG-4 Systems 
(ISO/IEC 14496-1) tools as specified by the MPEG-4 Systems (ISO/IEC 
14496-1). ISO/IEC gives users of the MPEG-4 Systems (ISO/IEC 14496-1) 
free license to this software module or modifications thereof for use 
in hardware or software products claiming conformance to the MPEG-4 
Systems (ISO/IEC 14496-1). Those intending to use this software 
module in hardware or software products are advised that its use may 
infringe existing patents. THE ORIGINAL DEVELOPER OF THIS SOFTWARE 
MODULE AND HIS/HER COMPANY, THE SUBSEQUENT EDITORS AND THEIR 
COMPANIES, AND ISO/IEC HAVE NO LIABILITY FOR USE OF THIS SOFTWARE 
MODULE OR MODIFICATIONS THEREOF. No license to this software module 
is granted for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. The SOMMIT Consortium retains full right to use the 
software module for his/her own purpose, assign or donate the 
software module to a third party and to inhibit third parties from 
using the code for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. This copyright notice must be included in all copies or 
derivative works of the software module. Copyright 1999
********************************************************************/

/**
*
*	This interface allows to retrieve information about a specific service session.
*
**/

package org.iso.mpeg.mpegjRefImpl.net;
import org.iso.mpeg.mpegj.net.*;

public class ServiceSessionDescriptorImp implements ServiceSessionDescriptor {
    
public ServiceSessionDescriptorImp(long sessionID)
	{
		sessionID = 0;
	}
	public String url;
	public long serviceSessionId;
	public int numberOfChannels;
/**
*
*	This method returns a string describing the URL associated to the service session.
*
**/
	public String getURL() {
	    return url;
	}

/**
*
*	This method returns the service session identifier associated to the service session.
*
**/
	public long getServiceSessionID() {
	    return serviceSessionId;
	}

/**
*
*	This method returns the number of the opened channels associated to the service session.
*
**/
	public int getNumberOfChannels() {
	    return numberOfChannels;
	}
}
