package sommit.sectfilt;

class ThreadSectionFilter extends Thread {
/********** SIA */ 
   private
    int indexP;
    int idP;
    SommitSfInterface lP;
    int PIDP;
    byte[] posMaskP;
    byte[] posValueP;
    byte[] negMaskP;
    byte[] negValueP;
    SommitSectionFilter sectionFilter;
           
    public ThreadSectionFilter(SommitSectionFilter SSF, int index, int id, SommitSfInterface l, int PID, byte[] posMask, byte[] posValue, byte[] negMask, byte[] negValue) {
        super("sectionFilterThread");
    
    indexP = index;
    idP = id;
    lP = l;
    PIDP = PID;
    posMaskP = posMask;
    posValueP = posValue;
    negMaskP = negMask;
    negValueP = negValue;
    sectionFilter = SSF;
        
    }
    /**************
    The sections filtering will be performed by a separate thread in order to do not 
    block the whole filtering process if the native filtering blocks
    */
    public void run() {
        sectionFilter.startFilterNat(indexP, 
					   idP,
					   lP,
					   PIDP,
					   posMaskP,
					   posValueP,
                       negMaskP,
                       negValueP);
    
}
/*    private native final static void startFilterNat
		( int index
        , int id
        , SommitSfInterface l
        , int PID
        , byte[] posMask
        , byte[] posValue
        , byte[] negMask
        , byte[] negValue
        );*/
/********** End SIA */
}