//ScriptInterface.h //AC
//<alexandre.cotarmanac-h@polytechnique.org>
//$Log: ScriptInterface.h,v $
//Revision 1.1.1.1  2003/12/24 00:56:30  mikeseven
//Initial release of the CVS repository for MPEG-4 Systems code
//after the code was corrupted due to reorganization and human 
//errors.
//
//Revision 1.1.1.2  2003/01/30 16:28:34  payan
//no message
//
//Revision 1.1.1.1  2002/07/18 01:08:34  mikeseven
//Initial check in of July 17, 2002 version
//
/* Purpose:
		Scripts are somehow like protos in the sense
		they define an interface.
		Unlike Protos, a script has no "proper type"
		We shall link a script name to a script interface
*/
#include "ztl.h"
#include "Proto.h"
class NodeField;
class VSNodeField;

class ScriptInterface : public Proto
{
public:
	ScriptInterface(LPCSTR scname):Proto() { m_scriptName=_strdup(scname);};
	// Stores the the interface definition of the script.
	bool StoreScriptDefinition(ZArray<VSNodeField *> & eventArray);
	bool Is(LPCSTR n){ return !strcmp(n,m_scriptName);}
private:
	LPCSTR m_scriptName;
	// Creates the Interface (see Proto::CreateInterfaceField)
	NodeField *CreateInterface(int eventType,int fieldType,LPCSTR szName);
};