// EnterNetworkAddress.cpp : implementation file
//

#include "defs.h"
#ifdef	  ACTIVEX_COMPONENT
	#include "Mpeg4Cselt2DActivex.h"
#elif defined (STAND_ALONE)
	#include "mpeg4player.h"
#elif defined (NETSCAPE_PLUGIN)

#endif
#include "EnterNetworkAddress.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEnterNetworkAddress dialog


CEnterNetworkAddress::CEnterNetworkAddress(CWnd* pParent /*=NULL*/)
	: CDialog(CEnterNetworkAddress::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEnterNetworkAddress)
	//}}AFX_DATA_INIT
}


void CEnterNetworkAddress::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEnterNetworkAddress)
	DDX_Control(pDX, IDC_ADDRESS, m_address);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEnterNetworkAddress, CDialog)
	//{{AFX_MSG_MAP(CEnterNetworkAddress)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////

//
// CEnterNetworkAddress::OnInitDialog
//
// Add the list of previously entered address to the pull-down list.
//

BOOL CEnterNetworkAddress::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	for (int i = 0; i < GetApp()->GetAddressList().GetLength(); i++)
		m_address.AddString(GetApp()->GetAddressList()[i]);

	return TRUE;
} /* CEnterNetworkAddress::OnInitDialog */


/////////////////////////////////////////////////////////////////////////////

//
// CEnterNetworkAddress::OnOK
//
// If the entered string is not already in the array of previously
// entered addresses, add it.
//

void CEnterNetworkAddress::OnOK() 
{
	// Get a pointer to the entered string
	m_address.GetWindowText(m_networkAddress, 100);

	// See if this string is already in the list of entered addresses.
	BOOL inList = FALSE;
	for (int i = 0; i < GetApp()->GetAddressList().GetLength(); i++)
		if (_stricmp(m_networkAddress, GetApp()->GetAddressList()[i]) == 0)
			inList = TRUE;

	// If it is not, then add it
	if (!inList)
		GetApp()->GetAddressList().InsertAt(0, strdup(m_networkAddress));

	CDialog::OnOK();
} /* CEnterNetworkAddress::OnOK */


/////////////////////////////////////////////////////////////////////////////
