#ifndef COORDINATE2D_PROXY_H
#define COORDINATE2D_PROXY_H


#include "Traversable.h"
#include "GroupNodeProxy.h"

class InlineProxy : public GroupNodeProxy
{
public:
	InlineProxy(MediaObject* pMO) : GroupNodeProxy(pMO) {}

	~InlineProxy(){}
	Inline* GetInline() const
	{ return (Inline*)GetObject(); }

	// Functions inherited from the base class
	void PreRender(Effects & /*effects*/) ;
	BOOL Render  (NodeField *, void *pContext);
	void Print(FILE*, int) const{};
	BOOL IsFinished() const { return TRUE; }
	virtual void UpdateTimeSensor();
};


#endif // COORDINATE2D_PROXY_H
