// ThreadInfoDlg.cpp : implementation file
//

#include "defs.h"
#ifdef	  STAND_ALONE
#include "mpeg4player.h"
#elif defined(ACTIVEX_COMPONENT)
#include "Mpeg4Cselt2DActivex.h"
#elif defined(NETSCAPE_PLUGIN)
#endif
#include "ThreadInfoDlg.h"
#include "ThreadList.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


// The global pointer to the current thread info dialog box
CThreadInfoDlg* pThreadInfoDlg = NULL;


/////////////////////////////////////////////////////////////////////////////
// CThreadInfoDlg dialog


CThreadInfoDlg::CThreadInfoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CThreadInfoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CThreadInfoDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	Create(IDD_THREAD_INFO);
}


CThreadInfoDlg::~CThreadInfoDlg()
{
	DestroyWindow();
	pThreadInfoDlg = NULL;
}


void CThreadInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CThreadInfoDlg)
	DDX_Control(pDX, IDC_LIST, m_listBox);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CThreadInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CThreadInfoDlg)
	ON_BN_CLICKED(IDC_REFRESH, OnRefresh)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CThreadInfoDlg message handlers

void CThreadInfoDlg::OnRefresh() 
{
	m_listBox.ResetContent();

	// Get the list of strings describing the threads
	const char** strings = GetThreadInfo();
	while (*strings != NULL)
	{
		m_listBox.AddString(*strings);
		strings++;
	}
}

BOOL CThreadInfoDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// Set the tab stops in the list box
	int tabStops[3] = {80, 110, 140};
	m_listBox.SetTabStops(3, tabStops);

	// Put the thread info into the list box
	OnRefresh();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CThreadInfoDlg::OnOK() 
{
//	pThreadInfoDlg.ShowWindow(SW_SHOW);
	
	CDialog::OnOK();
}
