// WorldInfo.cpp : implementation file
//

#include "defs.h"
#ifdef	  STAND_ALONE
	#include "mpeg4player.h"
#elif defined(ACTIVEX_COMPONENT)
	#include "Mpeg4Cselt2DActivex.h"
#elif defined(NETSCAPE_PLUGIN)
#endif
#include "ViewWorldInfo.h"
#include "Root.h"
#include "Nodes.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CViewWorldInfo dialog


CViewWorldInfo::CViewWorldInfo(CWnd* pParent /*=NULL*/)
	: CDialog(CViewWorldInfo::IDD, pParent)
{
	//{{AFX_DATA_INIT(CViewWorldInfo)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CViewWorldInfo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CViewWorldInfo)
	DDX_Control(pDX, IDC_INFO, m_info);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CViewWorldInfo, CDialog)
	//{{AFX_MSG_MAP(CViewWorldInfo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

BOOL CViewWorldInfo::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// Get a pointer to the root of the current scene
//	Root* pRoot = GetApp()->GetExecutive()->GetSceneRoot();
Root* pRoot = GetApp()->GetExecutive()->GetScene();

	// If there is no scene currently loaded, say so
	if (pRoot == NULL)
	{
		m_info.SetWindowText("No scene is currently loaded.");
	}

	else
	{
		// Get a pointer to the WorldInfo node in the current scene.
		WorldInfo* pWorldInfo = pRoot->GetWorldInfo();
	
		// If there is not one, say so
		if (pWorldInfo == NULL)
		{
			m_info.SetWindowText("This scene does not contain a WorldInfo node.");
		}
		else
		{
			m_info.SetWindowText("This scene does not contain a WorldInfo node.");
			CString text;
			text += "Title: ";
			text += (LPCTSTR) pWorldInfo->title;
			m_info.SetWindowText(text);
		}
	}

	return TRUE;
} /* CViewWorldInfo::OnInitDialog */


/////////////////////////////////////////////////////////////////////////////
