



#if !defined(AFX_ANGLEANIMATIONFIELD_H__4E3DD6D3_CD6C_4422_82CE_833C1920E358__INCLUDED_)
#define AFX_ANGLEANIMATIONFIELD_H__4E3DD6D3_CD6C_4422_82CE_833C1920E358__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "AnimationField.h"
class DOM_Element;


class AngleAnimationField : public AnimationField  
{
public:
	
	AngleAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~AngleAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);

	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;

};

#endif 
