



#if !defined(AFX_ANIMQP_H__184DE252_77E8_4DFC_8263_ADB17C83FBDC__INCLUDED_)
#define AFX_ANIMQP_H__184DE252_77E8_4DFC_8263_ADB17C83FBDC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

class BinaryWriter;
class DOM_Element;

class AnimQP  
{
public:
	
	AnimQP();
	
	virtual ~AnimQP();
	void	setType(int type);
	
	int		getType();
	void	setUseDefault(bool usedef);
	
	bool	getUseDefault();
	void	setUseLowerEfficientCoding(bool* uselower, int nbbound);
	
	bool*	getUseLowerEfficientCoding();
	void	setUseUpperEfficientCoding(bool* useupper, int nbbound);
	
	bool*	getUseUpperEfficientCoding();
	void	setLowerBound(float* lowerbound, int nbbound);
	
	float*	getLowerBound();

	void	setUpperBound(float* upperbound, int nbbound);
	
	float*	getUpperBound();
	
	int		getNbBound();

	void	setIminInt(int iminint);
	
	int		getIminInt();
	
	void	setPmin(int *pmin,int nbPmin);
	
	int*	getPmin();
	
	int		getNbPmin();
	void	updatePmin(int *pmin);
	void	setInbBits(int inbbits);
	
	int		getInbBits();

	void	setPnbBits(int pnbbits);
	
	int		getPnbBits();


	
	void	parse(DOM_Element* node);

	
	void	writeMask(BinaryWriter * binWriter);
	
	void	writeBifa(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	int		m_type;
	bool	m_useDefault;
	bool*	m_useLowerEfficientCoding;
	bool*	m_useUpperEfficientCoding;
	float*	m_lowerBound;
	float*	m_upperBound;
	int		m_nbBound;
	int		m_IminInt;
	int*	m_Pmin;
	int		m_nbPmin;
	int		m_InbBits;
	int		m_PnbBits;

};

#endif 
