



#if !defined(AFX_FRAMERATE_H__042B9B42_5B38_46FC_98B3_4B927A51E5B3__INCLUDED_)
#define AFX_FRAMERATE_H__042B9B42_5B38_46FC_98B3_4B927A51E5B3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

class BinaryWriter;
class DOM_Element;

class FrameRate  
{
public:
	
	FrameRate(int framerate =0, int second =0, int freqoffset=0);
	
	virtual ~FrameRate();

	void	setFrameRate(int framerate);
	int		getFrameRate();

	void	setSecond(int second);
	int		getSecond();

	void	setFrequencyOffset(int freqoffest);
	int		getTrequencyOffset();

	
	void	parse(DOM_Element* node);

	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	int m_frameRate;
	int m_second;
	int m_frequencyOffset;
};

#endif 
