



#if !defined(AFX_INITIALFIELDMASK_H__7232CC81_BFD0_49F2_A917_B32B52FF7FCF__INCLUDED_)
#define AFX_INITIALFIELDMASK_H__7232CC81_BFD0_49F2_A917_B32B52FF7FCF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

class BinaryWriter;
class ElementaryMask;
class AnimQP;
class DOM_Element;


class InitialFieldMask  
{
public:
	
	InitialFieldMask(ElementaryMask* EM);
	
	virtual ~InitialFieldMask();
	
	void			setID(int ID);
	int				getID();

	void			setIsTotal(bool istotal);
	bool			getIsTotal();

	void			setIndexList(int *indexlist, int nbindex);
	int *			getIndexList();
	int				getNbIndex();

	
	void			parse(DOM_Element* node);
	
	void			setInitialAnimQP(AnimQP* aqp);
	AnimQP*			getInitialAnimQP();
		
	
	int				getNbBits(int k);
	
	
	void			write(BinaryWriter * binWriter);

protected:
	
	ElementaryMask* m_elementaryMask;
	int				m_ID;
	bool			m_isTotal;
	int*			m_indexList;
	int				m_nbIndex;
	AnimQP*			m_initialAnimQP;

};

#endif 
