



#if !defined(AFX_INTEGERANIMATIONFIELD_H__27E79109_9FCA_40DE_86F0_A4BFB4F6ADAE__INCLUDED_)
#define AFX_INTEGERANIMATIONFIELD_H__27E79109_9FCA_40DE_86F0_A4BFB4F6ADAE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "AnimationField.h"
class DOM_Element;


class IntegerAnimationField : public AnimationField  
{
public:
	
	IntegerAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~IntegerAnimationField();

	
	void	setValue(int * values, int nbValue);
	
	int*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);


	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	int*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;


};

#endif 
