



#if !defined(AFX_POSITION3DANIMATIONFIELD_H__DC85A8B7_BC09_4E87_ACAC_D18B5DDE1740__INCLUDED_)
#define AFX_POSITION3DANIMATIONFIELD_H__DC85A8B7_BC09_4E87_ACAC_D18B5DDE1740__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "AnimationField.h"
class BifaQuantizer;
class DOM_Element;


class Position3DAnimationField : public AnimationField  
{
public:
	
	Position3DAnimationField(AnimationFrameData* AFD, BifaQuantizer* bquant=NULL);
	
	virtual ~Position3DAnimationField();

	
	void	setValue(float * values, int nbValue);
	
	float*	getValue();
	
	int		getNbValue();

	
	void	quantizeValue(BifaQuantizer * pBifaQuant);
	
	void	deltaValue(AnimationField * pPrec);
	
	void	shiftValue(BifaQuantizer * pBifaQuant, int* minvalue);
	
	void	encodeValue(BifaQuantizer * pBifaQuant, bool flush=false);
	
	void	calcMinValue(int ** minValue);

	
	void	parse(DOM_Element* node);


	
	void	write(FILE *file);
	
	void	write(BinaryWriter * binWriter);
	
	void	nbBitsToWrite(int &bits);

protected:
	
	float*	m_value;
	
	int		m_nbValue;
	
	int		m_nbBits;

};

#endif 
