


#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "XmlParser.h"
#include <dom/DOM.hpp>

#include "BinaryWriter.h"
#include "SkipFrame.h"






SkipFrame::SkipFrame(int nframe, int nbtoskip) : m_nFrame(nframe), m_nb_of_frame_to_skip(nbtoskip)
{
}


SkipFrame::~SkipFrame()
{

}

void SkipFrame::setNFrame(int nframe)
{
	m_nFrame = nframe;
}

int	SkipFrame::getNFrame()
{
	return m_nFrame;
}

void SkipFrame::setNbFrameToSkip(int nbtoskip)
{
	m_nb_of_frame_to_skip = nbtoskip;
}

int	SkipFrame::getNbFrameToSkip()
{
	return m_nb_of_frame_to_skip;
}


void SkipFrame::write(BinaryWriter* binWriter)
{
	
	int tmp = m_nb_of_frame_to_skip;
	while (tmp>15)
	{
		binWriter->write((unsigned int)15,4,"SkipFrames");
		tmp-=15;
	}
	binWriter->write((unsigned int)tmp,4,"SkipFrames");

}


void SkipFrame::nbBitsToWrite(int &bits)
{
	int tmp = m_nb_of_frame_to_skip;
	while (tmp>15)
	{
		bits +=4;
		tmp-=15;
	}
	bits+=4;
}


void SkipFrame::parse(DOM_Element* node)
{
}
