



#if !defined(AFX_XMLPARSER_H__38906CDF_BCD7_413B_ABB0_B28BBEBB4DDC__INCLUDED_)
#define AFX_XMLPARSER_H__38906CDF_BCD7_413B_ABB0_B28BBEBB4DDC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 




#define XMTAG_BIFSCONFIG "BIFSConfig"
#define XMTAG_ANIMATIONMASK "AnimationMask"
#define XMTAG_ELEMENTARYMASK "ElementaryMask"
#define XMTAG_INITIALFIELDSMASK "InitialFieldsMask"
#define XMTAG_INITIALANIMQP "InitialAnimQP"
#define XMTAG_ANIMATIONFRAME "AnimationFrame"
#define XMTAG_FRAMERATE "FrameRate"
#define XMTAG_ANIMATIONFRAMEDATA "AnimationFrameData"
#define XMTAG_ANIMATIONFIELD "AnimationField"
#define XMTAG_ANIMQP "AnimQP"
#define XMTAG_PAR "par"








#define XMTATTR_USE3DMESHCODING "use3DMeshCoding"
#define XMTATTR_USEPREDICTIVEMFFIELD "usePredictiveMFField"
#define XMTATTR_NODEIDBITS "nodeIDbits"
#define XMTATTR_ROUTEIDBITS "routeIDbits"
#define XMTATTR_PROTOIDBITS "PROTOIDbits"
#define XMTATTR_RANDOMACCESS "randomAccess"



#define XMTATTR_ATNODE "atNode"
#define XMTATTR_NUMDYNFIELDS "numDYNFields"


#define XMTATTR_ID "id"
#define XMTATTR_ISTOTAL "isTotal"
#define XMTATTR_INDEXLIST "indexList"


#define XMTATTR_BEGIN "begin"


#define XMTATTR_ANIMATIONSTARTCODE "animationStartCode"
#define XMTATTR_ISINTRA "isIntra"
#define XMTATTR_TIMECODE "TimeCode"
#define XMTATTR_SKIPFRAME "SkipFrames"


#define XMTATTR_FRAMERATE "FrameRate"
#define XMTATTR_SECONDS "seconds"
#define XMTATTR_FREQUENCYOFFSET "FrequencyOffset"


#define XMTATTR_MASKID "maskID"





#define XMTATTR_VALUES "values"


#define XMTATTR_TYPE "type"
#define XMTATTR_USELOWERBOUNDEFFICENTCODING "useLowerBoundEfficientCoding"
#define XMTATTR_USEUPPERBOUNDEFFICENTCODING "useUpperBoundEfficientCoding"
#define XMTATTR_LOWERBOUND "lowerBound"
#define XMTATTR_UPPERBOUND "upperBound"
#define XMTATTR_IMININT "IminInt"
#define XMTATTR_INBBITS "InbBits"
#define XMTATTR_PNBBITS "PnbBits"
#define XMTATTR_PMIN "Pmin"
#define XMTATTR_USEDEFAULT "isDefault"

class BifsConfig;
class AnimationFrame;
class BifaQuantizer;
class DOMString;
class DOM_Element;


class XmlParser  
{
public:
	
	XmlParser();
	
	virtual ~XmlParser();

	
	int		init();
	
	void	setFilename( const char* filename);
	
	void	parse(BifsConfig * pBifsConfig, BifaQuantizer *** pppBifaQuantizer , int &nbBifaQuantizer, AnimationFrame *** pppAnimationFrame, int &nbAnimationFrame);
	
	
	static void	getCleanBuffer( char * str, int& nbElm);
	
	void	getNbElement(DOM_Element * elmNod, int& nbAnimationFrame, int &nbBifaQuantizer);

protected:
	
	char *	m_filename;

};


#endif 
