template <class T> bool SDLClassArray<T> :: IsMyTag (int nTag) const 
{
	return T :: IsMyTag (nTag);
}

template <class T> BaseDescriptor *SDLClassArray<T> :: CreateDescriptor (
	int nTag
)
{
	return T :: CreateMe (nTag);
}

template <class T> BaseDescriptor *SDLClassArray<T> :: CreateDescriptor (
	LPCSTR szClassName
)
{
	return T :: CreateMe (szClassName);
}

template <class T> BaseDescriptor *SDLClassArray<T> :: DecodeDescriptor (
	ODCoder *pODCoder,
	BaseDescriptor *pParent
)
{
	SDL<T> element;
	return element.DecodeDescriptor (pODCoder, pParent);
}

#ifdef BIFSENC
template <class T> void SDLClassArray<T> ScanElement ()
{
	SDL<T> element;
	element.Scan ();
	if (element != NULL_DESC)
	{	AddElement (element);
		element = NULL_DESC;
	}
}
#endif
