
#ifndef _DEMUX_INTERFACE_H_
#define _DEMUX_INTERFACE_H_

#include "Channel.h"
#include "TDxI_Sink.h"

class DemuxInterface : public Channel
{
public:
	virtual ~DemuxInterface() {};

	virtual bool AddFlexmuxChannel(TDxI_Sink* r_pSnk,const UINT v_nChid,const QOSSTREAM r_qosStream,const int v_nFmxChNum,const BYTE* pAppInfo,const int nAppInfoLength) = 0;
	virtual void DeleteFlexmuxChannel(int nFmxInfo) = 0;
	virtual bool isEmpty() = 0;
	virtual void PlayChannel(int nFmxInfo) = 0;
	virtual void PauseChannel(int nFmxInfo) = 0;
};


#endif _DEMUX_INTERFACE_H_

