
/*------------------------------------------------------------------------------*/
/*										*/
/*										*/
/*  This software module was originally developed by                            */
/*        Prem Kalra, MIRALab, University of Geneva                             */
/*  and edited by                                                               */
/*        Igor Pandzic, MIRALab, University of Geneva                           */
/*        Marc Escher, MIRALab, University of Geneva                            */
/*        Pierre Beylot, MIRALab, University of Geneva                          */
/*  in the course of development of the MPEG-4 Video (ISO/IEC 14496-2).	        */
/*  This software module is an implementation of a part of one or more	        */
/*  MPEG-4 Video (ISO/IEC 14496-2) tools as specified by the MPEG-4 Video       */
/*  (ISO/IEC 14496-2). ISO/IEC gives users of the                               */
/*  MPEG-4 Video (ISO/IEC 14496-2) free license to this software module or	*/
/*  modifications thereof for use in hardware or software products claiming 	*/
/*  conformance to the MPEG-4 Video (ISO/IEC 14496-2). Those intending to use	*/
/*  this software module in hardware or software products are advised that	*/
/*  its use may infringe existing patents. The original developer of this	*/
/*  software module and his/her company, the subsequent editors and their	*/
/*  companies, and ISO/IEC have no liability for use of this software		*/
/*  module or modifications thereof. Copyright is not released for non		*/
/*  MPEG-4 Video (ISO/IEC 14496-2) conforming products.                         */
/*  MIRALab, University of Geneva retains full right to use the code for its    */
/*  own purpose, assign or donate the code to a third party and to inhibit      */
/*  third parties from using the code for non MPEG-4 Video (ISO/IEC 14496-2)    */
/*  conforming products. This copyright notice must be included in all copies   */
/*  or derivative works. Copyright (c) (1997).			      		*/
/*										*/
/*										*/
/*------------------------------------------------------------------------------*/


#ifndef _TAB_MPA
#define _TAB_MPA

#define MPA_NOT_DEFINED		-1

#define MOVE_H_L_EYEBALL	0
#define MOVE_H_R_EYEBALL	1
#define MOVE_H_EYEBALLS		2
#define MOVE_V_L_EYEBALL	3
#define MOVE_V_R_EYEBALL	4
#define MOVE_V_EYEBALLS		5
#define CLOSE_UPPER_L_EYELID	6
#define CLOSE_UPPER_R_EYELID	7
#define CLOSE_UPPER_EYELIDS	8
#define CLOSE_LOWER_L_EYELID	9
#define CLOSE_LOWER_R_EYELID	10
#define CLOSE_LOWER_EYELIDS	11
#define RAISE_L_EYEBROW		12
#define RAISE_R_EYEBROW		13
#define RAISE_EYEBROWS		14
#define RAISE_L_EYEBROW_L	15
#define RAISE_R_EYEBROW_L	16
#define RAISE_EYEBROWS_L	17
#define RAISE_L_EYEBROW_M	18
#define RAISE_R_EYEBROW_M	19
#define RAISE_EYEBROWS_M	20
#define RAISE_L_EYEBROW_R	21
#define RAISE_R_EYEBROW_R	22
#define RAISE_EYEBROWS_R	23
#define SQUEEZE_L_EYEBROW	24
#define SQUEEZE_R_EYEBROW	25
#define SQUEEZE_EYEBROWS	26
#define MOVE_O_L_EYEBALL	27
#define MOVE_O_R_EYEBALL	28
#define MOVE_O_EYEBALLS		29

#define OPEN_JAW		30 
#define MOVE_HORI_JAW		31 
#define DEPRESS_CHIN		32 
#define RAISE_L_CORNERLIP	33 
#define RAISE_R_CORNERLIP	34 
#define RAISE_CORNERLIPS	35 
#define PUFF_L_CHEEK		36 
#define PUFF_R_CHEEK   		37 
#define PUFF_CHEEKS		38 
#define LIFT_L_CHEEK		39 
#define LIFT_R_CHEEK		40 
#define LIFT_CHEEKS		41 

#define LOWER_L_CORNERLIP	42 
#define LOWER_R_CORNERLIP	43 
#define LOWER_CORNERLIPS	44 
#define RAISE_UPPERLIP		45 
#define LOWER_LOWERLIP		46 
#define RAISE_U_MIDLIP		47 
#define RAISE_L_MIDLIP		48 
#define RAISE_MIDLIPS		49 
#define PULL_MIDLIPS		50 
#define STRETCH_CORNERLIPS	51 
#define STRETCH_L_CORNERLIP	52 
#define STRETCH_R_CORNERLIP	53 
#define SUCK_LIPS		54 
#define SQUEEZE_CORNERLIPS	55 
#define SQUEEZE_L_CORNERLIP	56 
#define SQUEEZE_R_CORNERLIP	57 

#define STRETCH_NOSE		58
#define RAISE_NOSE		59

#define TURN_HEAD		60
#define NOD_HEAD		61
#define ROLL_HEAD		62

#define TONGUE_LIFT		63
#define TONGUE_PAN		64
#define TONGUE_OUT		65
#define TONGUE_LIFT_TIP		66
#define TONGUE_ROLL		67
#define JAW_THRUST		68
#define EYE_DILATE_L_PUPIL     	69
#define EYE_DILATE_R_PUPIL     	70
#define EYE_DILATE_PUPILS	71
#define NOSE_BEND		72
#define STRETCH_L_NOSE		73
#define STRETCH_R_NOSE		74
#define RAISE_L_EAR		75
#define RAISE_R_EAR		76
#define RAISE_EARS		77
#define PULL_L_EAR		78
#define PULL_R_EAR		79
#define PULL_EARS		80

#define NB_MPA			81


extern char* tab_mpa_str[];
 
#endif /* TAB_MPA */
