#ifndef INCLUDED_AACDECODER_H
#define INCLUDED_AACDECODER_H

#include "DecoderImp.h"

class Executive;

class AACDecoder : public DecoderImp
{
	public:
	
	/*	virtual BOOL Setup (
		const BYTE *pSpecificInfo,
		int nSpecificInfoLength,
		int	nESNumber
	);*/
	
	
	//virtual int GetDataOffset  (const LPBYTE pFrame);
	virtual DWORD GetAttributes (
		ATTRIBUTE_CODE code, 
		const LPBYTE pFrame
	);
		
		AACDecoder(  );
		virtual ~AACDecoder();
        
		/* overrides from class Decoder */
		virtual BOOL SetFormat (Capabilities &formatOptions,DecoderParams &decoderParams);
		virtual int GetOptimalInputSize();
		virtual int GetOptimalOutputSize();
//		virtual int GetRecommendedInputBufferSize();
//		virtual int GetRecommendedOutputBufferSize();
		virtual BOOL Decode( LPBYTE pInput,int nInputLength, LPBYTE pOutput,int &rnOutputLength );
//		virtual void Run();
	private:
		int getAU();
		void* m_pluginHandle;
		void* m_pluginInstanceData;
		long (*m_decodeFrame)( void* instanceData, void* AUBuf, int AUBuflen, void* outbuf, long outBytes );
		int  (*m_initInstance)( void** instanceData );
		int  (*m_releaseInstance)( void* instanceData );
		long  m_targetBitrate;
		long  m_targetSampleRate;
		long  m_PUlen;
		long  m_FrameLen;
		int ChannelNo;
		double  m_timeStampIncrement; // microseconds
		double  m_timeStamp;          // microseconds
		char              *m_AUBuf;
		int                m_AUBuflen;	
		BOOL m_firstDecode;
		DWORD   m_lastTimeStamp;
	virtual void Run ();
	virtual BOOL Setup (
		const BYTE *pSpecificInfo,
		int nSpecificInfoLength,
		int	nESNumber
	);
};


#endif
