//--------------------------------------------------------------------------
//
//  P_MPG_Ifs.h
//
//  Copyright (C) IBM Corporation, 1999
//  Program Property of IBM
//
//  AUTHORS: 
//		Ioana M. Martin (ioana@us.ibm.com)
//
//  IBM T. J. Watson Research Center
//  30 Saw Mill River Road
//  Hawthorne, New York 10532
//
//--------------------------------------------------------------------------

#ifndef _p_mpg_ifs_h
#define _p_mpg_ifs_h

#include "MPG_Ifs.h"

class P_MPG_Ifs :  public MPG_Ifs
{
	public:
		P_MPG_Ifs(){};
		~P_MPG_Ifs(){MPG_Ifs::clear();};

		void Render();
		void ComputeNormals();
		void GetBBox(float& width, float& height, float& depth,
			float& cx, float& cy, float& cz);
		
	private:
		void CrossProd (float c[], float a[], float b[]);
};

#endif