//--------------------------------------------------------------------------
//
//  P_MPG_IfsQ_E.h
//
//  Copyright (C) IBM Corporation, 1999
//  Program Property of IBM
//
//  AUTHORS: 
//		Ioana M. Martin (ioana@us.ibm.com)
//
//  IBM T. J. Watson Research Center
//  30 Saw Mill River Road
//  Hawthorne, New York 10532
//
//--------------------------------------------------------------------------

#ifndef _p_mpg_ifsq_e_h
#define _p_mpg_ifsq_e_h

#include "MPG_IfsQ_E.h"

class P_MPG_IfsQ_E :  public MPG_IfsQ_E
{
	public:
		P_MPG_IfsQ_E(){};
		~P_MPG_IfsQ_E(){MPG_Ifs::clear();}

// functions to draw ifs
		void Render();
		void ComputeNormals();
		void GetBBox(float& width, float& height, float& depth,
			float& cx, float& cy, float& cz);
		
	private:
		void CrossProd (float c[], float a[], float b[]);
};

#endif