// ProgressiveExpandView.h : interface of the CProgressiveExpandView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROGRESSIVEEXPANDVIEW_H__7B610A12_E383_11D2_A3EB_006094EB1C5E__INCLUDED_)
#define AFX_PROGRESSIVEEXPANDVIEW_H__7B610A12_E383_11D2_A3EB_006094EB1C5E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CProgressiveExpandView : public CView
{
protected: // create from serialization only
	CProgressiveExpandView();
	DECLARE_DYNCREATE(CProgressiveExpandView)

// Attributes
public:
	CProgressiveExpandDoc* GetDocument();
	HGLRC m_hRC;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProgressiveExpandView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CProgressiveExpandView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	UINT m_uTimerID;

// Generated message map functions
protected:
	//{{AFX_MSG(CProgressiveExpandView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ProgressiveExpandView.cpp
inline CProgressiveExpandDoc* CProgressiveExpandView::GetDocument()
   { return (CProgressiveExpandDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROGRESSIVEEXPANDVIEW_H__7B610A12_E383_11D2_A3EB_006094EB1C5E__INCLUDED_)
