/*----------------------------------------------------------------
	Projet : Visualisation Villes / Librairie gomtrique de base.
	Fichier: Droite2DX.h
	Date 	 :
	L.B. 06/2001
	
	Commentaires:
	
-----------------------------------------------------------------*/


//
#include "GeomDefs.h"
#include "GeomOperators.h"
#include "Droite2D.h"
#include "RefCount.h"


class Droite2DX : public Droite2D , public RefCount 
{
public:
	Droite2DX();
	Droite2DX(Point2D p, Vector2D v);	
	Droite2DX(Droite2DX &s);

	virtual ~Droite2DX();
	Droite2DX & operator =(const Droite2DX &in);
	
	virtual Point2D origine() const;
	virtual Vector2D direction() const;

	virtual void coefficients(FT &a, FT &b, FT &c) const;
	virtual ORIENTATION side(const Point2D &p) const;
	virtual bool appartenance(const Point2D &p, FT null_value= LIBGEOM_NULL_VALUE) const;

protected:
	Point2D  m_origine;
	Vector2D m_direction;

};
