/*----------------------------------------------------------------
	Projet : Visualisation Villes / Librairie gomtrique de base.
	Fichier: GeomOperators.h
	Date 	 :
	A.C. 01/2001
	
	Commentaires:
	
-----------------------------------------------------------------*/








#ifndef __LIBGEOM_OPERATORS_H__
#define __LIBGEOM_OPERATORS_H__
#include "Point2D.h"
#include "Segment2D.h"
#include "Droite2D.h"
#include "Point3D.h"
#include "Vector2D.h"
bool		operator ==(const Point2D &p,const Point2D	&q);
bool		operator !=(Point2D const &p,Point2D const &q);
bool        operator < (Point2D const &p,Point2D const   &q);
Vector2D	operator - (Point2D &p,Point2D	&q);
Point2D		operator - (Point2D &p,Vector2D	&v);
Point2D		operator + (Point2D &p,Point2D &q);
Point2D		operator + (Point2D &p,Vector2D	&v);

Point2D		operator - (Droite2D &d1, Droite2D &d2);
Point2D		operator - (Segment2D &s1, Segment2D &s2);
Point2D		operator * (FT s, Point2D &p);

bool		operator ==(Segment2D &s1, Segment2D &s2);
bool		operator !=(Segment2D &s1, Segment2D &s2);

bool		operator ==(Point3D &p,Point3D	&q);
bool		operator !=(Point3D &p,Point3D	&q);
bool        operator < (Point3D &p,Point3D   &q);

#endif // __LIBGEOM_OPERATORS_H__

// #eof "$Id: GeomOperators.h,v 1.1 2006/10/20 14:14:55 granger Exp $"
