// PlaneX.h: interface for the PlaneX class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PLANEX_H__2F23B7E8_A5F3_42F4_B7D7_86172AB6FAD6__INCLUDED_)
#define AFX_PLANEX_H__2F23B7E8_A5F3_42F4_B7D7_86172AB6FAD6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GeomDefs.h"
#include "Plane.h"
#include "VectorGeom3D.h"
#include "RefCount.h"


class PlaneX : public Plane, public RefCount 
{
public:
	PlaneX();
	virtual ~PlaneX();

	PlaneX(const Plane &);
	PlaneX(Point3D pt, VectorGeom3D n);
	Plane & operator =(const Plane &s);

	virtual Point3D point() const;
	virtual VectorGeom3D normal() const;

//	virtual bool has_on(const Point3D &p, FT dist) const;


protected :
	Point3D  m_pt;
	VectorGeom3D m_normal;
};

#endif // !defined(AFX_PLANEX_H__2F23B7E8_A5F3_42F4_B7D7_86172AB6FAD6__INCLUDED_)
