// RoofLine.h: interface for the CRoofLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROOFLINE_H__F47FD389_8D6C_4BAE_83E7_4D44285A75B9__INCLUDED_)
#define AFX_ROOFLINE_H__F47FD389_8D6C_4BAE_83E7_4D44285A75B9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


typedef enum m_LineType { UNDERMAX, ABOVEMAX, CROSSINGUP, CROSSINGDOWN }	FT_LineType;

#include "point3d.h"
//#include "roofconstruction.h"

class CRoofLine  
{
public:
	CRoofLine();
	virtual ~CRoofLine();

	CRoofLine(int nlower, Point3D LowerPoint, int nhigher, Point3D HigherPoint);

	int		m_nLowerID, m_nHigherID, m_nMiddleID;
	Point3D	m_LowerPoint, m_HigherPoint;	// the two extremis
	Point3D	m_MiddlePoint;					// in case of truncated roof

	FT_LineType	m_LineType;
};

#endif // !defined(AFX_ROOFLINE_H__F47FD389_8D6C_4BAE_83E7_4D44285A75B9__INCLUDED_)
