/*----------------------------------------------------------------
	Projet : Visualisation Villes / Librairie gomtrique de base.
	Fichier: Vector2DX.h
	Date 	 :
	A.C. 01/2001
	
	Commentaires:
	
-----------------------------------------------------------------*/









//


#if !defined(AFX_Vector2DX_H__C9C4DAC7_C3CA_4878_8910_2C8631B0B57F__INCLUDED_)
#define AFX_Vector2DX_H__C9C4DAC7_C3CA_4878_8910_2C8631B0B57F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GeomDefs.h"
#include "Vector2D.h"
#include "RefCount.h"

class Vector2DX : public Vector2D , public RefCount 
{
public:
	Vector2DX();
	virtual ~Vector2DX();
	Vector2DX(FT x, FT y);
	Vector2DX(const Vector2D &);
	Vector2DX(Point2D p1, Point2D p2);
	bool normalise();
	Vector2D & operator =(const Vector2D &in);
	virtual FT y() const;
	virtual FT x() const;
	FT operator [](int i) const;
protected:
	FT m_y;
	FT m_x;
//	Vector2D * m_impl;
};

#endif // !defined(AFX_Vector2DX_H__C9C4DAC7_C3CA_4878_8910_2C8631B0B57F__INCLUDED_)
