// ArithmeticEncoder.h: coordinate interpolator encoder
// Author: Shinjun Lee, Samsung AIT
// Date: 2001-12-27
// 4th revision: 2002-04-23

#ifndef _ARITHMETICENCODER_H_
#define _ARITHMETICENCODER_H_

#include "Entropy.h"

// encode: aac values with sign
void encodeSignedAAC(CAC_QF& codec, int nValue, int qstep, CAC& signContext, CAC* valueContext);
// encode: aac values without sign
void encodeUnsignedAAC(CAC_QF& codec, int nValue, int qstep, CAC* valueContext);
// encode: aac values with sign (using zero context after encoding the msb)
void encodeSignedQuasiAAC(CAC_QF& codec, int nValue, int qstep, CAC& signContext, CAC* valueContext);

#endif // _ARITHMETICENCODER_H_