// OriIKeyValueHeader.cpp: implementation of the OriIKeyValueHeader class.
//
//////////////////////////////////////////////////////////////////////

#include "OriIKeyValueHeader.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

OriIKeyValueHeader::OriIKeyValueHeader()
{

}

OriIKeyValueHeader::~OriIKeyValueHeader()
{

}

void OriIKeyValueHeader::encodingProcess(bool bIsPreserveKey, 
										 int nDPCMOrder, 
										 int nKeyValueQBit)
{
	bPreserveKey = bIsPreserveKey;
	nKVDPCMOrder = nDPCMOrder;
	nKVQBit = nKeyValueQBit;
	// test
	printf("KV Q Bit %d\n", nKVQBit);
}


void OriIKeyValueHeader::makeBitstream(CAC_QF& codec, 
									   bool bIsUnaryAAC_X, bool bIsUnaryAAC_Y, bool bIsUnaryAAC_Z,
									   OriIDPCMKeyValue& oriIDPCMKeyValue) 
										
{

	// put bPreserveKey
	codec._ostrm->putbits(bPreserveKey, 1);

	// put nKVQBit
	codec._ostrm->putbits(nKVQBit, 5);

	// put nKVDPCMOrder
	codec._ostrm->putbits(nKVDPCMOrder, 1);

	// put DPCMKeyValue Header
	
	oriIDPCMKVHeader.makeBitstream(codec,
									bIsUnaryAAC_X, bIsUnaryAAC_Y, bIsUnaryAAC_Z,
									nKVDPCMOrder,
									nKVQBit,
									oriIDPCMKeyValue);
									
}
