// OriIKeyValueHeader.h: interface for the OriIKeyValueHeader class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ORIIKEYVALUEHEADER_H__3BA0D904_AB24_4A27_8293_3473A4567614__INCLUDED_)
#define AFX_ORIIKEYVALUEHEADER_H__3BA0D904_AB24_4A27_8293_3473A4567614__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Entropy.h"
#include "OriIDPCMKeyValueHeader.h"
#include "OriIDPCMKeyValue.h"

class OriIKeyValueHeader  
{
public:
	OriIKeyValueHeader();
	virtual ~OriIKeyValueHeader();

public:
	void encodingProcess(bool bIsPreserveKey, 
						 int nDPCMOrder, 
						 int nKeyValueQBit);

	void makeBitstream(CAC_QF& codec, 
		bool bIsUnaryAAC_X, bool bIsUnaryAAC_Y, bool bIsUnaryAAC_Z,
		OriIDPCMKeyValue& oriIDPCMKeyValue);

public:
	bool					bPreserveKey;
	unsigned int			nKVQBit;
	unsigned int			nKVDPCMOrder;
	OriIDPCMKeyValueHeader	oriIDPCMKVHeader;
};

#endif // !defined(AFX_ORIIKEYVALUEHEADER_H__3BA0D904_AB24_4A27_8293_3473A4567614__INCLUDED_)
