#include <fstream.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include "QCAAC_code.h"

// 10 ==-> Ķ !!!!!!!!!!!
const double dEPSILONERROR = 0.0000000001;

// 
const int CMAX_DIGIT = 15;


// double Mantissa(10) ϴ α׷!!!
// input:
	// -> dValue: Source floating point 
	// -> nDigit:  ڸ
int GetMantissa(double dValue, int nDigit)
{
	char* buffer;
	int nDummy1 = 0, nDummy2 = 0;

	buffer = _ecvt(dValue, nDigit, &nDummy1, &nDummy2);

	return ::atoi(buffer);
}


// sowoo 2001.10.11 (Min/Max Reduce)
// Ǽ Digit 
int GetDigit(double dValue)
{
	//////////////////////////////////////////////////
	//
	//			Original Value 7ڸ !!!
	//			꿡 ؼ   
	//
	//////////////////////////////////////////////////

	char buffer[50];
	_gcvt(dValue, CMAX_DIGIT, buffer);
	dValue = atof(buffer);

	//
	//////////////////////////////////////////////////

	// "0.0"  ڸ̴.
	if(dValue == 0.0)
		return 0;

	int nFirstDigit, nLastDigit;

	nFirstDigit = GetLeadingZero(dValue);
	nLastDigit = GetLargestDigit(dValue);

	int nDigit = nLastDigit - nFirstDigit;

	// CMAX_DIGIT ū    .
	//  floating-point number ϴ ȿڸ 6~7!
	return (nDigit > CMAX_DIGIT)? CMAX_DIGIT: nDigit;
}

int GetLargestDigit(double key)
{
	//////////////////////////////////////////////////
	//
	//			Original Value 7ڸ !!!
	//			꿡 ؼ   
	//
	//////////////////////////////////////////////////

	char buffer[50];
	_gcvt(key, CMAX_DIGIT, buffer);
	key = atof(buffer);

	//
	//////////////////////////////////////////////////

	double a;
	__int64 mult;
	double dmult;
	__int64 Ia;
	double e = dEPSILONERROR;
	int nLargestDigit;

	mult=1; dmult=0.1;
	nLargestDigit = 0;

	a = fabs(key);
	Ia = (__int64) (a + mult*e);

	// sowoo 2001.10.11 (Digit   ϱ)
	// "0.1" binary ǥ ⶧ ǵ  ʴ  .
	// 0.1 ϴ  ſ 10  scheme !
	if(a == 0.0)
		return 1;

	double dTemp = a - (double)Ia;

	if((dTemp == 0.0) || (dTemp < e))
	{
		while(true)
		{
			a = fabs(key);
			a *= dmult;
			Ia = (__int64) (a + e);
			dTemp = a - (double)Ia;

			if(dTemp > e)
				return nLargestDigit;

			dmult *= 0.1;
			nLargestDigit--;
		}
	}

	//while(a - (double) Ia > e*mult)
	while(dTemp > e*mult)
	{
		mult*=10;
		nLargestDigit++;
		a = fabs(key);
		a=(double) mult *a;
		Ia = (__int64) (a + mult*e);
		dTemp = a - (double)Ia;
	}

	return nLargestDigit;
}


int GetLeadingZero(double key)
{
	//////////////////////////////////////////////////
	//
	//			Original Value 7ڸ !!!
	//			꿡 ؼ   
	//
	//////////////////////////////////////////////////

	char buffer[50];
	_gcvt(key, CMAX_DIGIT, buffer);
	key = atof(buffer);

	//
	//////////////////////////////////////////////////

	double a;
	double e = dEPSILONERROR;
	__int64 nMulti = 10;
	double dMulti = 0.1;
	int nCount = 0;

	// 1. 켱  ٲٰ,
	a = fabs(key);

	// 2. 0̰ų 0.1 ũ տ "0" .
	if(a >= 1.0)
	{
		nCount++;
		while(a*dMulti > 1.0)
		{
			nCount++;
			dMulti *= 0.1;
		}

		return -nCount;
	}
	else if(a == 0.0)
		return 0;
	else if(a >= 0.1)
		return 0;
	else
	{
		nCount++;
		while(a*nMulti < 0.1)
		{
			nCount++;
			nMulti *= 10;
		}

		return nCount;
	}
}

