/***********************************************************************
This software module was originally developed by James D. K. Kim, 
Sang Oak Woo and Shin Jun Lee(Samsung Advance Institute of Technology)
in the course of development of the MPEG-4 Systems (ISO/IEC 14496-1)
standard. This software module is an implementation of a part of one or
more MPEG-4 Systems (ISO/IEC 14496-1) tools as specified by the MPEG-4
Systems (ISO/IEC 14496-1) standard. ISO/IEC gives users of the MPEG-4 
Systems (ISO/IEC 14496-1) free license to this software module or 
modifications thereof for use in hardware or software products claiming
conformance to the MPEG-4 Systems (ISO/IEC 14496-1). Those intending to 
use this software module in hardware or software products are advised that
its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. Samsung Advance Institute of Technology
retains full right to use the code for his/her own purpose, assign or 
donate the code to a third party and to inhibit third parties from using
the code for non MPEG-4 Systems (ISO/IEC 14496-1) conforming products. 
This copyright notice must be included in all copies or derivative works.
Copyright  2001
************************************************************************

For more information or to receive an up to date version of this module,
you may contact James D. K. Kim at jacobkim@sait.samsung.co.kr
----------------------------------------------------------------------*/

// OriIKeyValueHeader.cpp: implementation of the OriIKeyValueHeader class.
//
//////////////////////////////////////////////////////////////////////

//#include "stdafx.h"
#include "OriIKeyValueHeader.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

OriIKeyValueHeader::OriIKeyValueHeader()
{

}

OriIKeyValueHeader::~OriIKeyValueHeader()
{

}

void OriIKeyValueHeader::readBitstream(CAC_QF& codec)
{
	// read bPreserveKey flag;
	bPreserveKey = (codec._istrm->getbits(1) == 0 ? (bool)false: (bool)true);

	// read key value quatization bit
	nKVQBit = codec._istrm->getbits(5);

	// read key value DPCM order
	nKVDPCMOrder = codec._istrm->getbits(1);

	oriIDPCMKVHeader.readBitstream(codec, nKVQBit, nKVDPCMOrder);
}
