// FloatingPointNumber.h: interface for the FloatingPointNumber class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FLOATINGPOINTNUMBER_H__458BDF92_DB4C_4DCA_84DC_0F60E0FEA427__INCLUDED_)
#define AFX_FLOATINGPOINTNUMBER_H__458BDF92_DB4C_4DCA_84DC_0F60E0FEA427__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "entropy.h"


class FloatingPointNumber  
{
public:
	FloatingPointNumber();
	virtual ~FloatingPointNumber();

public:
	void readBitstream(CAC_QF& codec, unsigned int nDigit, unsigned int nExponentBits,
		unsigned int bAllSameExponentSign, unsigned int nSameExponentSign);
	void decodingProcess(float& fValue);

public:
	// if nDigit != 0
	unsigned int nSign;
	int nMantissa;
	int nExponent;
	unsigned int nExponentSign;

	// for decoding process
public:
	int nDigit;
};

#endif // !defined(AFX_FLOATINGPOINTNUMBER_H__458BDF92_DB4C_4DCA_84DC_0F60E0FEA427__INCLUDED_)
