/***********************************************************************
This software module was originally developed by Khaled MAMOU
(INT - ARTEMIS ) in the course of development of the MPEG-4
Systems (ISO/IEC 14496-1) standard. This software module is an implementation
of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as
specified by the MPEG-4 Systems (ISO/IEC 14496-1) standard. ISO/IEC
gives users of the MPEG-4 Systems (ISO/IEC 14496-1) free license to
this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-4 Systems (ISO/IEC
14496-1). Those intending to use this software module in hardware or
software products are advised that its use may infringe existing patents.
The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. Copyright is not released for non MPEG-4 Systems
(ISO/IEC 14496-1) conforming products. The author retains full right
to use the code for his/her own purpose, assign or donate the code to a
third party and to inhibit third parties from using the code for non
MPEG-4 Systems (ISO/IEC 14496-1) conforming products. This copyright
notice must be included in all copies or derivative works.
Copyright  2007
************************************************************************

For more information or to receive an up to date version of this module,
you may contact Khaled MAMOU at Khaled.Mamou@int-edu.eu
----------------------------------------------------------------------*/

/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  Decoder
FILE:       KMFAMCDecoder.cpp
AUTHOR:     Khaled MAMOU (INT)
OVERVIEW:   Implementation of FAMC Decoder- 
-------------------------------------------------------------------------*/
#include "StdAfx.h"
#include "KMFAMCDecoder.h"
#include "FAMCDecoder.h"

#include "ODP.h"
#include "../../OpenGL/AFX/AfxStreamProxy.h"
/*-----------------------------------------------------------------
Constructor, destructor
-----------------------------------------------------------------*/
KMFAMCDecoder :: KMFAMCDecoder()
{
}

KMFAMCDecoder :: ~KMFAMCDecoder()
{
}
/*-----------------------------------------------------------------
Calculate the output size in bytes
-----------------------------------------------------------------*/
int KMFAMCDecoder :: GetOptimalOutputSize ()
{
	// value used for the allocate the composition buffer
	int a= 100000000;
		
	return a;
}

/*-----------------------------------------------------------------
Parse the decoder specific info
-----------------------------------------------------------------*/
	
BOOL KMFAMCDecoder :: Setup (AFXExtDescriptor *pSpecific)
{
  return TRUE;
}

/*-------------------------------------------------------------
Decode
-------------------------------------------------------------*/

BOOL KMFAMCDecoder :: Decode (LPBYTE pInput, int nInputLength, LPBYTE pOutput, int &rnOutputLength)
{
//	m_ifs.SaveIFSVRML2("c:\\mesh.wrl");
	FAMCDecoder myFAMCDecoder;
	myFAMCDecoder.DecodeStream(pInput, nInputLength, m_ifs, -1, pOutput, rnOutputLength);

	bool return_value = true;
	return return_value;


}
