/*************************************************************************************
 
 This software module was originally developed by
 
	Dae-Sung Cho 	(dscho@sait.samsung.co.kr), Samsung AIT
 
 and edited by 

	Dae-Sung Cho	(dscho@sait.samsung.co.kr), Samsung AIT

 Those who intend to use this software module in hardware or software products
 are advised that its use may infringe existing patents and other intellectual
 property rights.
 
 We disclaim all warranties with regard to this software, including
 all implied warranties of merchantability and fitness.
 In no event, Samsung AIT shall be liable for any special, indirect or
 consequential damages or any damages whatsoever resulting from loss of
 data or profits arising out of or in connection with the use or performance
 of this software.
 
 Samsung AIT retains the full right to use the code for its own purpose, assign
 or donate the code to a third party and to inhibit third parties from using
 the code. This copyright notice must be included in all copies or derivative
 works.
 
 Copyright (c) 1997-2000 Samsung AIT all rights reserved

*************************************************************************************/

#if !defined(_MPEG4VIDEO_h)  // Sentry, use file only if it's not already included.
#define _MPEG4VIDEO_h

#include "SaitStream.h" 
#include "mp4video_parser.h"

class MP4VIDEOStreamDSI : public StreamDSI
{
	bool m_bGetDecSpecificInfo;	
	unsigned char *m_pDecSpecificInfo;
	long m_lDsiLength;	
	CMp4VideoParser *m_pParser;	
public:
	MP4VIDEOStreamDSI (FILE *fStream); 	
	~MP4VIDEOStreamDSI ();	
	virtual BYTE* GetDecSpecificInfo ();
	virtual long GetDecSpecificInfoLen ();
};

#endif	// _MPEG4VIDEO_h sentry