
//	This software module was originally developed by James King (CRL), 
//  Leon Sucharov (CRL) and edited by Massimo Balestri (Telecom
//	Italia Lab S.p.A.) in the course of development of the MPEG-4 Systems 
//	(ISO/IEC 14496-1) standard. This software module is an implementation 
//	of a part of one or more MPEG-4 Systems (ISO/IEC 14496-1) tools as specified 
//	by the MPEG-4 Systems (ISO/IEC 14496-1) standard. 
//
//	ISO/IEC gives users of the  the MPEG-4 Systems (ISO/IEC 14496-1) free 
//	license to this software module or modifications thereof for use in hardware 
//	or software products claiming conformance to the MPEG-4 Systems (ISO/IEC 
//	14496-1). 
//
//	Those intending to use this software module in hardware or software 
//	products are advised that its use may infringe existing patents. 
//
//	The original developer of this software module and his/her company, the 
//	subsequent editors and their companies, and ISO/IEC have no liability for 
//	use of this software module or modifications thereof. 
//
//	Copyright is not released for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
//	products. 
//
//	CRL retains full right to use the code for its own purpose, 
//	assign or donate the code to a third party and to inhibit third parties from 
//	using the code for non MPEG-4 Systems (ISO/IEC 14496-1) conforming products.
// 
//	This copyright notice must be included in all copies or derivative works. 
//
//	Copyright (c) 2000. 
//
//
//
//	Version developed by James King (CRL), Leon Sucharov (CRL) on behalf of MOSES
//	More information on MOSES can be found at http://www.crl.co.uk/projects/moses/


// DecoderSpecificInfo.h: interface for the DecoderSpecificInfo class.
//
//////////////////////////////////////////////////////////////////////

#ifndef	__DECODERSPECIFICINFO_H__
#define	__DECODERSPECIFICINFO_H__

#include "BaseDescriptor.h"
#include "namespace.h"

BEGIN_MOSES_NAMESPACE

/**
 * @class DecoderSpecificInfo
 * empty class that just assign the appropriate tag to the BaseDescriptor class, 
 * from which it derives.
 */
class DecoderSpecificInfo : public BaseDescriptor  
{
public:
	DecoderSpecificInfo();				///< constructor
	virtual ~DecoderSpecificInfo();		///< destructor
};

END_MOSES_NAMESPACE
#endif 
