/*------------------------------------------------------------------
	 2000 CSELT - Centro Studi e Laboratori Telecomunicazioni.
	All rights reserved.
------------------------------------------------------------------*/

#ifndef _dai_mc_h_
#define _dai_mc_h_

#include "DAI_MC_tools.h"
#include "DAItools.h"


class Application_MC_Sink
{
public:
	virtual void DAI_MC_ChannelAdd_Cnf(
		const UINT nServiceId,
		const MC_DAIChannelAddParam& outParam
	) = 0;
	virtual void DAI_MC_ChannelDelete_Cnf(
		const UINT nServiceId,
		const HANDLE hTAT,
		const RESPONSE eRsp
	) = 0;
};

class DMIF_MC
{
protected:
	Application_MC_Sink* m_pMCSink;
public:
	// Offline FMX
	virtual void DAI_MC_TransmuxAdd_Req(
		const UINT		nServiceId,
		const MC_DAIChannelAddParam& outParam
	) = 0;
	// Realtime FMX
	virtual void DAI_MC_ChannelAdd_Req(
		const UINT		nServiceId,
		const MC_DAIChannelAddParam& outParam
	) = 0;
	virtual void DAI_MC_ChannelDelete_Req(
		const UINT		nServiceId,
		const DAIChannelDeleteParam& outParam
	) = 0;
};

#endif _dai_mc_h_

