#ifndef _thread_utils_
#define _thread_utils_

// WIN-SOL release
#ifndef WIN32

#include <pthread.h>
// SOLARIS PORTING
#include "defs.h"

#define THREAD_BASE_PRIORITY_LOWRT 15
#define THREAD_BASE_PRIORITY_MAX    2
#define THREAD_BASE_PRIORITY_MIN   -2
#define THREAD_BASE_PRIORITY_IDLE  -15


#define THREAD_PRIORITY_LOWEST  THREAD_BASE_PRIORITY_IDLE  
#define THREAD_PRIORITY_HIGHEST  THREAD_BASE_PRIORITY_MAX  
#define THREAD_PRIORITY_TIME_CRITICAL  THREAD_BASE_PRIORITY_LOWRT  
#define THREAD_PRIORITY_IDLE  THREAD_BASE_PRIORITY_IDLE  

//#define THREAD_PRIORITY_NORMAL  0  
//#define THREAD_PRIORITY_ABOVE_NORMAL  (THREAD_PRIORITY_HIGHEST-1)  
//#define THREAD_PRIORITY_BELOW_NORMAL  (THREAD_BASE_PRIORITY_LOWEST+1 ) 

int Set_Priority(int priority);

DWORD ResumeThread(void * hThread);

#endif // WIN32

#endif	//_thread_utils_
