import sommit.sectfilt.*;

class Receiver implements SommitSfInterface {
	static Receiver receiver;

	public void newSection( int id
				,byte[] sec) {
	
	String out = new String(sec);

	System.out.println("-(Receiver) newSection output: " + out);
	System.out.println("-(Receiver) newSection exit");
}

	native public final static void startFilter(
				int index,
        			int id,
         			SommitSfInterface l,
				//Receiver l,
        			int PID,
        			byte[] posMask,
        			byte[] posValue,
        			byte[] negMask,
        			byte[] negValue);

	public static void main(String argv[]){
		byte[] pM = new byte[1];
		byte[] pV = new byte[1];
		byte[] nM = new byte[1];
		byte[] nV = new byte[1];
		receiver = new Receiver();

		System.out.println("-(Receiver) Calling startFilter() native method");
		startFilter(0, 1, receiver, 3, pM, pV, nM,nV);
		System.out.println("-(Receiver) Call succeed");
	}
	static {
		System.out.println("-(Receiver) Loading receiver.dll ...");
		System.loadLibrary("receiverDLL");
		System.out.println("-(Receiver) Loading done.");
		}
}

