package bali.testframe;
import bali.hw.sectfilt.HwSection;

/***************************************************************************
The Server class is the main class of the Server part of the functional test
set-up. The class provides the interface that allows a user to create a 
Server and offer sections to be send. <p>
This specific server instance has been designed to call the section filter
directly.

@version        21 October 1998
@author         Bas van den Heuvel, Philips Research
*/
public abstract class ServerBase
{ 
    /*********************************************************************
	Injects the MPEG2 section at the indicated PID.
	@param	PID		the PID this section has to be send on
	@param	section	the section to be send
	*/
	abstract public 
 		void send( int PID, HwSection section );
}
 
