import java.awt.*;
import borland.jbcl.layout.*;
import java.awt.event.*;

import sommit.APISiEpg.APISiEpg;


public class ParentalBox extends Dialog
{
  Panel panel1 = new Panel();
  XYLayout xYLayout1 = new XYLayout();
  Choice MinAge = new Choice();
  Label label1 = new Label();
  Choice LessThan = new Choice();
  Label label2 = new Label();
  Button buttonOK = new Button();
  Button buttonCancel = new Button();
  Button Undo = new Button();
  Label status = new Label();

  boolean _IsParentalFilter = true;
  TestAPISiEpg p;

  public ParentalBox(TestAPISiEpg p,String title,boolean isModal)
  {
    super((Frame)p,title,isModal);
    this.p = p;

    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    panel1.setLayout(xYLayout1);
    MinAge.addItemListener(new java.awt.event.ItemListener() {
      public void itemStateChanged(ItemEvent e) {
        MinAge_itemStateChanged(e);
      }
    });
    xYLayout1.setHeight(261);
    xYLayout1.setWidth(400);
    label1.setForeground(new Color(0, 0, 116));
    label1.setFont(new Font("TimesRoman", 1, 14));
    label1.setText("Age minimal");
    LessThan.addItemListener(new java.awt.event.ItemListener() {
      public void itemStateChanged(ItemEvent e) {
        LessThan_itemStateChanged(e);
      }
    });
    label2.setForeground(new Color(0, 0, 116));
    label2.setFont(new Font("TimesRoman", 1, 14));
    label2.setText("Oprateur de filtre");
    buttonOK.setFont(new Font("Dialog", 1, 12));
    buttonOK.setLabel("OK");
    buttonOK.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        buttonOK_actionPerformed(e);
      }
    });
    buttonCancel.setFont(new Font("Dialog", 1, 12));
    buttonCancel.setLabel("Cancel");
    buttonCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        buttonCancel_actionPerformed(e);
      }
    });
    Undo.setFont(new Font("Dialog", 1, 12));
    Undo.setLabel("pas d\'ge limite...");
    Undo.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        Undo_actionPerformed(e);
      }
    });
    status.setForeground(Color.red);
    status.setFont(new Font("Dialog", 1, 12));
    status.setText("Pas d\'ge limite");
    panel1.add(MinAge, new XYConstraints(9, 52, 118, 19));
    panel1.add(label1, new XYConstraints(11, 15, 119, 25));
    panel1.add(LessThan, new XYConstraints(13, 130, 115, 22));
    panel1.add(label2, new XYConstraints(8, 96, 178, 26));
    panel1.add(buttonOK, new XYConstraints(89, 213, 51, -1));
    panel1.add(buttonCancel, new XYConstraints(231, 213, 51, -1));
    panel1.add(Undo, new XYConstraints(231, 129, 117, 26));
    panel1.add(status, new XYConstraints(136, 53, 259, -1));

    MinAge.addItem("12 ans");
    MinAge.addItem("16 ans");
    MinAge.addItem("18 ans");


    LessThan.addItem("Infrieur ou gal");
    LessThan.addItem("Suprieur ou gal");


    this.add(panel1);
    this.pack();
    this.move(190,150);

  }

  void Undo_actionPerformed(ActionEvent e)
  {
       status.setText("Pas d\'ge limite");
      _IsParentalFilter = false;

  }

  void buttonOK_actionPerformed(ActionEvent e)
  {
      p._IsParentalFilter = _IsParentalFilter;

      int item = MinAge.getSelectedIndex();

      switch (item)
      {
        case 0 : p._MinAge = 12;
                 break;
        case 1 : p._MinAge = 16;
                 break;
        case 2 : p._MinAge = 18;
                 break;
      }

      item = LessThan.getSelectedIndex();

      if (item == 0)
      {
          p._IsLessThan = true;
      }
      else
      {
          p._IsLessThan = false;
      }

      this.dispose();

  }

  void buttonCancel_actionPerformed(ActionEvent e)
  {
      p._IsParentalFilter = false;
      this.dispose();
  }

  void MinAge_itemStateChanged(ItemEvent e)
  {
      _IsParentalFilter = true;

      String Age = "Evnements ";
      int item  = LessThan.getSelectedIndex();
      if (item == 0)
      {
          Age+= "autoriss aux moins de ";
      }
      else
      {
          Age+= "interdits aux moins de ";
      }

      Age += MinAge.getSelectedItem();
      status.setText(Age);

  }

  void LessThan_itemStateChanged(ItemEvent e)
  {
       _IsParentalFilter = true;

      String Age = "Evnements ";
      int item  = LessThan.getSelectedIndex();
      if (item == 0)
      {
          Age+= "autoriss aux moins de ";
      }
      else
      {
          Age+= "interdits aux moins de ";
      }

      Age += MinAge.getSelectedItem();
      status.setText(Age);

  }

}
