import java.util.Date;
import sommit.APISiEpg.Alarm;

public class ThreadCurrentTime extends Thread
{
    TestAPISiEpg _parent;
    Date         _CurrentTime;


    public ThreadCurrentTime(TestAPISiEpg p,Date time)
    {
        _parent = p;
        _CurrentTime = new Date(time.toGMTString());

    }

    public void run()
    {

          for (;;)
          {
            _parent.LabelTDTTime.setText(_CurrentTime.toLocaleString());
            try
            {
               Thread.sleep(1000);
            }
            catch(InterruptedException ie)
            {
            }

            _CurrentTime.setSeconds(_CurrentTime.getSeconds()+1);
            NotifyAlarms();
          }

    }

    public void NotifyAlarms()
    {
        int max = _parent._TestAPI.GetNbAlarms();

        for (int i=0; i<max;i++)
        {
            Date AlarmDate = new Date(_parent._TestAPI.GetAlarmDate(i));
            if (AlarmDate.before(_CurrentTime))
            {
                _parent.NotifyAlarm(i);
            }
            
        }
    }




}

