import java.awt.*;
import borland.jbcl.layout.*;
import java.awt.event.*;

import sommit.APISiEpg.APISiEpg;
import borland.jbcl.control.*;


public class prefbox extends Dialog
{
  Panel panel1 = new Panel();
  XYLayout xYLayout1 = new XYLayout();
  Label label1 = new Label();
  List list1 = new List();
  TextField SelectBouquet = new TextField();
  Button bOk = new Button();
  Button bCancel = new Button();
  TestAPISiEpg   p;
  int type;
  ImageControl imageControl1 = new ImageControl();

  public prefbox(TestAPISiEpg p,String title,boolean isModal, int type)
  {
    super(p,title,isModal);
    this.p = p;
    this.type = type;

    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    xYLayout1.setHeight(318);
    xYLayout1.setWidth(405);

    label1.setForeground(new Color(0, 0, 116));
    label1.setFont(new Font("TimesRoman", 1, 14));
    label1.setText("Liste des bouquets");
    if (type == 1)
    {
      label1.setText("Liste des types");
    }

    list1.addItemListener(new java.awt.event.ItemListener() {
      public void itemStateChanged(ItemEvent e) {
        list1_itemStateChanged(e);
      }
    });
    bOk.setFont(new Font("Dialog", 1, 12));
    bOk.setLabel("Ok");
    bOk.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        bOk_actionPerformed(e);
      }
    });
    bCancel.setFont(new Font("Dialog", 1, 12));
    bCancel.setLabel("Cancel");
    imageControl1.setImageName("C:\\DVB SI\\Java pour Sommit\\APISiEpg\\test\\ravmau2910.jpg");
    bCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        bCancel_actionPerformed(e);
      }
    });
    panel1.setLayout(xYLayout1);
    panel1.add(label1, new XYConstraints(14, 30, 130, -1));
    panel1.add(list1, new XYConstraints(11, 57, 143, 197));
    panel1.add(SelectBouquet, new XYConstraints(177, 57, 183, 26));
    panel1.add(bOk, new XYConstraints(94, 271, 55, -1));
    panel1.add(bCancel, new XYConstraints(238, 273, -1, -1));
    panel1.add(imageControl1, new XYConstraints(204, 115, 142, 119));

    this.add(panel1);
    this.pack();
    this.move(190,150);

    p._CurrentBouquet = null;
    p._CurrentPrefIndex = -1;

    if (type == 0)
    {
      int nbBouquets = p._TestAPI.GetNbBouquets();
      for (int i= 0; i<nbBouquets; i++)
      {
          String name = p._TestAPI.GetBouquetName(i);
          list1.addItem(name);
      }
    }
    else
    {
        list1.addItem("digital television service");
        list1.addItem("digital radio sound service");
        list1.addItem("teletext service");
        list1.addItem("NVOD reference service");
        list1.addItem("NVOD time-shifted service");
        list1.addItem("mosaic service");
        list1.addItem("PAL coded signal");
        list1.addItem("SECAM coded signal");
        list1.addItem("D/D2-MAC");
        list1.addItem("FM Radio");
    }



  }

  void bOk_actionPerformed(ActionEvent e)
  {
     p._CurrentBouquet = list1.getSelectedItem();
     p._CurrentPrefIndex = list1.getSelectedIndex()+1;

     this.dispose();
  }

  void bCancel_actionPerformed(ActionEvent e)
  {
    p._CurrentBouquet = null;
    p._CurrentPrefIndex = -1;

    this.dispose();
  }

  void list1_itemStateChanged(ItemEvent e)
  {
      String result = list1.getSelectedItem();
      SelectBouquet.setText(result);

  }


}