/*

* Copyright(c) Philips Consumer Electronics B.V. 1998

* All rights reserved. Reproduction in whole or in part is

* prohibited without the written consent of the copyright holder.

*

*  Project             : Bali

*  Module              : bali.si

*  File name   $Logfile: /func_test_platf2/bali/si/scheduler/RetrieveListener.java $

*       Last save $Date: 2003/12/24 00:53:11 $

*             $Revision: 1.1.1.1 $

*          Last $Author: mikeseven $

*  Creation Date       : 7/12/98

*  First Author        : S.A.F.A. van den Heuvel

*                        NatLab - Eindhoven

*

*

*  Change history      :

*  ---------------

*

* $Log: NetworkInterfaceTuningEvent.java,v $
* Revision 1.1.1.1  2003/12/24 00:53:11  mikeseven
* Initial release of the CVS repository for MPEG-4 Systems code
* after the code was corrupted due to reorganization and human 
* errors.
*
* Revision 1.1  2003/04/03 04:29:34  mikeseven
* Initial release of Player3D and MPEG-J for all MPEG-4 reference softwares players with samples.
* For installation, follow instructions in docs/Player3D_setup.doc.
*
* Many thanks to Prashanth Gujjeti and Viswanathan Swaminathan from Sun Microsystems.
*
* -- Mikael Bourges-Sevenier (Mindego)
*
* Revision 1.1  2002/08/23 16:47:28  pg138550
* Changes for MPEG-J. NOT FINAL
*
* Revision 1.1  2000/06/06 18:43:23  alavilli
* After SISF integration into the CORE4 code
*
* Revision 1.1.2.1  1999/07/09 14:17:32  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.1  1999-04-14 10:35:36+02  vdheuvel
* Creation.
*

* Revision 1.3  1998-12-11 17:56:53+01  vdheuvel

* After problem fix CSVS (it threw away all 'strange' files using ^M as /n.)

*

 *

 * 1     9-11-98 13:59 Vdheuvel

 * Creation

*/



package org.davic.net.tuning;



/** This event signals that the NetworkInterface has started 

  * to tune to another transport stream

  */

public class NetworkInterfaceTuningEvent extends NetworkInterfaceEvent {



  /** Constructor for the event

    * @param networkInterface Network interface with which is event is associated with

    */

  public NetworkInterfaceTuningEvent(Object networkInterface)

	{

		super(networkInterface);

	}

}



