package test;
//import bali.testframe.local_sommit.Server;
import bali.testframe.local_tm.Server;
import bali.testframe.sender.MultiRepeater;
import bali.support.Debug;
import org.davic.net.dvb.si.*;
import java.util.Random;
/*DATE_NORMAL*/ import  java.util.Date;
//DATE_TM*/     import  bali.tm.Date;
import test.stream6.StartStream;

/***************************
*/
public class StressTest
    implements Runnable
{
    public static void main( String args[] )
	{

//*TM_HW*/     StartStream.start();
        
        Debug.setPrintThread( true );
//        Debug.setDbgLvl( Debug.SI, Debug.IMPL );
//        Debug.setDbgLvl( Debug.CACHE, Debug.MEDIUM );
//        Debug.setDbgLvl( Debug.TABLE, Debug.MEDIUM );
//        Debug.setDbgLvl( Debug.COMP, Debug.LOW );
//        Debug.setDbgLvl( Debug.RETRIEVE, Debug.HIGH );
//        Debug.setDbgLvl( Debug.SOMSF, Debug.MEDIUM );
//        Debug.setDbgLvl( Debug.SOMSF, Debug.LOW );
//        Debug.setDbgLvl( Debug.RETRIEVE, Debug.IMPL );
//        Debug.setDbgLvl( Debug.HWSF, Debug.IMPL );
//        Debug.setDbgLvl( Debug.HWSF_LE, Debug.IMPL );
//        Debug.setDbgLvl( Debug.SUPPORT, Debug.IMPL );
//        Debug.setDbgLvl( Debug.WD, Debug.MEDIUM );
		/////////////////////////
        //  start test
        Thread t;
        t = new Thread(new VmTest());
        t.setName( "VmTest");
        t.start();

        for (int i=0; i< 10; i++ )
        {
//            Thread t;
            t = new Thread(new StressTest());
            t.setName( "StressTest"+i);
            t.start();
        }
   }
    
    public void run()
    {
        int test = 0;
        while( true )
        {
            
/*TM_HW*/    test = (test+1)%6 ;
//            int test = (int)Math.abs( rand.nextFloat()*6 );
            System.out.println("=====STARTED "+test+" =============================================================");
            System.err.println("STARTED new test "+test+" on thread "+Thread.currentThread().getName());
            switch( test )
            {
            case 0:
                TestSIDatabase.testNetwork();
                break;
            case 1:
                TestSIDatabase.testService();
                break;
            case 2:
                TestSIDatabase.testPresentFollowingEvent( (int)Math.abs( rand.nextFloat()*20 ) );
                break;
            case 3:
                TestSIDatabase.testTime();
                break;
            case 4:
                TestSIDatabase.testEITsch( (int)Math.abs( rand.nextFloat()*20 ) );
                break;
            case 5:
                TestTuningAPI.doTest(  );
                break;
            }
        }
    }
    
    

    static Random rand = new Random( new Date().getTime() );
}


class VmTest
    implements Runnable
{
    public void run()
    {
        synchronized ( this )
        {
            int i=0;
            while ( true )
            {
                try
                {
                    wait( 10000 );
                }
                catch ( Exception e ) {}
                System.out.println( "VMtest: alive "+i );
                System.err.println( "VMtest: alive "+i );
                i++;
            }
        }
    }
}