package test;
import bali.support.Debug;
import bali.testframe.local_sommit.Server;
import bali.testframe.sender.MultiRepeater;
import bali.hw.sectfilt.*;
import bali.table.*;
import test.stream6.StartStream;

/***************************
*/
public class TestHwSecFilt
    implements HwSfListener, HwSfResourceListener
{
    public static void main( String args[] )
	{

        StartStream.start();

//	    Debug.setDbgLvl( Debug.SUPPORT, Debug.IMPL );
	    Debug.setDbgLvl( Debug.HWSF, Debug.IMPL );
	    Debug.setDbgLvl( Debug.COMP, Debug.LOW );
	    Debug.setDbgLvl( Debug.SOMSF, Debug.LOW );
                
		/////////////////////////
        //  start scheduler test
        TestHwSecFilt list = new TestHwSecFilt();
        System.out.println("Start test");
        HwSfResourceManager man = HwSfResourceManager.getInstance();
        HwSfController sfc;
        man.addHwSfResourceListener(list);
//        testResource();

        // test section filtering
        Tabletest tt = new Tabletest( list ); 
        sfc = man.claimSectionFilter( HwSfResourceManager.SIAPI, tt );
        
        HwSfData sfd = new HwSfData( SDT.PID, SDT.TABLE_ID_ACTUAL );
        sfc.startSectionFilter( sfd );

        // test table filtering
        while( true );
        
        // filter SDT
/*        tt =new Tabletest( list );
        sfc = man.claimSectionFilter( HwSfResourceManager.SIAPI, tt );
        sfd = new HwSfData( SDT.PID, SDT.TABLE_ID_ACTUAL );
        sfc.startSectionFilter( sfd );
        // filter NIT
        tt =new Tabletest( list );
        sfc = man.claimSectionFilter( HwSfResourceManager.SIAPI, tt );
        sfd = new HwSfData( NIT.PID, NIT.TABLE_ID_ACTUAL );
        sfc.startSectionFilter( sfd );
        // filter NIT
        System.out.println("Test TableEnabler");
        TableSfEnhancer te = new TableSfEnhancer( list );
        sfc = man.claimSectionFilter( HwSfResourceManager.SIAPI, te );
        sfd = new HwSfData( NIT.PID, NIT.TABLE_ID_ACTUAL );
        sfc.startSectionFilter( sfd );
        
        // filter NIT
        System.out.println("Test SingleEnabler");
        SingleSfEnhancer se = new SingleSfEnhancer( list );
        sfc = man.claimSectionFilter( HwSfResourceManager.SIAPI, se );
        sfd = new HwSfData( NIT.PID, NIT.TABLE_ID_ACTUAL );
        sfc.startSectionFilter( sfd );
*/
   }

   public static void testResource()
   {
        TestHwSecFilt list = new TestHwSecFilt();
        HwSfController sfc;
        HwSfResourceManager man = HwSfResourceManager.getInstance();
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        sfc = man.claimSectionFilter( HwSfResourceManager.HIGH, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        sfc.release();
        man.claimSectionFilter( HwSfResourceManager.LOW, list );
        sfc = man.claimSectionFilter( HwSfResourceManager.HIGH, list );
   }
   
   public void newHwSfEvent( HwSfEvent e)
   {
        switch ( e.getResult() )
        {
        case HwSfEvent.NEW_SECTION:
        System.out.println("new event NEW_SECTION");
        break;
        case HwSfEvent.TS_CHANGE:
        System.out.println("new event TS_CHANGE");
        break;
        case HwSfEvent.CANCELLED:
        System.out.println("new event CANCELLED");
        break;
        case HwSfEvent.RES_REVOKED:
        System.out.println("new event RES_REVOKED");
        break;
        case HwSfEvent.SUCCESS:
        System.out.println("new event SUCCESS");
        break;
        }
   }

   public void newHwSfResourceEvent( HwSfResourceEvent e)
   {
        switch ( e.getResult() )
        {
        case HwSfResourceEvent.CLAIMED:
        System.out.println("new resource event CLAIMED");
        break;
        case HwSfResourceEvent.RELEASED:
        System.out.println("new resource event RELEASED");
        break;
        }
   }

}


class Tabletest
    implements HwSfListener
{
    Tabletest( HwSfListener list )
    {
        _list = list;
        _td = new TableData();
    }
    
    public void newHwSfEvent( HwSfEvent e)
    {
        switch ( e.getResult() )
        {
        case HwSfEvent.NEW_SECTION:
            System.out.println("new event NEW_SECTION");
            _td.newSection( e.getHwSection() );
            if ( _td.isDataComplete() )
            {
                ((HwSfController)e.getSource()).stopFiltering();
                _list.newHwSfEvent( new HwSfEvent( e.getSource(), HwSfEvent.SUCCESS, null, e.getHwSfData() ) );
            }
        break;
        default :
            _list.newHwSfEvent( e );
            break;
        }
    }
    
    TableData _td;
    HwSfListener _list;
}
