package test.sommit8;
/*SOMMIT*/  import bali.testframe.local_sommit.Server;
//TM*/      import bali.testframe.local_tm.Server;
import bali.testframe.sender.MultiRepeater;
import org.davic.net.dvb.si.*;
import bali.table.SDT;
import bali.table.NIT;
import bali.table.EITpf;
import bali.table.EITsch;
import bali.table.PMT;
import bali.table.PAT;
import bali.table.BAT;
import bali.table.TDT;
import bali.table.TOT;
/*DATE_NORMAL*/ import  java.util.Date;
//DATE_TM*/     import  bali.tm.Date;

/***************************
*/
public class StartStream
{
    public static void start( )
	{

	    // create new Server process
		Server server = 
			new Server();

		// Set-up section repeaters
		MultiRepeater rep;
		Thread  t;
		
 		// TDT
		rep = new MultiRepeater
		    ( server
		    , 0.1 /*frequency*/
		    , TDT.PID/*PID*/
		    , "/vdheuvel/sommit_ts/sommit8/bin/ts_8_684/tdt/tdt.000" /* filename, the file contains one or more sections */
		    );
        startThread( rep );

 		// BAT
//		rep = new MultiRepeater( server, 0.1, BAT.PID, "test/sommit7/sommit7.bat" );
//        startThread( rep );

 		// NIT
		rep = new MultiRepeater( server, 0.5, NIT.PID, "/vdheuvel/sommit_ts/sommit8/bin/ts_8_684/nit/nit_684.000" );
        startThread( rep );

 		// SDT
		rep = new MultiRepeater( server, 0.5, SDT.PID, "/vdheuvel/sommit_ts/sommit8/bin/ts_8_684/sdt/sdt_8_0.000" );
        startThread( rep );
		
 		// EITpf
//		rep = new MultiRepeater( server, 0.5, EITpf.PID, "test/sommit7/sommit7.eit" );
//        startThread( rep );

 		// EITsch
//		rep = new MultiRepeater( server, 0.5, EITsch.PID, "test/sommit7/eits_all.eit" );
  //      startThread( rep );

	// PAT
	rep = new MultiRepeater( server, 10, PAT.PID, "/vdheuvel/sommit_ts/sommit8/bin/ts_8_684/pat/pat_8_0.000" );
        startThread( rep );
        
        // PMT
        rep = new MultiRepeater( server, 10, 100, "/vdheuvel/sommit_ts/sommit8/bin/ts_8_684/pmt/pmt_1_0.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 200, "/vdheuvel/sommit_ts/sommit8/bin/ts_8_684/pmt/pmt_2_0.000" );
        startThread( rep );
        rep = new MultiRepeater( server, 10, 300, "/vdheuvel/sommit_ts/sommit8/bin/ts_8_684/pmt/pmt_3_0.000" );
        startThread( rep );

    }    
    
    private static void startThread( Runnable rep )
    {
        Thread t;
		t = new Thread(rep);
		t.setDaemon(true);
		t.start();
    }
    
}





