/*
* Copyright(c) Philips Consumer Electronics B.V. 1998                         
* All rights reserved. Reproduction in whole or in part is                  
* prohibited without the written consent of the copyright holder.            
*                                                                            
*  Project             : Bali
*  File name   $Logfile: $
*       Last save $Date: 2003/12/24 00:53:13 $
*             $Revision: 1.1.1.1 $
*          Last $Author: mikeseven $
*  Creation Date       : early 1998
*  First Author        : H. v. Woerkom
*                        NatLab - Eindhoven
* 
*                                                                          
*  Change history      :
*  ---------------
* $Log: MyList.java,v $
* Revision 1.1.1.1  2003/12/24 00:53:13  mikeseven
* Initial release of the CVS repository for MPEG-4 Systems code
* after the code was corrupted due to reorganization and human 
* errors.
*
* Revision 1.1  2003/04/03 04:29:39  mikeseven
* Initial release of Player3D and MPEG-J for all MPEG-4 reference softwares players with samples.
* For installation, follow instructions in docs/Player3D_setup.doc.
*
* Many thanks to Prashanth Gujjeti and Viswanathan Swaminathan from Sun Microsystems.
*
* -- Mikael Bourges-Sevenier (Mindego)
*
* Revision 1.1  2002/08/23 16:47:31  pg138550
* Changes for MPEG-J. NOT FINAL
*
* Revision 1.2  2000/07/21 20:39:01  alavilli
* adding missing files in the previous checkin for SISF
*
* Revision 1.1.2.1  1999/07/09 14:27:29  depetris
* Aggiornati i file per lo sviluppo e il rilascio a MPEG-J.
* Integra la versione 2.5 del core.
*
* Revision 1.2  1999-04-23 10:52:47+02  vdheuvel
* Adapted to the new ftp.
*
*
*/

package test_awt;

import java.awt.*;

public class MyList extends List {
	public MyList(int x, boolean y, int z) {
		super( x, y );
		_x = z;
	}
	
	public Dimension getPreferredSize()
	{
		return getMinimumSize();
	}
	
	public Dimension MinimumSize()
	{
		return getMinimumSize();
	}
	
	public Dimension preferredSize()
	{
		return getMinimumSize();
	}
	
	public Dimension getPreferredSize(int x)
	{
		return getMinimumSize(x);
	}
	
	public Dimension MinimumSize(int x)
	{
		return getMinimumSize(x);
	}
	
	public Dimension preferredSize(int x)
	{
		return getMinimumSize(x);
	}
	
	public Dimension getMinimumSize()
	{
		Dimension d = super.getMinimumSize();
		return new Dimension(_x,d.height);
	}
	
	public Dimension getMinimumSize(int x)
	{
		Dimension d = super.getMinimumSize(x);
		return new Dimension(_x,d.height);
	}
	
	private int _x;	
}
