
/********************************************************************
 This software module was originally developed by Roberto Becchini
 (SIA - I - SOMMIT Consortium), Barbara Silano (SIA - I - SOMMIT 
Consortium) and edited by Luca Deri (Finsiel - I - SOMMIT Consortium),
 Gianluca De Petris (CSELT - I - SOMMIT Consortium) in the course of 
development of the MPEG-4 Systems (ISO/IEC 14496-1). This software 
module is an implementation of part of one or more MPEG-4 Systems 
(ISO/IEC 14496-1) tools as specified by the MPEG-4 Systems (ISO/IEC 
14496-1). ISO/IEC gives users of the MPEG-4 Systems (ISO/IEC 14496-1) 
free license to this software module or modifications thereof for use 
in hardware or software products claiming conformance to the MPEG-4 
Systems (ISO/IEC 14496-1). Those intending to use this software 
module in hardware or software products are advised that its use may 
infringe existing patents. THE ORIGINAL DEVELOPER OF THIS SOFTWARE 
MODULE AND HIS/HER COMPANY, THE SUBSEQUENT EDITORS AND THEIR 
COMPANIES, AND ISO/IEC HAVE NO LIABILITY FOR USE OF THIS SOFTWARE 
MODULE OR MODIFICATIONS THEREOF. No license to this software module 
is granted for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. The SOMMIT Consortium retains full right to use the 
software module for his/her own purpose, assign or donate the 
software module to a third party and to inhibit third parties from 
using the code for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. This copyright notice must be included in all copies or 
derivative works of the software module. Copyright 1999
********************************************************************/

// SIA 15-4- 99

#include "..\core\AL.h" //Barbara
#include "DMIFbridge.h"	//Barbara 
#include <direct.h>
#include <jni.h>		//Barbara per instanziare JVM
#include <..\Core\Executiv.h>	//Barbara
#include <..\Core\App.h>		//Barbara
#include "JVMSupport.h"
 
//BINDU
//#include "..\Mpgj\SI_api_Native\SFilterBridge.h"
//#include "..\Mpgj\DemuxJavaCTRL\PIDbridge.h"  

//SommitSfInterface l_cpp = NULL;
//BINDU

//int	setPid	(unsigned int, unsigned int);
//void CstartFilter( int, int, SommitSfInterface , int, unsigned char * , unsigned char * , unsigned char *, unsigned char *, int, int);
//void CstopFilter( int );
							  
JVMSupport m_mainJVM; // JVM called only by the main thread
char currentDir[256];


extern DWORD WINAPI Myfunc(ALManager *foo)
{
	int err = 0;

	getcwd(currentDir, 256);

	// the cwd will be the one where your sample .mpg4 file is.
	err = initLib(foo);
	chdir(currentDir);
	
	// Add to the CLASSPATH some java libraries needed by the 3D player
	char additionalClassPath[_MAX_PATH]; // contains the new CLASSPATH to be passed to StartJVM
	strcpy(additionalClassPath, ""); // init

	strcat(additionalClassPath, currentDir);
	strcat(additionalClassPath, "\\..\\..\\MPGJ\\java;");
	strcat(additionalClassPath, currentDir);
	strcat(additionalClassPath, "..\\..\\Debug;");
	strcat(additionalClassPath, currentDir);
	strcat(additionalClassPath, "..\\..\\Mpgj\\lib;");
	strcat(additionalClassPath, "..\\..\\Mpgj\\Java\\javademo.zip;");
	

	// strcat(additionalClassPath, "\\lib;");
	// Add to the CLASSPATH some java libraries needed to control the Demultiplexer (setPID)
	//strcat(additionalClassPath, m_hMP4AppsDlg.m_currentDir); strcat(additionalClassPath, "\\DemuxJavaCTRL;");

	// Add to the PATH some dll libraries needed by the 3D player
	char additionalPath[_MAX_PATH];  // contains the new PATH to be passed to StartJVM
	strcpy(additionalPath, ""); // init
	strcat(additionalPath,".;");
	if(foo){
		strcat(additionalPath, currentDir);
		strcat(additionalPath, "..\\..\\Debug;");
		strcat(additionalPath, currentDir);
		strcat(additionalPath, "..\\..\\Mpgj\\lib;");
		strcat(additionalPath, currentDir);
		strcat(additionalPath, "\\..\\..\\MPGJ\\java;");
	} 

	// Add to the PATH some dll libraries needed to control the Demultiplexer (setPID)

	if(foo)
		m_mainJVM.startJVM(additionalPath, additionalClassPath);

	//initialize the SectionFilterImp library with a valid Java virtual machine
//	initSectionFilterImpLibrary(&m_mainJVM); bindu

	// To test setPID
	//bindu
	/*
	initLib(setPid);

	setStartPunt(CstartFilter);
	setStopPunt(CstopFilter);*/

	// To access from Java to the set_PID function

//BINDU : IMPORTANT : The application is no longer being invoked locally.
// It will be a remote appl. being streamed and will be launched via the 
// run method implemented in the appl.
//BINDU
//#ifndef __REMOTE__	

/* BINDU INTLDR:
	if(foo){
		m_mainJVM.runJavaApplication("AtlanticDemo", "NoArgument");
	}
 BINDU INTLDR */

/*#else
	m_mainJVM.runJavaApplication("DMIFMonitorServer", "NoArgument");
#endif */


	return(NULL);

}