// WaveHeader.h: Schnittstelle fr die Klasse WaveHeader.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_WaveHeader_h)  // Sentry, use file only if it's not already included.
#define _WaveHeader_h

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <iostream.h>
#include <stdio.h>
#include <assert.h>

#include "BitVector.h"

class WaveHeader : public BitVector  
{
public:
 	 unsigned int frame_length;
	 unsigned int header_length;
	 unsigned int sampling_frequ;
	 unsigned int NumOfChan;
	 unsigned int BitsPerChan;
	
	 unsigned int pcmoutlen_byte;
	 unsigned int pcmoutlen_ms;

	 
public:
	WaveHeader(int numofBits);
	virtual ~WaveHeader();

    void decodeHeader();
	void decodeHeader(int offset);
	void printHeader();


};
//int readfromFile(char *FileName); just for testing!

#endif // end of WaveHeader