// This software module was originally developed by Marius PREDA
// (INT/ARTEMIS) in the course of development of the MPEG-4 Systems
// standard (ISO/IEC 14496-1).  This software module is an implementation
// of a part of one or more MPEG-4 Systems tools as specified by the MPEG-4
// Systems standard.  ISO/IEC gives users of the MPEG-4 Systems standard
// free license to this software module or modifications thereof for use in
// hardware or software products claiming conformance to the MPEG-4 Systems
// standard.  Those intending to use this software module in hardware or
// software products are advised that its use may infringe existing
// patents.  The original developer of this software module and his/her
// company, the subsequent editors and their companies, and ISO/IEC have no
// liability for use of this software module or modifications thereof in an
// implementation.  Copyright is not released for non MPEG-4 Systems
// conforming products.  The author retains full right to use
// the code for his/her own purpose, assign or donate the code to a third
// party and to inhibit third parties from using the code for non MPEG-4
// Systems conforming products.  This copyright notice must be included in
// all copies or derivative works.
//
// For more information or to receive an up to date version of this module,
// send a mail to Marius PREDA marius.preda@int-evry.fr
//
// Copyright 1997, 1998.

#include "../../OpenGl.h"
#include "SBMuscleProxy.h"
#include "../../base/OpenGLVisualRenderer.h"



// Render object
BOOL  SBMuscleProxy::RenderFromStream(MediaStream* poStream, int id, DWORD dwTime)
{
  return TRUE;
}

BOOL  SBMuscleProxy::RenderFromBuffer(SFString *pBuffer, int id)
{
  return TRUE;
}

// Render object description

/* virtual */ void
SBMuscleProxy::RenderDescription(OpenGLVisualRenderer* pRenderer, DWORD /* dwTime */)
{
  RenderDescriptionBox(pRenderer, "SBMuscle");
}

// Render object

/* virtual */ BOOL
//SBMuscleProxy::Render()
SBMuscleProxy::Render(const Matrix&, const CullFlag&, OpenGLVisualRenderer* pRenderer, DWORD)
{
    return TRUE;
}

// Traverse scene graph, checking for intersection

/* virtual */ BOOL
SBMuscleProxy::Select(OpenGLVisualRenderer* pRenderer, DWORD dwTime, unsigned int& depth)
{
  
#ifdef _DEBUG
  if (pRenderer->CheckGLError("SBMuscleProxy:"))
    TRACE("SBMuscleProxy::Render() [%08x]: ", this);
#endif

  return FALSE;
}

