// This software module was originally developed by Sang Oak Woo (SASUNG AIT),
// James D.K. Kim (SAMSUNG, AIT), Kevin Barron (KPN Research), 
// Mike Coleman (Five Bats Research), Edward Cooke (Teltec Ireland), In-Dai Ha 
// (Hyundai Electronics Industries, Co.), Hae-Kwan Kim (Hyundai Electronics 
// Industries, Co.), Matthew Leditschke (CSELT), Zvi Lifshitz (VDOnet Corp.), 
// Karl Anders ygard (Telenor R&D), in the course of development of the MPEG-4 
// Systems standard (ISO/IEC 14496-1).  This software module is an 
// implementation of a part of one or more MPEG-4 Systems tools as specified by 
// the MPEG-4 Systems standard.  ISO/IEC gives users of the MPEG-4 Systems 
// standard free license to this software module or modifications thereof for 
// use in hardware or software products claiming conformance to the MPEG-4 
// Systems standard.  Those intending to use this software module in hardware or 
// software products are advised that its use may infringe existing patents.  
// The original developer of this software module and his/her company, the 
// subsequent editors and their companies, and ISO/IEC have no liability for use 
// of this software module or modifications thereof in an implementation.  
// Copyright is not released for non MPEG-4 Systems conforming products.  The 
// original developer retains full right to use the code for his/her own 
// purpose, assign or donate the code to a third party and to inhibit third 
// parties from using the code for non MPEG-4 Systems conforming products.  This 
// copyright notice must be included in all copies or derivative works.
//
// Copyright 1997.

// Stefano Battista 98/11/12
// SOWOO 2003/06/21

// constructor

inline
OctreeImageProxy::OctreeImageProxy(OctreeImage* pOctreeImage)
  : AFXMediaObjectProxy(pOctreeImage)
{
	m_nListMade = 0;
	m_bGLEXTInit = FALSE;
	NumOfImageTexture = 0;
	NumOfImages = 0;
	m_nFetchedImage = 0;
	
	TexturesTopology = NULL;
	Leafs = NULL;

//2003.10.7 J.Y.HAN
	m_nAnim = FALSE;

	m_nGLidx = 0;
	m_nNumberOfFrame = 0;
	m_pLists = NULL;

	m_cur_byte_octree = 0;
	m_cur_byte_img_ind = 0;
	bvo_ind = 0;
//-
}

