#ifndef _EPFLBODY_H
#define _EPFLBODY_H 1

#include "scn1.h"
#include "etall.h"
#include "Node.h"


#ifdef __cplusplus
extern "C" {
#endif

void epflbody_init( int bodyId);
int epflbody_set_val( int bodyId, int id, float newVal);
int epflbody_body_update( int bodyId, MatriX bodyMatrices[]);
void epflbody_mr3dI_to_axis_angle(VT3D axis, MR3D mr, float *theta);
char *epflbody_get_hinfo_name( int ind); 

#ifdef __cplusplus
}
#endif

#endif
