#define MPEG4_NUM_BAPS 296

#define MPEG4_BAP_PELVIC_TILT 1 
#define MPEG4_BAP_PELVIC_TORSION 2
#define MPEG4_BAP_PELVIC_ROLL 3
#define MPEG4_BAP_L_HIP_FLEXION 4
#define MPEG4_BAP_R_HIP_FLEXION 5
#define MPEG4_BAP_L_HIP_ABDUCT  6
#define MPEG4_BAP_R_HIP_ABDUCT  7
#define MPEG4_BAP_L_HIP_TISTING 8
#define MPEG4_BAP_R_HIP_TWISTING 9
#define MPEG4_BAP_L_KNEE_FLEXION 10
#define MPEG4_BAP_R_KNEE_FLEXION 11
#define MPEG4_BAP_L_KNEE_TWISTING 12
#define MPEG4_BAP_R_KNEE_TWISTING 13
#define MPEG4_BAP_L_ANKLE_FLEXION 14
#define MPEG4_BAP_R_ANKLE_FLEXION 15
#define MPEG4_BAP_L_ANKLE_TWISTING 16
#define MPEG4_BAP_R_ANKLE_TWISTING 17
#define MPEG4_BAP_L_SUBTALAR 18
#define MPEG4_BAP_R_SUBTALAR 19
#define MPEG4_BAP_L_MID_FOOT 20
#define MPEG4_BAP_R_MID_FOOT 21
#define MPEG4_BAP_L_TOE_FLEXION 22
#define MPEG4_BAP_R_TOE_FLEXION 23
#define MPEG4_BAP_L_CLAV_ABDUCT 24
#define MPEG4_BAP_R_CLAV_ABDUCT 25
#define MPEG4_BAP_L_CLAV_ROTATE 26
#define MPEG4_BAP_R_CLAV_ROTATE 27
#define MPEG4_BAP_L_SCAP_ABDUCT 28
#define MPEG4_BAP_R_SCAP_ABDUCT 29
#define MPEG4_BAP_L_SCAP_ROTATE 30
#define MPEG4_BAP_R_SCAP_ROTATE 31
#define MPEG4_BAP_L_SHOULDER_FLEXION 32 
#define MPEG4_BAP_R_SHOULDER_FLEXION 33
#define MPEG4_BAP_L_SHOULDER_ABDUCT 34
#define MPEG4_BAP_R_SHOULDER_ABDUCT 35
#define MPEG4_BAP_L_SHOULDER_TWISTING 36
#define MPEG4_BAP_R_SHOULDER_TWISTING 37
#define MPEG4_BAP_L_ELBOW_FLEXION 38
#define MPEG4_BAP_R_ELBOW_FLEXION 39
#define MPEG4_BAP_L_ELBOW_TWISTING 40
#define MPEG4_BAP_R_ELBOW_TWISTING 41
#define MPEG4_BAP_L_WRIST_FLEXION 42
#define MPEG4_BAP_R_WRIST_FLEXION 43
#define MPEG4_BAP_L_WRIST_PIVOT  44
#define MPEG4_BAP_R_WRIST_PIVOT  45
#define MPEG4_BAP_L_WRIST_TWISTING 46
#define MPEG4_BAP_R_WRIST_TWISTING 47
#define MPEG4_BAP_SKULL_ROLL 48
#define MPEG4_BAP_SKULL_TORSION 49 
#define MPEG4_BAP_SKULL_TILT 50
#define MPEG4_BAP_C1ROLL 51
#define MPEG4_BAP_C1TORSION 52
#define MPEG4_BAP_C1TILT 53
#define MPEG4_BAP_C2ROLL 54
#define MPEG4_BAP_C2TORSION 55
#define MPEG4_BAP_C2TILT 56
#define MPEG4_BAP_C3ROLL 57
#define MPEG4_BAP_C3TORSION 58
#define MPEG4_BAP_C3TILT 59
#define MPEG4_BAP_C4ROLL 60
#define MPEG4_BAP_C4TORSION 61
#define MPEG4_BAP_C4TILT 62
#define MPEG4_BAP_C5ROLL 63
#define MPEG4_BAP_C5TORSION 64
#define MPEG4_BAP_C5TILT 65
#define MPEG4_BAP_C6ROLL 66
#define MPEG4_BAP_C6TORSION 67
#define MPEG4_BAP_C6TILT 68
#define MPEG4_BAP_C7ROLL 69
#define MPEG4_BAP_C7TORSION 70
#define MPEG4_BAP_C7TILT 71
#define MPEG4_BAP_T1ROLL 72
#define MPEG4_BAP_T1TORSION 73
#define MPEG4_BAP_T1TILT 74
#define MPEG4_BAP_T2ROLL 75
#define MPEG4_BAP_T2TORSION 76
#define MPEG4_BAP_T2TILT 77
#define MPEG4_BAP_T3ROLL 78
#define MPEG4_BAP_T3TORSION 79
#define MPEG4_BAP_T3TILT 80
#define MPEG4_BAP_T4ROLL 81
#define MPEG4_BAP_T4TORSION 82
#define MPEG4_BAP_T4TILT 83
#define MPEG4_BAP_T5ROLL 84
#define MPEG4_BAP_T5TORSION 85
#define MPEG4_BAP_T5TILT 86
#define MPEG4_BAP_T6ROLL 87
#define MPEG4_BAP_T6TORSION 88
#define MPEG4_BAP_T6TILT 89
#define MPEG4_BAP_T7ROLL 90
#define MPEG4_BAP_T7TORSION 91
#define MPEG4_BAP_T7TILT 92
#define MPEG4_BAP_T8ROLL 93
#define MPEG4_BAP_T8TORSION 94
#define MPEG4_BAP_T8TILT 95
#define MPEG4_BAP_T9ROLL 96
#define MPEG4_BAP_T9TORSION 97
#define MPEG4_BAP_T9TILT 98
#define MPEG4_BAP_T10ROLL 99
#define MPEG4_BAP_T10TORSION 100
#define MPEG4_BAP_T10TILT 101
#define MPEG4_BAP_T11ROLL 102
#define MPEG4_BAP_T11TORSION 103
#define MPEG4_BAP_T11TILT 104
#define MPEG4_BAP_T12ROLL 105
#define MPEG4_BAP_T12TORSION 106
#define MPEG4_BAP_T12TILT 107
#define MPEG4_BAP_L1ROLL 108
#define MPEG4_BAP_L1TORSION 109
#define MPEG4_BAP_L1TILT 110
#define MPEG4_BAP_L2ROLL 111
#define MPEG4_BAP_L2TORSION 112
#define MPEG4_BAP_L2TILT 113
#define MPEG4_BAP_L3ROLL 114
#define MPEG4_BAP_L3TORSION 115
#define MPEG4_BAP_L3TILT 116
#define MPEG4_BAP_L4ROLL 117
#define MPEG4_BAP_L4TORSION 118
#define MPEG4_BAP_L4TILT 119 
#define MPEG4_BAP_L5ROLL 120
#define MPEG4_BAP_L5TORSION 121
#define MPEG4_BAP_L5TILT 122
#define MPEG4_BAP_L_PINKY_FLEXION0 123
#define MPEG4_BAP_R_PINKY_FLEXION0 124
#define MPEG4_BAP_L_PINKY_FLEXION1 125
#define MPEG4_BAP_R_PINKY_FLEXION1 126
#define MPEG4_BAP_L_PINKY_PIVOT 127
#define MPEG4_BAP_R_PINKY_PIVOT 128
#define MPEG4_BAP_L_PINKY_TWISTING 129
#define MPEG4_BAP_R_PINKY_TWISTING 130
#define MPEG4_BAP_L_PINKY_FLEXION2 131
#define MPEG4_BAP_R_PINKY_FLEXION2 132
#define MPEG4_BAP_L_PINKY_FLEXION3 133
#define MPEG4_BAP_R_PINKY_FLEXION3 134
#define MPEG4_BAP_L_RING_FLEXION0 135
#define MPEG4_BAP_R_RING_FLEXION0 136
#define MPEG4_BAP_L_RING_FLEXION1 137
#define MPEG4_BAP_R_RING_FLEXION1 138
#define MPEG4_BAP_L_RING_PIVOT 139
#define MPEG4_BAP_R_RING_PIVOT 140
#define MPEG4_BAP_L_RING_TWISTING 141
#define MPEG4_BAP_R_RING_TWISTING 142
#define MPEG4_BAP_L_RING_FLEXION2 143
#define MPEG4_BAP_R_RING_FLEXION2 144
#define MPEG4_BAP_L_RING_FLEXION3 145
#define MPEG4_BAP_R_RING_FLEXION3 146
#define MPEG4_BAP_L_MIDDLE_FLEXION0 147
#define MPEG4_BAP_R_MIDDLE_FLEXION0 148
#define MPEG4_BAP_L_MIDDLE_FLEXION1 149
#define MPEG4_BAP_R_MIDDLE_FLEXION1 150
#define MPEG4_BAP_L_MIDDLE_PIVOT 151
#define MPEG4_BAP_R_MIDDLE_PIVOT 152
#define MPEG4_BAP_L_MIDDLE_TWISTING 153
#define MPEG4_BAP_R_MIDDLE_TWISTING 154
#define MPEG4_BAP_L_MIDDLE_FLEXION2 155
#define MPEG4_BAP_R_MIDDLE_FLEXION2 156
#define MPEG4_BAP_L_MIDDLE_FLEXION3 157
#define MPEG4_BAP_R_MIDDLE_FLEXION3 158
#define MPEG4_BAP_L_INDEX_FLEXION0 159
#define MPEG4_BAP_R_INDEX_FLEXION0 160
#define MPEG4_BAP_L_INDEX_FLEXION1 161
#define MPEG4_BAP_R_INDEX_FLEXION1 162
#define MPEG4_BAP_L_INDEX_PIVOT 163
#define MPEG4_BAP_R_INDEX_PIVOT 164
#define MPEG4_BAP_L_INDEX_TWISTING 165
#define MPEG4_BAP_R_INDEX_TWISTING 166
#define MPEG4_BAP_L_INDEX_FLEXION2 167
#define MPEG4_BAP_R_INDEX_FLEXION2 168
#define MPEG4_BAP_L_INDEX_FLEXION3 169
#define MPEG4_BAP_R_INDEX_FLEXION3 170
#define MPEG4_BAP_L_THUMB_FLEXION1 171
#define MPEG4_BAP_R_THUMB_FLEXION1 172
#define MPEG4_BAP_L_THUMB_PIVOT 173
#define MPEG4_BAP_R_THUMB_PIVOT 174
#define MPEG4_BAP_L_THUMB_TWISTING 175
#define MPEG4_BAP_R_THUMB_TWISTING 176
#define MPEG4_BAP_L_THUMB_FLEXION2 177
#define MPEG4_BAP_R_THUMB_FLEXION2 178
#define MPEG4_BAP_L_THUMB_FLEXION3 179
#define MPEG4_BAP_R_THUMB_FLEXION3 180
#define MPEG4_BAP_TR_VERTICAL 181
#define MPEG4_BAP_TR_LATERAL 182
#define MPEG4_BAP_TR_FRONTAL 183
#define MPEG4_BAP_RT_BODY_TURN 184
#define MPEG4_BAP_RT_BODY_ROLL 185
#define MPEG4_BAP_RT_BODY_TILT 186

#define HANIM_NUM_JOINTS 95

#define HANIM_JOINT_HUMANOIDROOT 0
#define HANIM_JOINT_SACROILIAC 1
#define HANIM_JOINT_L_HIP 2
#define HANIM_JOINT_L_KNEE 3
#define HANIM_JOINT_L_ANKLE 4
#define HANIM_JOINT_L_SUBTALAR 5 
#define HANIM_JOINT_L_MIDTARSAL 6
#define HANIM_JOINT_L_METATARSAL 7
#define HANIM_JOINT_R_HIP 8
#define HANIM_JOINT_R_KNEE  9
#define HANIM_JOINT_R_ANKLE  10
#define HANIM_JOINT_R_SUBTALAR 11
#define HANIM_JOINT_R_MIDTARSAL 12 
#define HANIM_JOINT_R_METATARSAL 13
#define HANIM_JOINT_VL5 14
#define HANIM_JOINT_VL4 15
#define HANIM_JOINT_VL3 16
#define HANIM_JOINT_VL2 17
#define HANIM_JOINT_VL1  18
#define HANIM_JOINT_VT12 19
#define HANIM_JOINT_VT11 20
#define HANIM_JOINT_VT10 21
#define HANIM_JOINT_VT9 22
#define HANIM_JOINT_VT8 23
#define HANIM_JOINT_VT7 24
#define HANIM_JOINT_VT6 25
#define HANIM_JOINT_VT5 26
#define HANIM_JOINT_VT4 27
#define HANIM_JOINT_VT3 28
#define HANIM_JOINT_VT2 29
#define HANIM_JOINT_VT1 30
#define HANIM_JOINT_VC7 31
#define HANIM_JOINT_VC6 32 
#define HANIM_JOINT_VC5 33
#define HANIM_JOINT_VC4 34 
#define HANIM_JOINT_VC3 35
#define HANIM_JOINT_VC2 36
#define HANIM_JOINT_VC1 37
#define HANIM_JOINT_SKULLBASE 38
#define HANIM_JOINT_L_EYELID_JOINT 39 
#define HANIM_JOINT_R_EYELID_JOINT 40
#define HANIM_JOINT_L_EYEBALL_JOINT 41
#define HANIM_JOINT_R_EYEBALL_JOINT 42
#define HANIM_JOINT_L_EYEBROW_JOINT 43
#define HANIM_JOINT_R_EYEBROW_JOINT 44
#define HANIM_JOINT_TEMPOROMANDIBULAR 45
#define HANIM_JOINT_L_STERNOCLAVICULAR 46
#define HANIM_JOINT_L_ACROMIOCLAVICULAR 47
#define HANIM_JOINT_L_SHOULDER 48
#define HANIM_JOINT_L_ELBOW 49
#define HANIM_JOINT_L_WRIST 50
#define HANIM_JOINT_L_THUMB1 51 
#define HANIM_JOINT_L_THUMB2 52
#define HANIM_JOINT_L_THUMB3 53 
#define HANIM_JOINT_L_INDEX0 54
#define HANIM_JOINT_L_INDEX1 55
#define HANIM_JOINT_L_INDEX2 56
#define HANIM_JOINT_L_INDEX3 57
#define HANIM_JOINT_L_MIDDLE0 58
#define HANIM_JOINT_L_MIDDLE1 59
#define HANIM_JOINT_L_MIDDLE2 60
#define HANIM_JOINT_L_MIDDLE3 61
#define HANIM_JOINT_L_RING0 62
#define HANIM_JOINT_L_RING1 63
#define HANIM_JOINT_L_RING2 64
#define HANIM_JOINT_L_RING3 65 
#define HANIM_JOINT_L_PINKY0 66
#define HANIM_JOINT_L_PINKY1 67
#define HANIM_JOINT_L_PINKY2 68
#define HANIM_JOINT_L_PINKY3 69
#define HANIM_JOINT_R_STERNOCLAVICULAR 70
#define HANIM_JOINT_R_ACROMIOCLAVICULAR 71
#define HANIM_JOINT_R_SHOULDER 72
#define HANIM_JOINT_R_ELBOW 73
#define HANIM_JOINT_R_WRIST 74
#define HANIM_JOINT_R_THUMB1 75
#define HANIM_JOINT_R_THUMB2 76
#define HANIM_JOINT_R_THUMB3 77
#define HANIM_JOINT_R_INDEX0 78
#define HANIM_JOINT_R_INDEX1 79
#define HANIM_JOINT_R_INDEX2 80
#define HANIM_JOINT_R_INDEX3 81
#define HANIM_JOINT_R_MIDDLE0 82
#define HANIM_JOINT_R_MIDDLE1 83
#define HANIM_JOINT_R_MIDDLE2 84
#define HANIM_JOINT_R_MIDDLE3 85
#define HANIM_JOINT_R_RING0 86
#define HANIM_JOINT_R_RING1 87
#define HANIM_JOINT_R_RING2 88
#define HANIM_JOINT_R_RING3 89
#define HANIM_JOINT_R_PINKY0 90
#define HANIM_JOINT_R_PINKY1 91
#define HANIM_JOINT_R_PINKY2 92
#define HANIM_JOINT_R_PINKY3 93

#define HANIM_NUM_SEGMENTS 94

#define HANIM_SACRUM 0
#define HANIM_PELVIS 1
#define HANIM_L_THIGH 2
#define HANIM_L_CALF 3
#define HANIM_L_HINDFOOT 4 
#define HANIM_L_MIDpRoxIMAL 5 
#define HANIM_L_MIDDISTAL 6 
#define HANIM_L_FOREFOOT 7
#define HANIM_R_THIGH 8
#define HANIM_R_CALF 9
#define HANIM_R_HINDFOOT 10
#define HANIM_R_MIDPROXIMAL 11
#define HANIM_R_MIDDISTAL 12
#define HANIM_R_FOREFOOT 13
#define HANIM_L5 14
#define HANIM_L4 15
#define HANIM_L3 16
#define HANIM_L2 17
#define HANIM_L1 18
#define HANIM_T12 19
#define HANIM_T11 20
#define HANIM_T10 21
#define HANIM_T9 22
#define HANIM_T8 23
#define HANIM_T7 24
#define HANIM_T6 25
#define HANIM_T5 26
#define HANIM_T4 27
#define HANIM_T3 28
#define HANIM_T2 29
#define HANIM_T1 30
#define HANIM_C7 31
#define HANIM_C6 32
#define HANIM_C5 33
#define HANIM_C4 34
#define HANIM_C3 35
#define HANIM_C2 36
#define HANIM_C1 37
#define HANIM_SKULL 38
#define HANIM_L_EYELID 39 
#define HANIM_R_EYELID 40
#define HANIM_L_EYEBALL 41
#define HANIM_R_EYEBALL 42
#define HANIM_L_EYEBROW 43
#define HANIM_R_EYEBROW 44
#define HANIM_JAW 45
#define HANIM_L_CLAVICLE 46 
#define HANIM_L_SCAPULA 47
#define HANIM_L_UPPERARM 48
#define HANIM_L_FOREARM 49
#define HANIM_L_HAND 50
#define HANIM_L_THUMB_METACARPAL 51
#define HANIM_L_THUMB_PROXIMAL 52
#define HANIM_L_THUMB_DISTAL 53
#define HANIM_L_INDEX_METACARPAL 54 
#define HANIM_L_INDEX_PROXIMAL 55
#define HANIM_L_INDEX_MIDDLE 56
#define HANIM_L_INDEX_DISTAL 57
#define HANIM_L_MIDDLE_METACARPAL 58 
#define HANIM_L_MIDDLE_PROXIMAL 59
#define HANIM_L_MIDDLE_MIDDLE 60
#define HANIM_L_MIDDLE_DISTAL 61
#define HANIM_L_RING_METACARPAL 62
#define HANIM_L_RING_PROXIMAL 63
#define HANIM_L_RING_MIDDLE 64
#define HANIM_L_RING_DISTAL 65
#define HANIM_L_PINKY_METACARPAL 66 
#define HANIM_L_PINKY_PROXIMAL 67
#define HANIM_L_PINKY_MIDDLE 68
#define HANIM_L_PINKY_DISTAL 69
#define HANIM_R_CLAVICLE 70
#define HANIM_R_SCAPULA 71
#define HANIM_R_UPPERARM 72
#define HANIM_R_FOREARM 73
#define HANIM_R_HAND 74
#define HANIM_R_THUMB_METACARPAL 75
#define HANIM_R_THUMB_PROXIMAL 76
#define HANIM_R_THUMB_DISTAL 77
#define HANIM_R_INDEX_METACARPAL 78
#define HANIM_R_INDEX_PROXIMAL 79
#define HANIM_R_INDEX_MIDDLE 80
#define HANIM_R_INDEX_DISTAL 81
#define HANIM_R_MIDDLE_METACARPAL 82 
#define HANIM_R_MIDDLE_PROXIMAL 83
#define HANIM_R_MIDDLE_MIDDLE 84
#define HANIM_R_MIDDLE_DISTAL 85
#define HANIM_R_RING_METACARPAL 86
#define HANIM_R_RING_PROXIMAL 87
#define HANIM_R_RING_MIDDLE 88
#define HANIM_R_RING_DISTAL 89
#define HANIM_R_PINKY_METACARPAL 90 
#define HANIM_R_PINKY_PROXIMAL 91
#define HANIM_R_PINKY_MIDDLE 92
#define HANIM_R_PINKY_DISTAL 93

