// This software module was originally developed by Karl Anders ygard
// (Telenor R&D) in the course of development of the MPEG-4 Systems
// standard (ISO/IEC 14496-1).  This software module is an implementation
// of a part of one or more MPEG-4 Systems tools as specified by the MPEG-4
// Systems standard.  ISO/IEC gives users of the MPEG-4 Systems standard
// free license to this software module or modifications thereof for use in
// hardware or software products claiming conformance to the MPEG-4 Systems
// standard.  Those intending to use this software module in hardware or
// software products are advised that its use may infringe existing
// patents.  The original developer of this software module and his/her
// company, the subsequent editors and their companies, and ISO/IEC have no
// liability for use of this software module or modifications thereof in an
// implementation.  Copyright is not released for non MPEG-4 Systems
// conforming products.  The original developer retains full right to use
// the code for his/her own purpose, assign or donate the code to a third
// party and to inhibit third parties from using the code for non MPEG-4
// Systems conforming products.  This copyright notice must be included in
// all copies or derivative works.
//
// Copyright 1997.

#include "OpenGl/OpenGl.h"
#include "InterpolatorNodeProxy.h"


// Render object description

/* virtual */ void
InterpolatorNodeProxy::RenderDescription(OpenGLVisualRenderer* pRenderer, DWORD /* dwTime */)
{
  GLfloat color[] = { 0.0f, 0.0f, 1.0f, 0.75f};

  //satish changed this line for compilation purposes
        //have to be fixed afterwards
  //::glColor4fv(color);
  glColor4fv(color);

  RenderDescriptionBox(pRenderer, "InterpolatorNode");
}

// Evaluate interpolator

BOOL  InterpolatorNodeProxy::Evaluate()
{
  /***
  // Check if we have any keys
  if (key.GetLength() > 0)
  {
    // If we only have one key
    if (key.GetLength() == 1)
    {
      return SetValue(0);
    }
    else // more keys
    {
      // If set_fraction is smaller than smallest key
      if (set_fraction <= key[0])
      {
        return SetValue(0);
      }
      else
      {
        // If set_fraction is larger than largest key
        if (set_fraction >= key[key.GetLength() - 1])
        {
          return SetValue(key.GetLength() - 1);
        }
        else
        {
          // Search the key space for fraction
          for (int i = key.GetLength() - 2; i >= 0 ; --i)
          {
            if (key[i] == set_fraction)
            {
              // Found exact match
              return SetValue(i);
            }
            else
            {
              if (key[i] < set_fraction)
              {
                // Didn't find exact match; must interpolate
                return InterpolateValue( i, i + 1, 
                  ((key[i + 1] - set_fraction) / (key[i + 1] - key[i])) );
              }
            }
          } // for
        }
      }
    } // one or more keys
  } // some key
  ***/
  return FALSE;
}
