uniform sampler2D shadomap_softpass0;
uniform sampler2D shadomap_softpass1;
uniform sampler2D shadomap_softpass2;
uniform sampler2D shadomap_softpass3;
uniform sampler2D shadomap_softpass4;

varying vec4 color;

void main()
{
	// Texture Compositing siehe: Orange Book p.388ff
	
	color =	 (texture2D(shadomap_softpass0, vec2(gl_TexCoord[0]))* 0.20
			+ texture2D(shadomap_softpass1, vec2(gl_TexCoord[0]))* 0.20
			+ texture2D(shadomap_softpass2, vec2(gl_TexCoord[0]))* 0.20
			+ texture2D(shadomap_softpass3, vec2(gl_TexCoord[0]))* 0.20
			+ texture2D(shadomap_softpass4, vec2(gl_TexCoord[0]))* 0.20);	
					
	gl_FragColor = color;		
}
