varying vec3 normal,lightDir,halfVector;
uniform vec4 Material_diffuse;

void main()
{
	vec3 n,halfV,viewV,ldir;
	float NdotL,NdotHV;
	uniform vec4 Material_diffuse = (0.8,0.8,0.8,1.0);

	/* The ambient term will always be present */

	//vec4 color = ambient;
	vec4 color = (0,0,0,0);

	/* a fragment shader can't write a varying variable, hence we nee
	a new variable to store the normalized interpolated normal */

	n = normalize(normal);

	/* compute the dot product between normal and ldir */

	NdotL = max(dot(n,lightDir),0.0);

	if (NdotL > 0.0)
		{
		halfV = normalize(halfVector);
		NdotHV = max(dot(n,halfV),0.0);
		color = Material_diffuse *
		gl_LightSource[0].specular *
		pow(NdotHV, gl_FrontMaterial.shininess);
		}

	gl_FragColor = color;
}