// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDVIEW_H__E4A712FA_3979_49C8_A87E_C22F2FBDC1F6__INCLUDED_)
#define AFX_CHILDVIEW_H__E4A712FA_3979_49C8_A87E_C22F2FBDC1F6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:

// Operations
public:
	void NonFatalError(int nERROR, va_list args);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CChildView();
	float curZoom;

	void NonFatalError(WPARAM wParam, LPARAM lParam);
	void FatalError(WPARAM wParam, char *msg);

protected:
	UINT shiftKey_changed, controlKey_changed, altKey_changed;
	BOOL leftButton_pressed;

	CPoint grabbed;
	BOOL bGrabbed;

	UINT GetActionKey(UINT nVirtKey);
	ZString GetString(UINT virtKey);			// CC 010123
	ZString GetCharString(UINT nChar);			// CC 010123
	void SendMouseMove(UINT nFlags, CPoint point, BOOL bDown);

	// Generated message map functions
protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnChar( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnSysKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnSysKeyUp( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnKeyDown( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnKeyUp( UINT nChar, UINT nRepCnt, UINT nFlags );
	afx_msg void OnPaint();
	afx_msg void OnSetCursor(WPARAM wParam, LPARAM lParam);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__E4A712FA_3979_49C8_A87E_C22F2FBDC1F6__INCLUDED_)
