#if !defined JOE
#define JOE


typedef LONG		(*FS_INIT)(_DS_ ULONG);
typedef LONG		(*FS_ERROR)(_DS0_);
typedef LONG		(*FS_SET_FONT)(_DS_ CHAR *);
typedef LONG		(*FS_SET_FLAGS)(_DS_ ULONG);
typedef LONG		(*FS_SET_BOLD_PCT)(_DS_ FS_FIXED);
typedef LONG		(*FS_SET_STROKE_PCT)(_DS_ FS_FIXED);
typedef LONG		(*FS_SET_SCALE)(_DS_ FS_FIXED, FS_FIXED, FS_FIXED, FS_FIXED);
typedef LONG		(*FS_SET_CMAP)(_DS_ USHORT, USHORT);
typedef FS_OUTLINE *	(*FS_GET_OUTLINE)(_DS_ USHORT);
typedef FS_OUTLINE *	(*COPY_OUTLINE)(_DS_ FS_OUTLINE *);
typedef FS_BITMAP *	(*FS_GET_BITMAP)(_DS_ USHORT);
typedef FS_GRAYMAP *	(*FS_GET_GRAYMAP)(_DS_ USHORT);
typedef VOID		(*FS_FREE_CHAR)(_DS_ VOID *);
typedef LONG		(*FS_RESIZE)(_DS_ ULONG);
typedef LONG		(*FS_EXIT)(_DS0_);
typedef LONG		(*FS_ADD_FONT)(_DS_ CHAR *, FILECHAR *, BYTE *, ULONG);
typedef LONG		(*FS_DELETE_FONT)(_DS_ CHAR *); 
typedef BYTE *		(*FS_GET_TABLE)(_DS_ ULONG, BYTE, ULONG *);
typedef VOID		(*FS_FREE_TABLE)(_DS_ VOID *);
typedef LONG		(*FS_FONT_METRICS)(_DS_ FONT_METRICS *);
typedef BYTE *		(*FS_CALLOC)(_DS_ ULONG);
typedef BYTE *		(*FS_MALLOC)(_DS_ ULONG);
typedef BYTE *		(*FS_REALLOC)(_DS_ VOID *, ULONG);
typedef VOID		(*FS_FREE)(_DS_ VOID *);
typedef FILE *		(*FS_CREATE)(_DS_ FILECHAR *);
typedef FILE *		(*FS_OPEN)(_DS_ FILECHAR *);
typedef ULONG		(*FS_TELL)(_DS_ FILE *);
typedef VOID		(*FS_CLOSE)(_DS_ FILE *);
typedef ULONG		(*FS_SEEK)(_DS_ FILE *, ULONG, int);
typedef ULONG		(*FS_READ)(_DS_ FILE *, BYTE *, ULONG);
typedef ULONG		(*FS_WRITE)(_DS_ FILE *, BYTE *, ULONG);
typedef VOID		(*FS_QUAD)(_DS_ FS_FIXED, FS_FIXED, FS_FIXED, FS_FIXED, FS_FIXED, FS_FIXED);
typedef LONG		(*FS_GET_KERNING)(_DS_ USHORT, USHORT, FS_FIXED *, FS_FIXED *);


FS_INIT FS_init;
FS_ERROR FS_error;
FS_SET_FONT	FS_set_font;
FS_SET_FLAGS FS_set_flags;
FS_SET_BOLD_PCT FS_set_bold_pct;
FS_SET_STROKE_PCT FS_set_stroke_pct;
FS_SET_SCALE FS_set_scale;
FS_SET_CMAP FS_set_cmap;
FS_GET_OUTLINE FS_get_outline;
COPY_OUTLINE copy_outline;
FS_GET_BITMAP FS_get_bitmap;
FS_GET_GRAYMAP FS_get_graymap;
FS_FREE_CHAR FS_free_char;
FS_RESIZE FS_resize;
FS_EXIT FS_exit;
FS_ADD_FONT FS_add_font;
FS_DELETE_FONT FS_delete_font;
FS_GET_TABLE FS_get_table;
FS_FREE_TABLE FS_free_table;
FS_FONT_METRICS FS_font_metrics;
FS_CALLOC FS_calloc;
FS_MALLOC FS_malloc;
FS_REALLOC FS_realloc;
FS_FREE FS_free;
FS_CREATE FS_create;
FS_OPEN FS_open;
FS_TELL FS_tell;
FS_CLOSE FS_close;
FS_SEEK FS_seek;
FS_READ FS_read;
FS_WRITE FS_write;
FS_QUAD FS_quad;
FS_GET_KERNING FS_get_kerning;

#endif
