//$Log: ArithEncoder.h,v $
//Revision 1.1.1.1  2003/12/24 00:55:04  mikeseven
//Initial release of the CVS repository for MPEG-4 Systems code
//after the code was corrupted due to reorganization and human 
//errors.
//
//Revision 1.1.1.2  2003/01/30 16:28:29  payan
//no message
//
//Revision 1.1.1.1  2002/07/18 01:08:24  mikeseven
//Initial check in of July 17, 2002 version
//
//Revision 1.1  2000/03/03 18:41:21  Alex Cotarmanac'h
//Version 1 -- Alexandre Cotarmanac_h
//
//Revision 1.2  1999/12/07 08:23:52  A C
//*** empty log message ***
//
//Revision 1.1  1999/12/06 01:08:22  A C
//*** empty log message ***
//
#ifndef ARITHENCODERH
#define ARITHENCODERH
#include "defs.h"
#include <ztl.h>
#include "ArithCoder.h"

class ArithEncoder : public ArithCoder
{
public:
	ArithEncoder(ZArray<bool> & o) : m_opposite_bits(0), zerocount(0),  out(o)  {}
	bool reset();
	void encodeAndUpdate(int val, ArithModel &model, char * str, int &bits);
	void encodeAndUpdate(int val, ArithModel &model);
	void encode(int index, ArithModel &model,char * text);
	void encode(int index, ArithModel &model);
	int flush();
	void bit_opp_bits(bool bit,char* str);
	void operator =(const ArithEncoder&);//comprends pas !!
private:
	int m_opposite_bits;
	int zerocount;
	void bit_in_psc_layer(bool bit,char* str);
	ZArray<bool> &out;
};
#endif