/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAcousticScene.h 
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAcousticScene
CVS     : $Id: NRAcousticScene.h,v 1.3 2007/05/08 06:23:00 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRACOUSTICSCENE_H__
#define __NRACOUSTICSCENE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRAcousticScene : public RBaseList  
{
public:
	NRAcousticScene(MediaObject *refnode);
	virtual ~NRAcousticScene();

	AcousticScene *refnode;

};

#endif // __NRACOUSTICSCENE_H__
