/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAnimationStream.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAnimationStream
CVS     : $Id: NRAnimationStream.h,v 1.3 2007/05/08 06:23:00 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRANIMATIONSTREAM_H__
#define __NRANIMATIONSTREAM_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRAnimationStream : public RBaseList  
{
public:
	NRAnimationStream(MediaObject *refnode);
	virtual ~NRAnimationStream();

	AnimationStream *refnode;

	SF<Bool> loop;
    SF<float> speed;
    SFTimeField startTime;
    SFTimeField stopTime;
    


};

#endif // __NRANIMATIONSTREAM_H__
