/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAppearance.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAppearance
CVS     : $Id: NRAppearance.h,v 1.3 2007/05/08 06:23:00 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRAPPEARANCE_H__
#define __NRAPPEARANCE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"



class NRAppearance : public RBaseList
{
 

public:
	NRAppearance(MediaObject *refnode);
	virtual ~NRAppearance();

	Appearance *refnode;
    
};

#endif // __NRAPPEARANCE_H__
