/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRApplicationWindow.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRApplicationWindow
CVS     : $Id: NRApplicationWindow.h,v 1.3 2007/05/08 06:23:01 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRAPPLICATIONWINDOW_H__
#define __NRAPPLICATIONWINDOW_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRApplicationWindow : public RBaseList  
{
public:
	NRApplicationWindow(MediaObject *refnode);
	virtual ~NRApplicationWindow();

	ApplicationWindow *refnode;

};

#endif // __NRAPPLICATIONWINDOW_H__
