/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAudioBuffer.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAudioBuffer
CVS     : $Id: NRAudioBuffer.h,v 1.3 2007/05/08 06:23:01 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRAUDIOBUFFER_H__
#define __NRAUDIOBUFFER_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRAudioBuffer : public RBaseList  
{
public:
	NRAudioBuffer(MediaObject *refnode);
	virtual ~NRAudioBuffer();

	AudioBuffer *refnode;

};

#endif // __NRAUDIOBUFFER_H__
