/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAudioClip.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAudioClip
CVS     : $Id: NRAudioClip.h,v 1.3 2007/05/08 06:23:01 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRAUDIOCLIP_H__
#define __NRAUDIOCLIP_H__

#include"../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRAudioClip : public RBaseList  
{
public:
	NRAudioClip(MediaObject *refnode);
	virtual ~NRAudioClip();

	AudioClip *refnode;

};

#endif // __NRAUDIOCLIP_H__
