/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAudioFX.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAudioFX
CVS     : $Id: NRAudioFX.h,v 1.3 2007/05/08 06:23:01 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRAUDIOFX_H__
#define __NRAUDIOFX_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRAudioFX : public RBaseList  
{
public:
	NRAudioFX(MediaObject *refnode);
	virtual ~NRAudioFX();

	AudioFX *refnode;

};

#endif // __NRAUDIOFX_H__
