/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRAudioMix.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRAudioMix
CVS     : $Id: NRAudioMix.h,v 1.3 2007/05/08 06:23:01 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRAUDIOMIX_H__
#define __NRAUDIOMIX_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRAudioMix : public RBaseList  
{
public:
	NRAudioMix(MediaObject *refnode);
	virtual ~NRAudioMix();

	AudioMix *refnode;

};

#endif // __NRAUDIOMIX_H__
