/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBitmap.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBitmap
CVS     : $Id: NRBitmap.h,v 1.3 2007/05/08 06:23:02 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBITMAP_H__
#define __NRBITMAP_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBitmap : public RBaseList  
{
public:
	NRBitmap(MediaObject *refnode);
	virtual ~NRBitmap();

	Bitmap *refnode;

};

#endif // __NRBITMAP_H__
