/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRBodyDefTable.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRBodyDefTable
CVS     : $Id: NRBodyDefTable.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef __NRBODYDEFTABLE_H__
#define __NRBODYDEFTABLE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRBodyDefTable : public RBaseList
{
public:
	NRBodyDefTable(MediaObject *refnode);
	virtual ~NRBodyDefTable();
  
	BodyDefTable *refnode;
};

#endif // __NRBODYDEFTABLE_H__
