/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: 
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for 
CVS     : $Id: NRCoordinate2D.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef _NRCOORDINATE2D_H__
#define _NRCOORDINATE2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCoordinate2D : public RBaseList  
{
public:
	NRCoordinate2D(MediaObject *refnode);
	virtual ~NRCoordinate2D();

	Coordinate2D *refnode;

};

#endif // !defined(AFX_NRCOORDINATE2D_H__01B47591_D44F_496D_92EF_4F57B539359B__INCLUDED_)
