/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: 
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for 
CVS     : $Id: NRCoordinateInterpolator.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/


#ifndef _NRCOORDINATEINTERPOLATOR_H__
#define _NRCOORDINATEINTERPOLATOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRCoordinateInterpolator : public RBaseList  
{
public:
	NRCoordinateInterpolator(MediaObject *refnode);
	virtual ~NRCoordinateInterpolator();

	CoordinateInterpolator *refnode;

};

#endif // !defined(AFX_NRCOORDINATEINTERPOLATOR_H__4115A797_C36D_4F2F_BCE1_9C5BD8F31E9F__INCLUDED_)
