/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRCylinder.cpp
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Implementation of class NRCylinder 
CVS     : $Id: NRCylinder.cpp,v 1.2 2007/04/18 17:37:31 drumm Exp $
----------------------------------------------------------------------*/



#include "NRCylinder.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

NRCylinder::NRCylinder(MediaObject *refnode)
{
  this->bottom = true;
  this->height = 2;
  this->radius = 1;
  this->side   = true;
  this->top    = true;
}

NRCylinder::~NRCylinder()
{

}

void NRCylinder::UpdateValue(bool Upd_bottom,float Upd_height,float Upd_radius,bool Upd_side,bool Upd_top)
{
   this->bottom = Upd_bottom;
   this->height = Upd_height;
   this->radius = Upd_radius;
   this->side   = Upd_side;
   this->top    = Upd_top;

}
