/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRDepthImageV2.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRDepthImageV2
CVS     : $Id: NRDepthImageV2.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRDEPTHIMAGEV2_H__
#define __NRDEPTHIMAGEV2_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRDepthImageV2 : public RBaseList  
{
public:
	NRDepthImageV2(MediaObject *refnode);
	virtual ~NRDepthImageV2();

    DepthImageV2 *refnode;

};

#endif // __NRDEPTHIMAGEV2_H__
