/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRDirectiveSound.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRDirectiveSound
CVS     : $Id: NRDirectiveSound.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRDIRECTIVESOUND_H__
#define __NRDIRECTIVESOUND_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRDirectiveSound : public RBaseList 
{
public:
	NRDirectiveSound(MediaObject *refnode);
	virtual ~NRDirectiveSound();

	DirectiveSound *refnode;

};

#endif // __NRDIRECTIVESOUND_H__
