/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRElevationGrid.cpp
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Implementation of class NRElevationGrid 
CVS     : $Id: NRElevationGrid.cpp,v 1.2 2007/04/18 17:37:32 drumm Exp $
----------------------------------------------------------------------*/



#include "NRElevationGrid.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

NRElevationGrid::NRElevationGrid(MediaObject *refnode)
{
   this->ccw = true;
   this->colorPerVertex = true;
   this->creaseAngle = 0;
   this->normalPerVertex = true;
   this->solid = true;
   this->xDimension = 0;
   this->xSpacing = 1;
   this->zDimension = 0;
   this->zSpacing = 1;

}

NRElevationGrid::~NRElevationGrid()
{

}
