/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRExtrusion.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRExtrusion
CVS     : $Id: NRExtrusion.h,v 1.3 2007/05/08 06:23:03 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NREXTRUSION_H__
#define __NREXTRUSION_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRExtrusion : public RBaseList  
{
public:
	NRExtrusion(MediaObject *refnode);
	virtual ~NRExtrusion();

	Extrusion *refnode;

};

#endif // __NREXTRUSION_H__
