/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRFaceDefTransform.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRFaceDefTransform
CVS     : $Id: NRFaceDefTransform.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRFACEDEFTRANSFORM_H__
#define __NRFACEDEFTRANSFORM_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRFaceDefTransform : public RBaseList  
{
public:
	NRFaceDefTransform(MediaObject *refnode);
	virtual ~NRFaceDefTransform();

	FaceDefTransform *refnode;

};

#endif // __NRFACEDEFTRANSFORM_H__
