/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRHierarchical3DMesh.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRHierarchical3DMesh
CVS     : $Id: NRHierarchical3DMesh.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRHIERARCHICAL3DMESH_H__
#define __NRHIERARCHICAL3DMESH_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRHierarchical3DMesh : public RBaseList  
{
public:
	NRHierarchical3DMesh(MediaObject *refnode);
	virtual ~NRHierarchical3DMesh();

	Hierarchical3DMesh *refnode;

};

#endif // __NRHIERARCHICAL3DMESH_H__
