/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRIndexedFaceSet.cpp
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Implementation of class NRIndexedFaceSet 
CVS     : $Id: NRIndexedFaceSet.cpp,v 1.2 2007/04/18 17:37:33 drumm Exp $
----------------------------------------------------------------------*/



#include "NRIndexedFaceSet.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

NRIndexedFaceSet::NRIndexedFaceSet(MediaObject *refnode)
{
   this->ccw = true;
   this->colorPerVertex = true;
   this->convex = true;
   this->creaseAngle = 0;
   this->normalPerVertex = true;
   this->solid = true;

}

NRIndexedFaceSet::~NRIndexedFaceSet()
{

}
