/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRIndexedFaceSet2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRIndexedFaceSet2D
CVS     : $Id: NRIndexedFaceSet2D.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRINDEXEDFACESET2D_H__
#define __NRINDEXEDFACESET2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRIndexedFaceSet2D : public RBaseList  
{
public:
	NRIndexedFaceSet2D(MediaObject *refnode);
	virtual ~NRIndexedFaceSet2D();

	IndexedFaceSet2D *refnode;

};

#endif // __NRINDEXEDFACESET2D_H__
