/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRIndexedLineSet.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: DeclarationIof the Implementation class for NRIndexedLineSet
CVS     : $Id: NRIndexedLineSet.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRINDEXEDLINESET_H__
#define __NRINDEXEDLINESET_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRIndexedLineSet : public RBaseList  
{
public:
	NRIndexedLineSet(MediaObject *refnode);
	virtual ~NRIndexedLineSet();

	IndexedLineSet *refnode;

};

#endif // __NRINDEXEDLINESET_H__
