/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRMaterialKey.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRMaterialKey
CVS     : $Id: NRMaterialKey.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRMATERIALKEY_H__
#define __NRMATERIALKEY_H__


#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"


class NRMaterialKey : public RBaseList  
{

public:
	NRMaterialKey(MediaObject *refnode);
	virtual ~NRMaterialKey();

	MaterialKey *refnode;

};

#endif // __NRMATERIALKEY_H__
