/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRMediaBuffer.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRMediaBuffer
CVS     : $Id: NRMediaBuffer.h,v 1.3 2007/05/08 06:23:04 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRMEDIABUFFER_H__
#define __NRMEDIABUFFER_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRMediaBuffer : public RBaseList  
{
public:
	NRMediaBuffer(MediaObject *refnode);
	virtual ~NRMediaBuffer();

	MediaBuffer *refnode;

};

#endif // __NRMEDIABUFFER_H__
