/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRNavigationInfo.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRNavigationInfo
CVS     : $Id: NRNavigationInfo.h,v 1.2 2007/04/18 17:36:48 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRNAVIGATIONINFO_H__
#define __NRNAVIGATIONINFO_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRNavigationInfo : public RBaseList  
{
public:
	NRNavigationInfo(MediaObject *refnode);
	virtual ~NRNavigationInfo();

	NavigationInfo *refnode;

};

#endif // __NRNAVIGATIONINFO_H__
