/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRNonLinearDeformer.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRNonLinearDeformer
CVS     : $Id: NRNonLinearDeformer.h,v 1.2 2007/04/18 17:36:48 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRNONLINEARDEFORMER_H__
#define __NRNONLINEARDEFORMER_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRNonLinearDeformer : public RBaseList  
{
public:
	NRNonLinearDeformer(MediaObject *refnode);
	virtual ~NRNonLinearDeformer();

	NonLinearDeformer *refnode;

};

#endif // __NRNONLINEARDEFORMER_H__
