/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRNurbsCurve2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRNurbsCurve2D
CVS     : $Id: NRNurbsCurve2D.h,v 1.2 2007/04/18 17:36:49 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRNURBSCURVE2D_H__
#define __NRNURBSCURVE2D_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRNurbsCurve2D : public RBaseList  
{
public:
	NRNurbsCurve2D(MediaObject *refnode);
	virtual ~NRNurbsCurve2D();

	NurbsCurve2D *refnode;

};

#endif // __NRNURBSCURVE2D_H__
