/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NROrientationInterpolator.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NROrientationInterpolator
CVS     : $Id: NROrientationInterpolator.h,v 1.2 2007/04/18 17:36:49 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRORIENTATIONINTERPOLATOR_H__
#define __NRORIENTATIONINTERPOLATOR_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NROrientationInterpolator : public RBaseList
{
public:
	NROrientationInterpolator(MediaObject *refnode);
	virtual ~NROrientationInterpolator();

	OrientationInterpolator *refnode;

};

#endif // __NRORIENTATIONINTERPOLATOR_H__
