/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPerceptualParameters.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPerceptualParameters
CVS     : $Id: NRPerceptualParameters.h,v 1.2 2007/04/18 17:36:49 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPERCEPTUALPARAMETERS_H__
#define __NRPERCEPTUALPARAMETERS_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPerceptualParameters : public RBaseList 
{
public:
	NRPerceptualParameters(MediaObject *refnode);
	virtual ~NRPerceptualParameters();

	PerceptualParameters *refnode;

};

#endif // __NRPERCEPTUALPARAMETERS_H__
