/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPixelTexture.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPixelTexture
CVS     : $Id: NRPixelTexture.h,v 1.2 2007/04/18 17:36:49 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPIXELTEXTURE_H__
#define __NRPIXELTEXTURE_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPixelTexture : public RBaseList
{
public:
	NRPixelTexture(MediaObject *refnode);
	virtual ~NRPixelTexture();

	PixelTexture *refnode;

};

#endif // __NRPIXELTEXTURE_H__
