/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPlaneSensor2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPlaneSensor2D
CVS     : $Id: NRPlaneSensor2D.h,v 1.2 2007/04/18 17:36:50 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPLANESENSOR2D_H__
#define __NRPLANESENSOR2D_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPlaneSensor2D : public RBaseList  
{
public:
	NRPlaneSensor2D(MediaObject *refnode);
	virtual ~NRPlaneSensor2D();

	PlaneSensor2D *refnode;

};

#endif // __NRPLANESENSOR2D_H__
