/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPointSet.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPointSet
CVS     : $Id: NRPointSet.h,v 1.2 2007/04/18 17:36:50 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOINTSET_H__
#define __NRPOINTSET_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPointSet : public RBaseList  
{
public:
	NRPointSet(MediaObject *refnode);
	virtual ~NRPointSet();

	PointSet *refnode;

};

#endif // __NRPOINTSET_H__
