/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPointSet2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPointSet2D
CVS     : $Id: NRPointSet2D.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOINTSET2D_H__
#define __NRPOINTSET2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRPointSet2D : public RBaseList 
{
public:
	NRPointSet2D(MediaObject *refnode);
	virtual ~NRPointSet2D();

	PointSet2D *refnode;

};

#endif // __NRPOINTSET2D_H__
