/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPositionAnimator2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPositionAnimator2D
CVS     : $Id: NRPositionAnimator2D.h,v 1.2 2007/04/18 17:36:50 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOSITIONANIMATOR2D_H__
#define __NRPOSITIONANIMATOR2D_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPositionAnimator2D : public RBaseList 
{
public:
	NRPositionAnimator2D(MediaObject *refnode);
	virtual ~NRPositionAnimator2D();

	PositionAnimator2D *refnode;

};

#endif // __NRPOSITIONANIMATOR2D_H__
