/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPositionInterpolator.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPositionInterpolator
CVS     : $Id: NRPositionInterpolator.h,v 1.2 2007/04/18 17:36:50 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOSITIONINTERPOLATOR_H__
#define __NRPOSITIONINTERPOLATOR_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRPositionInterpolator : public RBaseList 
{
public:
	NRPositionInterpolator(MediaObject *refnode);
	virtual ~NRPositionInterpolator();

	PositionInterpolator *refnode;

};

#endif // __NRPOSITIONINTERPOLATOR_H__
