/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRPositionInterpolator2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRPositionInterpolator2D
CVS     : $Id: NRPositionInterpolator2D.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPOSITIONINTERPOLATOR2D_H__
#define __NRPOSITIONINTERPOLATOR2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRPositionInterpolator2D : public RBaseList  
{
public:
	NRPositionInterpolator2D(MediaObject *refnode);
	virtual ~NRPositionInterpolator2D();

	PositionInterpolator2D *refnode;

};

#endif // __NRPOSITIONINTERPOLATOR2D_H__
