/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRProximitySensor.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRProximitySensor
CVS     : $Id: NRProximitySensor.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPROXIMITYSENSOR_H__
#define __NRPROXIMITYSENSOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRProximitySensor : public RBaseList  
{
public:
	NRProximitySensor(MediaObject *refnode);
	virtual ~NRProximitySensor();

	ProximitySensor *refnode;

};

#endif // __NRPROXIMITYSENSOR_H__
