/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRProximitySensor2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRProximitySensor2D
CVS     : $Id: NRProximitySensor2D.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRPROXIMITYSENSOR2D_H__
#define __NRPROXIMITYSENSOR2D_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRProximitySensor2D : public RBaseList 
{
public:
	NRProximitySensor2D(MediaObject *refnode);
	virtual ~NRProximitySensor2D();

	ProximitySensor2D *refnode;

};

#endif // __NRPROXIMITYSENSOR2D_H__
