/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSBSegment.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSBSegment
CVS     : $Id: NRSBSegment.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSBSEGMENT_H__
#define __NRSBSEGMENT_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRSBSegment : public RBaseList
{
public:
	NRSBSegment(MediaObject *refnode);
	virtual ~NRSBSegment();

	SBSegment *refnode;

};

#endif // __NRSBSEGMENT_H__
