/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSimpleTexture.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSimpleTexture
CVS     : $Id: NRSimpleTexture.h,v 1.2 2007/04/18 17:36:52 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSIMPLETEXTURE_H__
#define __NRSIMPLETEXTURE_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRSimpleTexture : public RBaseList
{
public:
	NRSimpleTexture(MediaObject *refnode);
	virtual ~NRSimpleTexture();

	SimpleTexture *refnode;

};

#endif // __NRSIMPLETEXTURE_H__
