/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSimpleTextureV2.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSimpleTextureV2
CVS     : $Id: NRSimpleTextureV2.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSIMPLETEXTUREV2_H__
#define __NRSIMPLETEXTUREV2_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRSimpleTextureV2 : public RBaseList
{
public:
	NRSimpleTextureV2(MediaObject *refnode);
	virtual ~NRSimpleTextureV2();

	SimpleTextureV2 *refnode;

};

#endif // __NRSIMPLETEXTUREV2_H__
