/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSolidRep.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSolidRep
CVS     : $Id: NRSolidRep.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSOLIDREP_H__
#define __NRSOLIDREP_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRSolidRep : public RBaseList
{
public:
	NRSolidRep(MediaObject *refnode);
	virtual ~NRSolidRep();

	SolidRep *refnode;

};

#endif // __NRSOLIDREP_H__
