/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSubdivSurfaceSector.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSubdivSurfaceSector
CVS     : $Id: NRSubdivSurfaceSector.h,v 1.3 2007/05/08 06:23:05 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSUBDIVSURFACESECTOR_H__
#define __NRSUBDIVSURFACESECTOR_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRSubdivSurfaceSector : public RBaseList
{
public:
	NRSubdivSurfaceSector(MediaObject *refnode);
	virtual ~NRSubdivSurfaceSector();

	SubdivSurfaceSector *refnode;

};

#endif // __NRSUBDIVSURFACESECTOR_H__
