/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRSynthesizedTexture.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRSynthesizedTexture
CVS     : $Id: NRSynthesizedTexture.h,v 1.2 2007/04/18 17:36:53 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRSYNTHESIZEDTEXTURE_H__
#define __NRSYNTHESIZEDTEXTURE_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRSynthesizedTexture : public RBaseList
{
public:
	NRSynthesizedTexture(MediaObject *refnode);
	virtual ~NRSynthesizedTexture();

	SynthesizedTexture *refnode;

};

#endif // __NRSYNTHESIZEDTEXTURE_H__
