/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRText.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRText
CVS     : $Id: NRText.h,v 1.2 2007/04/18 17:36:54 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRTEXT_H__
#define __NRTEXT_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRText : public RBaseList
{
public:
	NRText(MediaObject *refnode);
	virtual ~NRText();

	Text *refnode;

};

#endif // __NRTEXT_H__
