/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRTimeSensor.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRTimeSensor
CVS     : $Id: NRTimeSensor.h,v 1.2 2007/04/18 17:36:09 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRTIMESENSOR_H__
#define __NRTIMESENSOR_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRTimeSensor : public RBaseList
{
public:
	NRTimeSensor(MediaObject *refnode);
	virtual ~NRTimeSensor();

	TimeSensor *refnode;

};

#endif // __NRTIMESENSOR_H__
