/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRValuator.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRValuator
CVS     : $Id: NRValuator.h,v 1.2 2007/04/18 17:36:09 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRVALUATOR_H__
#define __NRVALUATOR_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRValuator : public RBaseList
{
public:
	NRValuator(MediaObject *refnode);
	virtual ~NRValuator();

	Valuator *refnode;

};

#endif // __NRVALUATOR_H__
