/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRViseme.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRViseme
CVS     : $Id: NRViseme.h,v 1.2 2007/04/18 17:36:10 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRVISEME_H__
#define __NRVISEME_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRViseme : public RBaseList
{
public:
	NRViseme(MediaObject *refnode);
	virtual ~NRViseme();

	Viseme *refnode;

};

#endif // __NRVISEME_H__
