/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRWaveletSubdivisionSurface.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRWaveletSubdivisionSurface
CVS     : $Id: NRWaveletSubdivisionSurface.h,v 1.2 2007/04/18 17:36:10 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRWAVELETSUBDIVISIONSURFACE_H__
#define __NRWAVELETSUBDIVISIONSURFACE_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRWaveletSubdivisionSurface : public RBaseList
{
public:
	NRWaveletSubdivisionSurface(MediaObject *refnode);
	virtual ~NRWaveletSubdivisionSurface();

	WaveletSubdivisionSurface *refnode;

};

#endif // __NRWAVELETSUBDIVISIONSURFACE_H__
