/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRWideSound.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRWideSound
CVS     : $Id: NRWideSound.h,v 1.1 2007/04/18 17:36:10 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRWIDESOUND_H__
#define __NRWIDESOUND_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRWideSound : public RBaseList
{
public:
	NRWideSound(MediaObject *refnode);
	virtual ~NRWideSound();

	WideSound *refnode;

};

#endif // __NRWIDESOUND_H__
