/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXCurve2D.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXCurve2D
CVS     : $Id: NRXCurve2D.h,v 1.2 2007/04/18 17:36:10 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXCURVE2D_H__
#define __NRXCURVE2D_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXCurve2D : public RBaseList  
{
public:
	NRXCurve2D(MediaObject *refnode);
	virtual ~NRXCurve2D();

	XCurve2D *refnode;

};

#endif // __NRXCURVE2D_H__
