/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXLFM_BlendList.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXLFM_BlendList
CVS     : $Id: NRXXLFM_BlendList.h,v 1.2 2007/04/18 17:34:51 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXLFM_BLENDLIST_H__
#define __NRXXLFM_BLENDLIST_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXXLFM_BlendList : public RBaseList
{
public:
	NRXXLFM_BlendList(MediaObject *refnode);
	virtual ~NRXXLFM_BlendList();
	
	XXLFM_BlendList *refnode;

};

#endif // __NRXXLFM_BLENDLIST_H__
