/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXLFM_LightMap.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXLFM_LightMap
CVS     : $Id: NRXXLFM_LightMap.h,v 1.2 2007/04/18 17:34:52 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXLFM_LIGHTMAP_H__
#define __NRXXLFM_LIGHTMAP_H__

#include "Nodes.h"
#include "NodeFld.h"
#include "RBaseList.h"

class NRXXLFM_LightMap : public RBaseList 
{
public:
	NRXXLFM_LightMap(MediaObject *refnode);
	virtual ~NRXXLFM_LightMap();

	XXLFM_LightMap *refnode;

};

#endif // __NRXXLFM_LIGHTMAP_H__
