/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXParticles.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXParticles
CVS     : $Id: NRXXParticles.h,v 1.3 2007/05/08 06:23:06 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXPARTICLES_H__
#define __NRXXPARTICLES_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRXXParticles : public RBaseList
{
public:
	NRXXParticles(MediaObject *refnode);
	virtual ~NRXXParticles();

	XXParticles *refnode;

};

#endif // __NRXXPARTICLES_H__
