/********************************************************************
  This software module was originally developed by Helge Drumm and Marco 
  Albrecht in the context of the IAVAS Project. For the object based
  functionality the IM1 Implementation of MPEG-4 Systems implementation
  is used.
*********************************************************************/

/*--------------------------------------------------------------------
Project I3D: IAVAS 3D Player

FILE	: NRXXPlanarObstacle.h
AUTHOR	: Helge Drumm, Marco Albrecht
OVERVIEW: Declaration of the Implementation class for NRXXPlanarObstacle
CVS     : $Id: NRXXPlanarObstacle.h,v 1.3 2007/05/08 06:23:06 drumm Exp $
----------------------------------------------------------------------*/

#ifndef __NRXXPLANAROBSTACLE_H__
#define __NRXXPLANAROBSTACLE_H__

#include "../Core/Nodes.h"
#include "../Core/NodeFld.h"
#include "RBaseList.h"

class NRXXPlanarObstacle : public RBaseList  
{
public:
	NRXXPlanarObstacle(MediaObject *refnode);
	virtual ~NRXXPlanarObstacle();

	XXPlanarObstacle *refnode;

};

#endif // __NRXXPLANAROBSTACLE_H__
