/***********************
 ***	CodingBg.h   ***
 ***********************/
#include	"Uprm/prm.h"

#include	"Uigp/igp.h"
#include 	"Ucode/code.h"

#include	"GpType/Configuration.h"

#include        "CodingBg.h"






#ifndef PLAYER

static float   Bg2_I_d[SP_NO];

static float   Bg2_d[SP_NO];

static float   Bg_d[SP_NO];

static int	Bg_t[SP_NO];


static GP_prm   Params[] = {

	{"Bg2-I-Y-d", (char *) &Bg2_I_d[SP_Y], PRM_FLOAT, "%.2f", "1.0"},
	{"Bg2-I-Q-d", (char *) &Bg2_I_d[SP_Q], PRM_FLOAT, "%.2f", "1.0"},
	{"Bg2-I-A-d", (char *) &Bg2_I_d[SP_A], PRM_FLOAT, "%.2f", "1.0"},

	{"Bg2-Y-d", (char *) &Bg2_d[SP_Y], PRM_FLOAT, "%.2f", "1.0"},
	{"Bg2-Q-d", (char *) &Bg2_d[SP_Q], PRM_FLOAT, "%.2f", "1.0"},
	{"Bg2-A-d", (char *) &Bg2_d[SP_A], PRM_FLOAT, "%.2f", "1.0"},


	{"Bg-Y-t", (char *) &Bg_t[SP_Y], PRM_INTEGER, "%d", "4.0"},
	{"Bg-Q-t", (char *) &Bg_t[SP_Q], PRM_INTEGER, "%d", "4.0"},
	{"Bg-A-t", (char *) &Bg_t[SP_A], PRM_INTEGER, "%d", "4.0"},

	{"Bg-Y-d", (char *) &Bg_d[SP_Y], PRM_FLOAT, "%.2f", "1.0"},
	{"Bg-Q-d", (char *) &Bg_d[SP_Q], PRM_FLOAT, "%.2f", "1.0"},
	{"Bg-A-d", (char *) &Bg_d[SP_A], PRM_FLOAT, "%.2f", "1.0"},
};



void 
coding_bg_get_prm(GP_prm ** prm, int *prm_no, void (**check) ())
{
	*prm = Params;
	*prm_no = PRM_NUMBER(Params);
	*check = NULL;
}

 


codingBg_type	*
coding_bg_set_lprm( char *file )
{
codingBg_type	*bc;

	gp_prm_init( file, coding_bg_get_prm );

	bc = ( (codingBg_type	 *)malloc( sizeof( codingBg_type ) ) ) ;


	code_set( &bc->Bval[SP_Y], -127, 127, Bg2_I_d[SP_Y], 0, 1.0 );
	code_set( &bc->Bval[SP_Q], -127, 127, Bg2_I_d[SP_Q], 0, 1.0 );
	code_set( &bc->Bval[SP_A], -127, 127, Bg2_I_d[SP_A], 0, 1.0 );

	code_set( &bc->Bdval2[SP_Y], -127, 127, Bg2_d[SP_Y], 0, 1.0 );
	code_set( &bc->Bdval2[SP_Q], -127, 127, Bg2_d[SP_Q], 0, 1.0 );
	code_set( &bc->Bdval2[SP_A], -127, 127, Bg2_d[SP_A], 0, 1.0 );


	code_set( &bc->Bdval[SP_Y], -127, 127, Bg_d[SP_Y], 0, 1.0 );
	code_set( &bc->Bdval[SP_Q], -127, 127, Bg_d[SP_Q], 0, 1.0 );
	code_set( &bc->Bdval[SP_A], -127, 127, Bg_d[SP_A], 0, 1.0 );



	bc->Td[SP_Y] = Bg_t[SP_Y];
	bc->Td[SP_Q] = Bg_t[SP_Q];
	bc->Td[SP_A] = Bg_t[SP_A];
	return bc;
}
#endif




extern float   Bg2_I_Y_d[];
extern float   Bg2_I_Q_d[];
extern float   Bg2_I_A_d[];

extern float   Bg2_Y_d[];
extern float   Bg2_Q_d[];
extern float   Bg2_A_d[];

extern float   Bg_Y_t[];
extern float   Bg_Q_t[];
extern float   Bg_A_t[];

extern float   Bg_Y_d[];
extern float   Bg_Q_d[];
extern float   Bg_A_d[];



codingBg_type	*
coding_bg_set( int Lcoding )
{
codingBg_type	*bc;

	bc = ( (codingBg_type	 *)malloc( sizeof( codingBg_type ) ) ) ;


	code_set( &bc->Bval[SP_Y], -127, 127, Bg2_I_Y_d[Lcoding], 0, 1.0 );
	code_set( &bc->Bval[SP_Q], -127, 127, Bg2_I_Q_d[Lcoding], 0, 1.0 );
	code_set( &bc->Bval[SP_A], -127, 127, Bg2_I_A_d[Lcoding], 0, 1.0 );

	code_set( &bc->Bdval2[SP_Y], -127, 127, Bg2_Y_d[Lcoding], 0, 1.0 );
	code_set( &bc->Bdval2[SP_Q], -127, 127, Bg2_Q_d[Lcoding], 0, 1.0 );
	code_set( &bc->Bdval2[SP_A], -127, 127, Bg2_A_d[Lcoding], 0, 1.0 );


	code_set( &bc->Bdval[SP_Y], -127, 127, Bg_Y_d[Lcoding], 0, 1.0 );
	code_set( &bc->Bdval[SP_Q], -127, 127, Bg_Q_d[Lcoding], 0, 1.0 );
	code_set( &bc->Bdval[SP_A], -127, 127, Bg_A_d[Lcoding], 0, 1.0 );



	bc->Td[SP_Y] = Bg_Y_t[Lcoding];
	bc->Td[SP_Q] = Bg_Q_t[Lcoding];
	bc->Td[SP_A] = Bg_A_t[Lcoding];

	return bc;
}
