#ifndef		_CODING_BUFFER_
#define		_CODING_BUFFER_

#include        "Uigp/igp.h"

#include        "Ucode/code.h"





void	coding_buffer_initilaze_dir( char *dir, char *label );

void 	param_get_file_name( char *out_name, char *name, int sp );

void	coding_buffer_remove_dir();


	/* WRITE	*/
FILE *	coding_buffer_open_to_write( char *label, int sp );

void	coding_buffer_write ( FILE *fd,  void *buffer, int length );

void	coding_buffer_write_next( FILE *fd, char buffer );

#define CODING_BUFFER_WRITE_NEXT( fp, a )	( putc( a, fp ) )



	/* READ	*/
FILE *	coding_buffer_open_to_read( char *label, int sp );

void	coding_buffer_read( FILE *fd, void *buffer, int length );

int	coding_buffer_read_next( FILE *fd );

#define CODING_BUFFER_READ_NEXT( fp )	( (char)getc( fp ) )




	/* QUANTIAZE */
void 	param_zquantization( float *parray, char *buffer,
						code *pcod, int length );
void	param_quantization( float *parray, u_char *buffer,
						code *pcod, int length);

void	param_zreconstruction( float *parray, char *buffer,
						code *pcode, int plength); 

void	param_reconstruction( float *parray, u_char *buffer,
						code *pcode, int plength);


#endif
