#ifndef _FRAME_CONTROL_H__
#define _FRAME_CONTROL_H__

struct vimage_type;

#define END_OF_ANIMATION			-1
#define WAIT_FOR_NEXT_TIMER			-2

#ifndef BOOL
	#define BOOL int
#endif // BOOL

class CFrameControl
{
public:
	CFrameControl();
	int	GetPrevFrame();
	int	GetNextFrame();
	int	GetShiftFrame(int iShift);

	void SetFrameRate(int FrameRate);
	void StartPlayer();

	int	GetNextFrameToPlay( unsigned int time );
public:
	int		GetFrameRate()		{ return m_FrameRate;}

	void ToggleLoop() { m_bLoop = !m_bLoop; }
	BOOL GetLoop()  { return m_bLoop; }
	void SetLoop(BOOL bLoop)  { m_bLoop = bLoop; }


	int	m_Frames;
	int	m_iFrame;
private:
	int		m_framePrevius;
	int		m_FrameRate;
	int		m_frameDelay;
	int		m_tmPrevius;

	BOOL	m_bLoop;
};

#endif // __VIMAGECLASS_FRAME_CONTROL_H__