// This software module was originally developed by Gabriel Abrantes
// (AT&T) in the course of development of the MPEG-4 Systems
// standard (ISO/IEC 14496-1).  This software module is an implementation
// of a part of one or more MPEG-4 Systems tools as specified by the MPEG-4
// Systems standard.  ISO/IEC gives users of the MPEG-4 Systems standard
// free license to this software module or modifications thereof for use in
// hardware or software products claiming conformance to the MPEG-4 Systems
// standard.  Those intending to use this software module in hardware or
// software products are advised that its use may infringe existing
// patents.  The original developer of this software module and his/her
// company, the subsequent editors and their companies, and ISO/IEC have no
// liability for use of this software module or modifications thereof in an
// implementation.  Copyright is not released for non MPEG-4 Systems
// conforming products.  The original developer retains full right to use
// the code for his/her own purpose, assign or donate the code to a third
// party and to inhibit third parties from using the code for non MPEG-4
// Systems conforming products.  This copyright notice must be included in
// all copies or derivative works.

#if !defined(_ttsfapinterface_h)	// Sentry, use file only if it's not already included.
#define _ttsfapinterface_h


#define NO_BOOKMARKS	40

struct TTSFAPINTERFACE {
	char   phonemeSymbol[8];
	float  start_time;
	float  phonemeDuration;
	int    fOaverage;
	int	   stress;
	int    wordBegin;
	char   bookmark[NO_BOOKMARKS][256];
};
typedef struct  TTSFAPINTERFACE TtsFAPInterface ;


#endif