/*-------------------------------------------------------------------------
Project Im1Player
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:	
FILE:       InputSensorImp.h
AUTHORS:    Cyril Concolato ( ENST/COMELEC cyril.concolato@enst.fr )
OVERVIEW:   
-------------------------------------------------------------------------*/
#ifndef _InputSensorImp_h
#define _InputSensorImp_h

#include "Nodes.h"
#include "UIStreamDec.h"



class InputSensorImp : public InputSensor
{ 

	virtual Decoder *CreateDecoder (DecoderConfigDescriptor *, QoS_Descriptor *, Decoder *);	

public:
	InputSensorImp();
	virtual void DeleteObject ();
	BOOL IsEnabled();

private:
	void UpdateBuffer();
	void OnUpdate();

	UIStreamDecoder *m_pDecoder;
	BOOL m_isActive;
	BOOL m_prevEnabled;

};

#endif									// _InputSensorImp_h sentry.
