#if !defined(_odp4_h)	// Sentry, use file only if it's not already included.
#define _odp4_h

/*-------------------------------------------------------------------------
Project Im1Player/ Mux
INTERNATIONAL ORGANIZATION FOR STANDARDIZATION
ISO/IEC JTC1/SC29/WG11

SUBSYSTEM:  OD Decoder/ Encoder
FILE:       odp4.h
AUTHOR:     Cyril Concolato (cyril.concolato@enst.fr)
OVERVIEW:   Declarations of descriptors of OD stream
-------------------------------------------------------------------------*/

#include "sdl.h"
#include "sdldef.h"
//#include "odp.h"
#include "ODP.h" // SOLARIS PORTING

class UIConfig : public DecoderSpecificInfo
{
	OD_DECLARE_DESCRIPTOR
public:
	SDLString deviceName;
	SDLArray<8> devSpecInfo;

protected:
	virtual void DescEncDec (ODCoder *pODCoder, OPTYPE op);
};

#endif