<<<<<<< MPDecoderImp.cpp
#include "org_iso_mpeg_mpegj_decoder_MPDecoderImp.h"
#include "org_iso_mpeg_mpegj_decoder_SclDecoderImp.h"
#include "MPDecoderInterface.h"
#include "SclDecoderInterface.h"
=======
#include "..\\stubs\org_iso_mpeg_mpegj_decoder_MPDecoderImp.h"
#include "..\..\IM1Player\mpegj\MPDecoderInterface.h"
>>>>>>> 1.2

static long instanceCount = 0L;
static MPJMPDecoderDispatchTablePtr dispatch = 0;

MPJ_EXTERN( long ) CreateInstance()
{
	return ++instanceCount;
}

MPJ_EXTERN( MPJMPDecoderDispatchTablePtr )
MPJGetMPDecoderDispatchTable()
{
	return dispatch;
}

MPJ_EXTERN( void )
MPJSetMPDecoderDispatchTable( MPJMPDecoderDispatchTablePtr table )
{
	dispatch = table;

	// if you have any functions to be called from the
	// player, add the address of these to this table
	// before returning. (none used here -- yet) all the callbacks that player side would call
}

/* getDecoderInstance */
JNIEXPORT jint JNICALL Java_org_iso_mpeg_mpegj_decoder_MPDecoderImp_getDecoderInstance
  (JNIEnv *, jobject)
{
	int decInst;

	MPJMPDecoderDispatchTablePtr d = MPJGetMPDecoderDispatchTable();
	if (d && (d->getDecoderInstance) )
		decInst = d->getDecoderInstance();

	return decInst;
}

/*
 * Class:     org_iso_mpeg_mpegj_decoder_MPDecoderImp
 * Method:    getDecoderType
 */
JNIEXPORT jint JNICALL Java_org_iso_mpeg_mpegj_decoder_MPDecoderImp_getDecoderType
  (JNIEnv *, jobject)
{
	int decType;
	MPJMPDecoderDispatchTablePtr d = MPJGetMPDecoderDispatchTable();
	if (d && (d->getDecoderType) )
		decType = d->getDecoderType();

	return decType;
}

/*
 * Class:     org_iso_mpeg_mpegj_decoder_MPDecoderImp
 * Method:    getDecoderVendor
 */
JNIEXPORT jstring JNICALL Java_org_iso_mpeg_mpegj_decoder_MPDecoderImp_getDecoderVendor
  (JNIEnv *, jobject)
{	
	char * decVendor;
	MPJMPDecoderDispatchTablePtr d = MPJGetMPDecoderDispatchTable();
	if (d && (d->getDecoderVendor) )
		decVendor = d->getDecoderVendor();

	return (jstring) decVendor;
}

/*
 * Class:     org_iso_mpeg_mpegj_decoder_MPDecoderImp
 * Method:    startDecoding
 */
JNIEXPORT void JNICALL Java_org_iso_mpeg_mpegj_decoder_MPDecoderImp_startDecoding
  (JNIEnv *, jobject)
{
	MPJMPDecoderDispatchTablePtr d = MPJGetMPDecoderDispatchTable();
	d->startDecoding();
}

/*
 * Class:     org_iso_mpeg_mpegj_decoder_MPDecoderImp
 * Method:    stopDecoderOnNode
 */
JNIEXPORT void JNICALL Java_org_iso_mpeg_mpegj_decoder_MPDecoderImp_stopDecoderOnNode
  (JNIEnv *, jobject, jint)
{
	MPJMPDecoderDispatchTablePtr d = MPJGetMPDecoderDispatchTable();
	d->stopDecoderOnNode();

}

/*
 * Class:     org_iso_mpeg_mpegj_decoder_MPDecoderImp
 * Method:    pauseDecoding
 */
JNIEXPORT void JNICALL Java_org_iso_mpeg_mpegj_decoder_MPDecoderImp_pauseDecoding
	(JNIEnv *, jobject)
{
	MPJMPDecoderDispatchTablePtr d = MPJGetMPDecoderDispatchTable();
	d->pauseDecoding();
}

/*
 * Class:     org_iso_mpeg_mpegj_decoder_MPDecoderImp
 * Method:    resumeDecoding
 */
JNIEXPORT void JNICALL Java_org_iso_mpeg_mpegj_decoder_MPDecoderImp_resumeDecoding
  (JNIEnv *, jobject)
{
	MPJMPDecoderDispatchTablePtr d = MPJGetMPDecoderDispatchTable();
	d->resumeDecoding();

}
