/********************************************************************
 This software module was originally developed by Roberto Becchini
 (SIA - I - SOMMIT Consortium), Barbara Silano (SIA - I - SOMMIT 
Consortium) and edited by Luca Deri (Finsiel - I - SOMMIT Consortium),
 Gianluca De Petris (CSELT - I - SOMMIT Consortium) in the course of 
development of the MPEG-4 Systems (ISO/IEC 14496-1). This software 
module is an implementation of part of one or more MPEG-4 Systems 
(ISO/IEC 14496-1) tools as specified by the MPEG-4 Systems (ISO/IEC 
14496-1). ISO/IEC gives users of the MPEG-4 Systems (ISO/IEC 14496-1) 
free license to this software module or modifications thereof for use 
in hardware or software products claiming conformance to the MPEG-4 
Systems (ISO/IEC 14496-1). Those intending to use this software 
module in hardware or software products are advised that its use may 
infringe existing patents. THE ORIGINAL DEVELOPER OF THIS SOFTWARE 
MODULE AND HIS/HER COMPANY, THE SUBSEQUENT EDITORS AND THEIR 
COMPANIES, AND ISO/IEC HAVE NO LIABILITY FOR USE OF THIS SOFTWARE 
MODULE OR MODIFICATIONS THEREOF. No license to this software module 
is granted for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. The SOMMIT Consortium retains full right to use the 
software module for his/her own purpose, assign or donate the 
software module to a third party and to inhibit third parties from 
using the code for non MPEG-4 Systems (ISO/IEC 14496-1) conforming 
products. This copyright notice must be included in all copies or 
derivative works of the software module. Copyright 1999
********************************************************************/
package org.iso.mpeg.mpegj.net;

import org.iso.mpeg.mpegj.*;

public class AccessLayerException extends MPEGJException
{

/**
* This constructor allows a method to throw
*
* an exception related to the underlying Access Layer.
*
**/
	public AccessLayerException(){}
/**
* This constructor allows a method to throw
*
* an exception related to the underlying Access Layer.
*
* @param	Gripe input parameter
*						int, allows the application to know
*						the reason of the exception.
*						It can assume a constant value defined
*						in this class.
*
**/

	public AccessLayerException(int gripe)
	{}


	public static final int INVALID_SERVICE_SESSION_ID	= 0x01;
	public static final int INVALID_STREAMPRIORITY		= 0x02;
	public static final int INVALID_QOSDATA			= 0x03;
	public static final int INVALID_QUALIFIERTAG		= 0x04;
   	public static final int BAD_URL_STRING			= 0x05;
	public static final int INVALID_QUALIFIER_VALUE_TYPE	= 0x06;
	public static final int ACCESS_LAYER_NOT_FOUND		= 0x07;


 /**
* This method enables the application to know
*
* the illegal parameter that caused the AccessLayerException
*
*
* @return       An integer value defined in the class, indicating
*
*						the wrong input parameter
*
*
**/

    public int getValue()
	{return 0;}

}
