#include "org_iso_mpeg_terminal_MPJTerminalImp.h"
#include "MPEGJTerminalInterface.h"

static long instanceCount = 0L;
static MPJTerminalDispatchTablePtr dispatch = 0;

MPJ_EXTERN( long ) CreateInstance()
{
	return ++instanceCount;
}

MPJ_EXTERN( MPJTerminalDispatchTablePtr )
MPJGetTerminalDispatchTable()
{
	return dispatch;
}

MPJ_EXTERN( void )
MPJSetTerminalDispatchTable( MPJTerminalDispatchTablePtr table )
{
	dispatch = table;
	// if you have any functions to be called from the
	// player, add the address of these to this table
	// before returning. (none used here -- yet)
}

JNIEXPORT jint JNICALL Java_org_iso_mpeg_terminal_MPJTerminalImp_callExampleFunction
  (JNIEnv *, jobject)
{
	int ret = -1;
	MPJTerminalDispatchTablePtr d = MPJGetTerminalDispatchTable();
	if ( d && (d->examplePlayerCall) )
		ret = (int) d->examplePlayerCall();
	return ret;
}
