#include "org_iso_mpeg_mpegj_resourceManager_ResourceManager.h"
#include "ResourceManagerInterface.h"

static long instanceCount = 0L;
static MPJResourceManagerDispatchTablePtr dispatch = 0;

MPJ_EXTERN( long ) CreateInstance()
{
	return ++instanceCount;
}

MPJ_EXTERN( MPJResourceManagerDispatchTablePtr )
MPJGetResourceManagerDispatchTable()
{
	return dispatch;
}

MPJ_EXTERN( void )
MPJSetResourceManagerDispatchTable( MPJResourceManagerDispatchTablePtr table )
{
	dispatch = table;
	// if you have any functions to be called from the
	// player, add the address of these to this table
	// before returning. (none used here -- yet) all the callbacks that player side would call
}
